// ["ChangeLog.txt" version=13.0.0 encoding="UTF-8" 2020.08.31 16:32:13]
// DO NOT EDIT THIS FILE. You need it to interpret exception stack traces.


Package: com	NameNotChanged
Package: com.volmit	NameNotChanged
Package: com.volmit.iris	NameNotChanged
Package: com.volmit.iris.activation	NameNotChanged
Package: com.volmit.iris.command	NameNotChanged
Package: com.volmit.iris.gen	NameNotChanged
Package: com.volmit.iris.gen.atomics	NameNotChanged
Package: com.volmit.iris.gen.layer	NameNotChanged
Package: com.volmit.iris.gen.post	NameNotChanged
Package: com.volmit.iris.gui	NameNotChanged
Package: com.volmit.iris.noise	NameNotChanged
Package: com.volmit.iris.object	NameNotChanged
Package: com.volmit.iris.util	NameNotChanged
Package: org	NameNotChanged
Package: org.slf4j	NameNotChanged
Package: org.slf4j.helpers	NameNotChanged
Package: org.zeroturnaround	NameNotChanged
Package: org.zeroturnaround.zip	NameNotChanged
Package: org.zeroturnaround.zip.commons	NameNotChanged
Package: org.zeroturnaround.zip.extra	NameNotChanged

Class: public com.volmit.iris.Iris	NameNotChanged
	Source: "Iris.java"
	FieldsOf: com.volmit.iris.Iris
		private static boolean b	=>	h
		public static com.volmit.iris.IrisBoardManager board	NameNotChanged
		public com.volmit.iris.command.CommandIris commandIris	NameNotChanged
		public static com.volmit.iris.util.KList executors	NameNotChanged
		public static com.volmit.iris.IrisDataManager globaldata	NameNotChanged
		public static com.volmit.iris.IrisHotloadManager hotloader	NameNotChanged
		public static com.volmit.iris.Iris instance	NameNotChanged
		private static com.volmit.iris.util.IrisLock lock	=>	i
		public static com.volmit.iris.command.PermissionIris perm	NameNotChanged
		public static com.volmit.iris.ProjectManager proj	NameNotChanged
		public static com.volmit.iris.StructureManager struct	NameNotChanged
		public static com.volmit.iris.WandManager wand	NameNotChanged
	MethodsOf: com.volmit.iris.Iris
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		public static void a(boolean)	=>	b(boolean)
		private static java.lang.Throwable a(java.lang.Throwable) 	SignatureNotChanged
		public static boolean b()	=>	o()
		public static boolean c()	=>	p()
		public static void error(java.lang.String) 	SignatureNotChanged
		public static java.io.File getCached(java.lang.String, java.lang.String) 	SignatureNotChanged
		public org.bukkit.generator.ChunkGenerator getDefaultWorldGenerator(java.lang.String, java.lang.String) 	SignatureNotChanged
		public static java.lang.String getNonCached(java.lang.String, java.lang.String) 	SignatureNotChanged
		public java.lang.String getTag(java.lang.String) 	SignatureNotChanged
		public void hit(long) 	SignatureNotChanged
		public void imsg(org.bukkit.command.CommandSender, java.lang.String) 	SignatureNotChanged
		public static void info(java.lang.String) 	SignatureNotChanged
		private static synthetic void lambda$onEnable$0() 	SignatureNotChanged
		public static com.volmit.iris.util.KList loadPostProcessors() 	SignatureNotChanged
		public static void msg(java.lang.String) 	SignatureNotChanged
		public boolean onCommand(org.bukkit.command.CommandSender, org.bukkit.command.Command, java.lang.String, java.lang.String[]) 	SignatureNotChanged
		public void onDisable() 	SignatureNotChanged
		public void onEnable() 	SignatureNotChanged
		public void start() 	SignatureNotChanged
		public void stop() 	SignatureNotChanged
		public static void verbose(java.lang.String) 	SignatureNotChanged
		public static void warn(java.lang.String) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.Iris
		40	=>	60
		48	=>	74
		57	=>	28
		58	=>	80
		59	=>	79
		65	=>	52
		71	=>	1
		76	=>	12
		81	=>	61
		82	=>	17
		83	=>	58
		84	=>	32
		85	=>	8
		86	=>	54
		87	=>	78
		88	=>	53
		89	=>	37
		90	=>	5
		91	=>	55 and 77
		92	=>	86
		93	=>	23
		97	=>	69
		99	=>	26
		101	=>	6
		103	=>	85
		105	=>	82
		106	=>	44
		108	=>	15
		109	=>	92
		111	=>	9
		112	=>	34
		113	=>	66
		114	=>	48
		115	=>	50
		116	=>	29
		120	=>	16
		122	=>	46
		123	=>	71
		124	=>	10
		125	=>	56
		126	=>	81
		127	=>	67
		129	=>	24
		135	=>	41
		140	=>	84
		141	=>	20
		146	=>	43
		151	=>	68
		152	=>	2
		153	=>	93
		154	=>	36
		155	=>	73
		159	=>	7
		160	=>	70
		162	=>	64
		164	=>	13, 45 and 51
		166	=>	14
		168	=>	27
		170	=>	42
		171	=>	18
		173	=>	35, 87 and 89
		175	=>	31
		178	=>	21
		181	=>	62
		186	=>	76
		187	=>	25
		189	=>	57, 63 and 65
		191	=>	40
		193	=>	39
		195	=>	30
		197	=>	3, 11 and 91
		199	=>	88
		202	=>	83
		206	=>	47
		209	=>	59
		214	=>	94
		219	=>	75
		220	=>	95
		224	=>	38
		225	=>	19
		229	=>	33
		230	=>	49
		239	=>	90
		240	=>	22
		244	=>	72
		245	=>	4

Class: public com.volmit.iris.IrisBoardManager	NameNotChanged
	Source: "IrisBoardManager.java"
	FieldsOf: com.volmit.iris.IrisBoardManager
		private com.volmit.iris.util.ChronoLatch cl	=>	b
		public com.volmit.iris.util.RollingSequence hits	NameNotChanged
		private com.volmit.iris.util.BoardManager manager	NameNotChanged
		private java.lang.String mem	=>	a
		public com.volmit.iris.util.RollingSequence tp	NameNotChanged
	MethodsOf: com.volmit.iris.IrisBoardManager
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		public void disable() 	SignatureNotChanged
		public java.util.List getLines(org.bukkit.entity.Player) 	SignatureNotChanged
		public java.lang.String getTitle(org.bukkit.entity.Player) 	SignatureNotChanged
		private boolean isIrisWorld(org.bukkit.World) 	SignatureNotChanged
		private synthetic void lambda$on$0(org.bukkit.event.player.PlayerChangedWorldEvent) 	SignatureNotChanged
		public void on(org.bukkit.event.player.PlayerChangedWorldEvent) 	SignatureNotChanged
		public void updatePlayer(org.bukkit.entity.Player) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.IrisBoardManager
		32	=>	33
		33	=>	8
		34	=>	42
		35	=>	21
		39	=>	38
		40	=>	48
		42	=>	20
		43	=>	25
		44	=>	1
		45	=>	28
		47	=>	12
		52	=>	17 and 37
		53	=>	19
		58	=>	29
		63	=>	4
		65	=>	10
		66	=>	44
		71	=>	9
		73	=>	39
		78	=>	18
		85	=>	40
		87	=>	34
		89	=>	22
		92	=>	35
		94	=>	6
		96	=>	50
		99	=>	51
		100	=>	24
		101	=>	3
		102	=>	26
		103	=>	13
		104	=>	46
		106	=>	5
		107	=>	30
		108	=>	47
		109	=>	16
		110	=>	7
		111	=>	52
		112	=>	45
		113	=>	49
		114	=>	11
		115	=>	43
		117	=>	14
		119	=>	23
		122	=>	36
		124	=>	27
		125	=>	41
		128	=>	31
		130	=>	2
		136	=>	15
		137	=>	32

Class: public abstract com.volmit.iris.IrisContext	NameNotChanged
	Source: "IrisContext.java"
	FieldsOf: com.volmit.iris.IrisContext
		public static final com.volmit.iris.util.KMap contexts	NameNotChanged
	MethodsOf: com.volmit.iris.IrisContext
		static void <clinit>() 	SignatureNotChanged
		public abstract com.volmit.iris.object.IrisDimension getDimension() 	SignatureNotChanged
		public abstract com.volmit.iris.IrisMetrics getMetrics() 	SignatureNotChanged
		public abstract org.bukkit.World getWorld() 	SignatureNotChanged
		public abstract void onHotloaded() 	SignatureNotChanged
		public static void pushContext(com.volmit.iris.IrisContext) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.IrisContext
		12	=>	1
		16	=>	3
		17	=>	2

Class: public com.volmit.iris.IrisDataManager	NameNotChanged
	Source: "IrisDataManager.java"
	FieldsOf: com.volmit.iris.IrisDataManager
		private com.volmit.iris.util.ResourceLoader biomeLoader	=>	e
		private java.io.File dataFolder	=>	g
		private com.volmit.iris.util.ResourceLoader dimensionLoader	=>	j
		private com.volmit.iris.util.ResourceLoader generatorLoader	=>	c
		private com.volmit.iris.util.ResourceLoader lootLoader	=>	b
		private com.volmit.iris.util.ObjectResourceLoader objectLoader	=>	a
		private java.io.File packs	=>	i
		private boolean prod	=>	d
		private com.volmit.iris.util.ResourceLoader regionLoader	=>	h
		private com.volmit.iris.util.ResourceLoader structureLoader	=>	f
	MethodsOf: com.volmit.iris.IrisDataManager
		static void <clinit>() 	SignatureNotChanged
		public void <init>(java.io.File) 	SignatureNotChanged
		private static java.lang.Throwable a(java.lang.Throwable) 	SignatureNotChanged
		protected boolean canEqual(java.lang.Object) 	SignatureNotChanged
		public void clearLists() 	SignatureNotChanged
		public void dump() 	SignatureNotChanged
		public boolean equals(java.lang.Object) 	SignatureNotChanged
		public com.volmit.iris.util.ResourceLoader getBiomeLoader() 	SignatureNotChanged
		public java.io.File getDataFolder() 	SignatureNotChanged
		public com.volmit.iris.util.ResourceLoader getDimensionLoader() 	SignatureNotChanged
		public com.volmit.iris.util.ResourceLoader getGeneratorLoader() 	SignatureNotChanged
		public com.volmit.iris.util.ResourceLoader getLootLoader() 	SignatureNotChanged
		public com.volmit.iris.util.ObjectResourceLoader getObjectLoader() 	SignatureNotChanged
		public java.io.File getPacks() 	SignatureNotChanged
		public com.volmit.iris.util.ResourceLoader getRegionLoader() 	SignatureNotChanged
		public com.volmit.iris.util.ResourceLoader getStructureLoader() 	SignatureNotChanged
		public int hashCode() 	SignatureNotChanged
		public void hotloaded() 	SignatureNotChanged
		public boolean isProd() 	SignatureNotChanged
		public void preferFolder(java.lang.String) 	SignatureNotChanged
		public java.lang.String toString() 	SignatureNotChanged
		private void writeExamples()	=>	a()
	LineNumbersOf: com.volmit.iris.IrisDataManager
		25	=>	16, 49, 54 and 76
		28	=>	5
		29	=>	32
		30	=>	105
		31	=>	90
		32	=>	47
		33	=>	31
		34	=>	96
		35	=>	101
		36	=>	9
		37	=>	53
		41	=>	56
		43	=>	109
		46	=>	46
		47	=>	21
		48	=>	70
		49	=>	29
		50	=>	45
		51	=>	97
		52	=>	89
		53	=>	63
		54	=>	6
		56	=>	65
		58	=>	34
		60	=>	72
		63	=>	37
		64	=>	77
		65	=>	25
		66	=>	17
		67	=>	26
		69	=>	41
		71	=>	112
		72	=>	1
		76	=>	28
		77	=>	36
		78	=>	93
		82	=>	19
		83	=>	14
		84	=>	111
		85	=>	66
		86	=>	8
		87	=>	104
		88	=>	12
		92	=>	11
		93	=>	81
		94	=>	78
		95	=>	115
		97	=>	30 and 100
		99	=>	50
		102	=>	74 and 106
		104	=>	13
		109	=>	62
		110	=>	23
		111	=>	52
		112	=>	87
		113	=>	38
		114	=>	92
		116	=>	43
		117	=>	59
		118	=>	33
		119	=>	84
		120	=>	4
		121	=>	15
		122	=>	69
		123	=>	60
		124	=>	94
		125	=>	85
		126	=>	44
		127	=>	20
		128	=>	110
		129	=>	91
		130	=>	51
		131	=>	71
		133	=>	42
		135	=>	108
		136	=>	18
		137	=>	114
		138	=>	22
		139	=>	58
		140	=>	75
		141	=>	35
		143	=>	10
		144	=>	39
		145	=>	61
		147	=>	86
		148	=>	48
		149	=>	24
		150	=>	7
		152	=>	73
		153	=>	102
		154	=>	83
		155	=>	99
		158	=>	67
		161	=>	95
		162	=>	55
		166	=>	64
		167	=>	80
		168	=>	103
		169	=>	3
		170	=>	113
		171	=>	88
		172	=>	107
		173	=>	57
		177	=>	40
		178	=>	79
		179	=>	82
		180	=>	98
		181	=>	2
		182	=>	68
		183	=>	27

Class: public com.volmit.iris.IrisHotloadManager	NameNotChanged
	Source: "IrisHotloadManager.java"
	FieldsOf: com.volmit.iris.IrisHotloadManager
		private volatile boolean busy	=>	c
		private com.volmit.iris.util.ChronoLatch latch	=>	b
		private com.volmit.iris.util.FolderWatcher w	=>	a
	MethodsOf: com.volmit.iris.IrisHotloadManager
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		private static java.lang.Throwable a(java.lang.Throwable) 	SignatureNotChanged
		public void check(com.volmit.iris.IrisContext) 	SignatureNotChanged
		private synthetic void lambda$check$1(com.volmit.iris.IrisContext) 	SignatureNotChanged
		private synthetic void lambda$null$0(int, com.volmit.iris.IrisContext) 	SignatureNotChanged
		public void track(java.io.File) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.IrisHotloadManager
		15	=>	53
		19	=>	1
		20	=>	68
		21	=>	21
		22	=>	4
		26	=>	42
		28	=>	60
		31	=>	34
		33	=>	46
		36	=>	18
		37	=>	14
		39	=>	58
		40	=>	52
		44	=>	69
		46	=>	25
		48	=>	55
		50	=>	6
		53	=>	29
		55	=>	48
		58	=>	70
		60	=>	7
		63	=>	43
		65	=>	64
		68	=>	67
		69	=>	28
		70	=>	49
		71	=>	16
		73	=>	12
		75	=>	3
		77	=>	30
		80	=>	31
		82	=>	63
		85	=>	24
		87	=>	50
		90	=>	59
		92	=>	41
		95	=>	35
		96	=>	66
		97	=>	39
		98	=>	51
		100	=>	40
		102	=>	26
		104	=>	57
		107	=>	13
		109	=>	10
		112	=>	11
		114	=>	45
		117	=>	36
		119	=>	71
		122	=>	37
		123	=>	65
		124	=>	62
		125	=>	32
		129	=>	20
		132	=>	56
		133	=>	19
		134	=>	47
		136	=>	17
		138	=>	8
		140	=>	44
		142	=>	5
		143	=>	15
		145	=>	9
		146	=>	23
		147	=>	38
		148	=>	2
		149	=>	22
		154	=>	27
		156	=>	54
		157	=>	61
		162	=>	33

Class: public com.volmit.iris.IrisMetrics	NameNotChanged
	Source: "IrisMetrics.java"
	FieldsOf: com.volmit.iris.IrisMetrics
		public int generators	NameNotChanged
		public int noiseHits	NameNotChanged
		private final com.volmit.iris.util.RollingSequence parallax	=>	b
		private final com.volmit.iris.util.RollingSequence perSecond	=>	c
		private final com.volmit.iris.util.RollingSequence post	=>	e
		private final com.volmit.iris.util.RollingSequence terrain	=>	d
		private final com.volmit.iris.util.RollingSequence total	=>	a
		private final com.volmit.iris.util.RollingSequence update	=>	f
	MethodsOf: com.volmit.iris.IrisMetrics
		static void <clinit>() 	SignatureNotChanged
		public void <init>(int) 	SignatureNotChanged
		protected boolean canEqual(java.lang.Object) 	SignatureNotChanged
		public boolean equals(java.lang.Object) 	SignatureNotChanged
		public int getGenerators() 	SignatureNotChanged
		public int getNoiseHits() 	SignatureNotChanged
		public com.volmit.iris.util.RollingSequence getParallax() 	SignatureNotChanged
		public com.volmit.iris.util.RollingSequence getPerSecond() 	SignatureNotChanged
		public com.volmit.iris.util.RollingSequence getPost() 	SignatureNotChanged
		public double getSpeed() 	SignatureNotChanged
		public com.volmit.iris.util.RollingSequence getTerrain() 	SignatureNotChanged
		public com.volmit.iris.util.RollingSequence getTotal() 	SignatureNotChanged
		public com.volmit.iris.util.RollingSequence getUpdate() 	SignatureNotChanged
		public int hashCode() 	SignatureNotChanged
		public java.lang.String toString() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.IrisMetrics
		7	=>	2, 17, 18 and 20
		10	=>	14
		11	=>	10
		12	=>	19
		13	=>	8
		14	=>	12
		15	=>	13
		16	=>	3 and 21
		17	=>	6 and 11
		20	=>	22
		21	=>	16
		22	=>	4
		23	=>	15
		24	=>	7
		25	=>	1
		26	=>	5
		27	=>	9
		31	=>	23

Class: public com.volmit.iris.IrisSettings	NameNotChanged
	Source: "IrisSettings.java"
	FieldsOf: com.volmit.iris.IrisSettings
		public java.lang.String activationCode	NameNotChanged
		public boolean hotloading	NameNotChanged
		public int maxBiomeChildDepth	NameNotChanged
		public boolean openVSCode	NameNotChanged
		public boolean parallaxCompression	NameNotChanged
		public int parallaxCompressionLevel	NameNotChanged
		public static transient com.volmit.iris.IrisSettings settings	NameNotChanged
		public boolean sharedCaching	NameNotChanged
		public int threads	NameNotChanged
	MethodsOf: com.volmit.iris.IrisSettings
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		public static com.volmit.iris.IrisSettings get() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.IrisSettings
		13	=>	10
		17	=>	9
		21	=>	24
		25	=>	23
		29	=>	11
		33	=>	15
		37	=>	26
		41	=>	25
		45	=>	21
		51	=>	16
		53	=>	12
		55	=>	1
		57	=>	5
		61	=>	2
		64	=>	8
		66	=>	13
		67	=>	7 and 20
		74	=>	27
		77	=>	17
		79	=>	29
		80	=>	6
		81	=>	4
		84	=>	22
		88	=>	19
		91	=>	3
		93	=>	14
		94	=>	28
		98	=>	18

Class: public com.volmit.iris.ProjectManager	NameNotChanged
	Source: "ProjectManager.java"
	FieldsOf: com.volmit.iris.ProjectManager
		private com.volmit.iris.gen.IrisChunkGenerator currentProject	=>	a
		private java.util.concurrent.locks.ReentrantLock lock	=>	b
		private com.volmit.iris.util.TaskExecutor tx	=>	c
	MethodsOf: com.volmit.iris.ProjectManager
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		private static java.lang.Throwable a(java.lang.Throwable) 	SignatureNotChanged
		public com.volmit.iris.util.KList analyze(java.io.File) 	SignatureNotChanged
		public com.volmit.iris.util.KList analyze(java.lang.Object, java.io.File) 	SignatureNotChanged
		public com.volmit.iris.util.KList analyzeFolder(java.io.File, java.lang.String, java.lang.Object) 	SignatureNotChanged
		private com.volmit.iris.util.JSONArray buildSchemas(com.volmit.iris.IrisDataManager)	=>	c(com.volmit.iris.IrisDataManager)
		protected boolean canEqual(java.lang.Object) 	SignatureNotChanged
		public void close() 	SignatureNotChanged
		public java.io.File compilePackage(com.volmit.iris.util.MortarSender, java.lang.String, boolean) 	SignatureNotChanged
		public void create(com.volmit.iris.util.MortarSender, java.lang.String) 	SignatureNotChanged
		public boolean equals(java.lang.Object) 	SignatureNotChanged
		private void ex(com.volmit.iris.util.JSONArray, java.lang.Class, com.volmit.iris.IrisDataManager, java.lang.String)	=>	a(com.volmit.iris.util.JSONArray, java.lang.Class, com.volmit.iris.IrisDataManager, java.lang.String)
		private java.lang.String[] getBiomeList(com.volmit.iris.IrisDataManager)	=>	d(com.volmit.iris.IrisDataManager)
		public com.volmit.iris.gen.IrisChunkGenerator getCurrentProject() 	SignatureNotChanged
		private java.lang.String[] getDimensionList(com.volmit.iris.IrisDataManager)	=>	e(com.volmit.iris.IrisDataManager)
		private java.lang.String[] getFontList()	=>	b()
		private java.lang.String[] getGeneratorList(com.volmit.iris.IrisDataManager)	=>	f(com.volmit.iris.IrisDataManager)
		public java.util.concurrent.locks.ReentrantLock getLock() 	SignatureNotChanged
		private java.lang.String[] getLootList(com.volmit.iris.IrisDataManager)	=>	g(com.volmit.iris.IrisDataManager)
		private java.lang.String[] getObjectList(com.volmit.iris.IrisDataManager)	=>	a(com.volmit.iris.IrisDataManager)
		private java.lang.String[] getRegionList(com.volmit.iris.IrisDataManager)	=>	h(com.volmit.iris.IrisDataManager)
		public com.volmit.iris.util.JSONObject getSchemaEntry(java.lang.Class, com.volmit.iris.IrisDataManager, java.lang.String[]) 	SignatureNotChanged
		public com.volmit.iris.util.JSONObject getSchemaFor(java.lang.Class, com.volmit.iris.IrisDataManager) 	SignatureNotChanged
		public com.volmit.iris.util.JSONObject getSchemaFor(java.lang.Class, int, com.volmit.iris.util.KMap, com.volmit.iris.IrisDataManager) 	SignatureNotChanged
		private java.lang.String[] getStructureList(com.volmit.iris.IrisDataManager)	=>	b(com.volmit.iris.IrisDataManager)
		public com.volmit.iris.util.TaskExecutor getTx() 	SignatureNotChanged
		public java.io.File getWorkspaceFile(java.lang.String) 	SignatureNotChanged
		public int hashCode() 	SignatureNotChanged
		public boolean isProjectOpen() 	SignatureNotChanged
		private synthetic void lambda$buildSchemas$35(com.volmit.iris.util.JSONArray, com.volmit.iris.IrisDataManager) 	SignatureNotChanged
		private synthetic void lambda$buildSchemas$36(com.volmit.iris.util.JSONArray, com.volmit.iris.IrisDataManager) 	SignatureNotChanged
		private synthetic void lambda$buildSchemas$37(com.volmit.iris.util.JSONArray, com.volmit.iris.IrisDataManager) 	SignatureNotChanged
		private synthetic void lambda$buildSchemas$38(com.volmit.iris.util.JSONArray, com.volmit.iris.IrisDataManager) 	SignatureNotChanged
		private synthetic void lambda$buildSchemas$39(com.volmit.iris.util.JSONArray, com.volmit.iris.IrisDataManager) 	SignatureNotChanged
		private synthetic void lambda$buildSchemas$40(com.volmit.iris.util.JSONArray, com.volmit.iris.IrisDataManager) 	SignatureNotChanged
		private static synthetic void lambda$close$6(java.io.File) 	SignatureNotChanged
		private static synthetic void lambda$compilePackage$11(com.volmit.iris.util.KSet, com.volmit.iris.object.IrisBiome) 	SignatureNotChanged
		private static synthetic void lambda$compilePackage$13(com.volmit.iris.util.KSet, com.volmit.iris.object.IrisRegion) 	SignatureNotChanged
		private static synthetic void lambda$compilePackage$15(com.volmit.iris.util.KSet, com.volmit.iris.object.IrisBiome) 	SignatureNotChanged
		private static synthetic void lambda$compilePackage$17(com.volmit.iris.util.KSet, com.volmit.iris.object.IrisRegion) 	SignatureNotChanged
		private static synthetic void lambda$compilePackage$19(com.volmit.iris.util.KSet, com.volmit.iris.object.IrisBiome) 	SignatureNotChanged
		private static synthetic void lambda$compilePackage$21(com.volmit.iris.util.KSet, com.volmit.iris.object.IrisStructure) 	SignatureNotChanged
		private static synthetic void lambda$compilePackage$24(com.volmit.iris.util.KSet, com.volmit.iris.object.IrisStructure) 	SignatureNotChanged
		private static synthetic void lambda$compilePackage$27(com.volmit.iris.util.KMap, java.io.File, java.lang.StringBuilder, com.volmit.iris.util.O, com.volmit.iris.util.ChronoLatch, com.volmit.iris.util.MortarSender, com.volmit.iris.object.IrisBiome) 	SignatureNotChanged
		private static synthetic void lambda$compilePackage$30(com.volmit.iris.util.KMap, java.io.File, java.lang.StringBuilder, com.volmit.iris.util.O, com.volmit.iris.util.ChronoLatch, com.volmit.iris.util.MortarSender, com.volmit.iris.object.IrisStructure) 	SignatureNotChanged
		private static synthetic void lambda$compilePackage$33(com.volmit.iris.util.KMap, java.io.File, java.lang.StringBuilder, com.volmit.iris.util.O, com.volmit.iris.util.ChronoLatch, com.volmit.iris.util.MortarSender, com.volmit.iris.object.IrisBiomeMutation) 	SignatureNotChanged
		private static synthetic void lambda$compilePackage$7(com.volmit.iris.util.KSet, java.lang.String) 	SignatureNotChanged
		private static synthetic void lambda$compilePackage$8(com.volmit.iris.util.KSet, java.lang.String) 	SignatureNotChanged
		private static synthetic void lambda$compilePackage$9(com.volmit.iris.util.KSet, com.volmit.iris.object.IrisRegion) 	SignatureNotChanged
		private static synthetic void lambda$new$0() 	SignatureNotChanged
		private static synthetic void lambda$null$10(com.volmit.iris.util.KSet, com.volmit.iris.object.IrisBiomeGeneratorLink) 	SignatureNotChanged
		private static synthetic void lambda$null$12(com.volmit.iris.util.KSet, com.volmit.iris.object.IrisStructurePlacement) 	SignatureNotChanged
		private static synthetic void lambda$null$14(com.volmit.iris.util.KSet, com.volmit.iris.object.IrisStructurePlacement) 	SignatureNotChanged
		private static synthetic void lambda$null$16(com.volmit.iris.util.KSet, java.lang.String) 	SignatureNotChanged
		private static synthetic void lambda$null$18(com.volmit.iris.util.KSet, java.lang.String) 	SignatureNotChanged
		private synthetic void lambda$null$2(java.io.File, com.volmit.iris.util.MortarSender) 	SignatureNotChanged
		private static synthetic void lambda$null$20(com.volmit.iris.util.KSet, java.lang.String) 	SignatureNotChanged
		private static synthetic void lambda$null$22(com.volmit.iris.util.KSet, java.lang.String) 	SignatureNotChanged
		private static synthetic void lambda$null$23(com.volmit.iris.util.KSet, com.volmit.iris.object.IrisStructureTile) 	SignatureNotChanged
		private static synthetic void lambda$null$25(com.volmit.iris.util.KMap, java.io.File, java.lang.StringBuilder, com.volmit.iris.util.O, com.volmit.iris.util.ChronoLatch, com.volmit.iris.util.MortarSender, java.lang.String) 	SignatureNotChanged
		private static synthetic void lambda$null$26(com.volmit.iris.util.KMap, java.io.File, java.lang.StringBuilder, com.volmit.iris.util.O, com.volmit.iris.util.ChronoLatch, com.volmit.iris.util.MortarSender, com.volmit.iris.object.IrisObjectPlacement) 	SignatureNotChanged
		private static synthetic void lambda$null$28(com.volmit.iris.util.KMap, java.io.File, java.lang.StringBuilder, com.volmit.iris.util.O, com.volmit.iris.util.ChronoLatch, com.volmit.iris.util.MortarSender, java.lang.String) 	SignatureNotChanged
		private static synthetic void lambda$null$29(com.volmit.iris.util.KMap, java.io.File, java.lang.StringBuilder, com.volmit.iris.util.O, com.volmit.iris.util.ChronoLatch, com.volmit.iris.util.MortarSender, com.volmit.iris.object.IrisStructureTile) 	SignatureNotChanged
		private static synthetic void lambda$null$31(com.volmit.iris.util.KMap, java.io.File, java.lang.StringBuilder, com.volmit.iris.util.O, com.volmit.iris.util.ChronoLatch, com.volmit.iris.util.MortarSender, java.lang.String) 	SignatureNotChanged
		private static synthetic void lambda$null$32(com.volmit.iris.util.KMap, java.io.File, java.lang.StringBuilder, com.volmit.iris.util.O, com.volmit.iris.util.ChronoLatch, com.volmit.iris.util.MortarSender, com.volmit.iris.object.IrisObjectPlacement) 	SignatureNotChanged
		private static synthetic void lambda$open$1() 	SignatureNotChanged
		private synthetic void lambda$open$3(com.volmit.iris.object.IrisDimension, com.volmit.iris.util.MortarSender) 	SignatureNotChanged
		private static synthetic void lambda$open$4(com.volmit.iris.util.O, com.volmit.iris.gen.IrisChunkGenerator, com.volmit.iris.util.MortarSender) 	SignatureNotChanged
		private static synthetic void lambda$open$5(com.volmit.iris.util.MortarSender, java.lang.Runnable) 	SignatureNotChanged
		private synthetic void lambda$updateWorkspace$34(java.io.File) 	SignatureNotChanged
		private com.volmit.iris.util.JSONObject newWorkspaceConfig()	=>	a()
		public void open(com.volmit.iris.util.MortarSender, java.lang.String) 	SignatureNotChanged
		public void open(com.volmit.iris.util.MortarSender, java.lang.String, java.lang.Runnable) 	SignatureNotChanged
		public java.lang.String toString() 	SignatureNotChanged
		public void updateWorkspace(java.io.File) 	SignatureNotChanged
		private void verify(com.volmit.iris.util.JSONObject, java.lang.Object, com.volmit.iris.util.KList, java.io.File)	=>	a(com.volmit.iris.util.JSONObject, java.lang.Object, com.volmit.iris.util.KList, java.io.File)
		public void writeDocs(java.io.File) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.ProjectManager
		78	=>	10, 132, 326 and 477
		81	=>	642
		82	=>	644 and 843
		83	=>	440 and 604
		86	=>	249
		87	=>	525
		89	=>	602
		91	=>	9
		93	=>	209
		94	=>	322
		98	=>	202
		101	=>	63
		104	=>	185
		107	=>	500
		108	=>	532
		112	=>	605
		117	=>	681
		119	=>	175
		120	=>	366
		124	=>	394
		125	=>	647
		126	=>	780
		130	=>	507
		132	=>	359 and 382
		134	=>	699
		136	=>	805
		137	=>	654
		139	=>	670
		140	=>	712
		141	=>	96
		143	=>	62
		145	=>	578
		153	=>	309
		155	=>	809
		156	=>	820
		157	=>	194
		158	=>	212
		160	=>	329
		161	=>	250
		163	=>	70
		165	=>	485
		167	=>	730
		168	=>	317
		171	=>	469
		172	=>	515
		173	=>	812
		174	=>	598
		175	=>	15
		176	=>	801
		177	=>	19
		178	=>	762
		180	=>	815
		182	=>	443
		183	=>	421
		184	=>	204
		186	=>	709
		187	=>	141
		189	=>	547
		191	=>	700
		192	=>	157
		197	=>	213
		200	=>	800
		201	=>	754
		203	=>	275
		205	=>	590
		206	=>	732
		208	=>	200
		209	=>	155
		211	=>	539
		212	=>	306
		213	=>	56
		215	=>	232
		217	=>	34
		220	=>	106
		222	=>	677
		224	=>	782
		226	=>	50
		229	=>	226
		230	=>	240
		231	=>	518
		235	=>	379
		237	=>	231
		238	=>	501
		239	=>	568
		240	=>	669
		241	=>	696
		242	=>	108 and 555
		244	=>	533
		248	=>	20
		249	=>	634
		250	=>	609
		251	=>	110
		252	=>	521
		253	=>	89
		254	=>	777
		255	=>	65
		256	=>	338
		257	=>	657
		258	=>	766
		259	=>	168 and 545
		260	=>	393 and 588
		261	=>	319 and 564
		262	=>	46, 351 and 772
		263	=>	28, 486 and 535
		264	=>	102, 517 and 645
		265	=>	487, 542 and 818
		266	=>	315, 620 and 767
		267	=>	173, 473 and 653
		268	=>	11, 259, 339 and 775
		270	=>	59
		271	=>	543
		272	=>	365
		273	=>	668
		274	=>	86
		276	=>	1
		278	=>	344
		280	=>	334
		281	=>	162
		283	=>	438
		285	=>	560
		287	=>	663
		288	=>	156
		291	=>	124
		292	=>	489
		293	=>	496
		294	=>	847
		295	=>	18
		297	=>	822
		298	=>	403
		299	=>	302
		301	=>	759
		303	=>	280
		305	=>	396
		306	=>	779
		308	=>	524
		310	=>	596
		312	=>	383
		313	=>	247
		316	=>	427
		317	=>	581
		318	=>	407
		319	=>	392
		320	=>	846
		322	=>	14
		323	=>	243
		324	=>	224
		326	=>	35
		328	=>	666
		330	=>	726
		331	=>	482
		333	=>	42
		335	=>	823
		337	=>	304
		338	=>	109
		341	=>	458
		342	=>	671
		343	=>	357
		344	=>	527
		345	=>	278
		347	=>	343
		348	=>	447
		349	=>	559
		351	=>	47
		352	=>	313
		353	=>	522
		354	=>	680
		355	=>	793
		356	=>	208, 520 and 715
		360	=>	534
		361	=>	516
		362	=>	454
		363	=>	176
		365	=>	481
		367	=>	198
		368	=>	255
		369	=>	771
		373	=>	144
		376	=>	116
		377	=>	281
		379	=>	82, 253 and 638
		383	=>	460
		384	=>	391
		385	=>	3
		386	=>	827
		388	=>	122
		390	=>	375
		391	=>	397
		392	=>	199
		396	=>	51
		399	=>	749
		400	=>	52
		402	=>	268, 289 and 797
		406	=>	585
		407	=>	277
		408	=>	386
		409	=>	190
		411	=>	484
		413	=>	570
		414	=>	821
		415	=>	130
		419	=>	785
		422	=>	755
		423	=>	433
		425	=>	717
		426	=>	282
		427	=>	674
		429	=>	839
		433	=>	206
		434	=>	33
		435	=>	807
		437	=>	643
		439	=>	97
		440	=>	526
		441	=>	389
		442	=>	694
		444	=>	54
		445	=>	646
		447	=>	288
		449	=>	530
		450	=>	776
		451	=>	126
		452	=>	479
		454	=>	825
		456	=>	650
		457	=>	170
		458	=>	445
		459	=>	567
		461	=>	497
		463	=>	685
		464	=>	531
		465	=>	328
		466	=>	180
		468	=>	71
		470	=>	364
		471	=>	153
		472	=>	430
		473	=>	372
		475	=>	449
		476	=>	133
		477	=>	744
		478	=>	137
		479	=>	182
		480	=>	118
		481	=>	138
		482	=>	523
		483	=>	228
		484	=>	197
		485	=>	292
		486	=>	494
		488	=>	159
		489	=>	621
		492	=>	506
		494	=>	388
		496	=>	673
		497	=>	114
		502	=>	279
		503	=>	265
		504	=>	174
		506	=>	841
		508	=>	456
		509	=>	502
		511	=>	705
		512	=>	553
		513	=>	149
		514	=>	207
		515	=>	84
		516	=>	631
		517	=>	569
		518	=>	377
		519	=>	474
		520	=>	234
		521	=>	196
		522	=>	6
		523	=>	781
		524	=>	614
		525	=>	417
		526	=>	840
		527	=>	837
		528	=>	332
		529	=>	706
		530	=>	451
		531	=>	235
		532	=>	374
		533	=>	301
		534	=>	688
		535	=>	836
		536	=>	556
		537	=>	115
		538	=>	741
		539	=>	572
		540	=>	819
		541	=>	740
		542	=>	258
		543	=>	557
		544	=>	761
		545	=>	558
		546	=>	222
		547	=>	323
		548	=>	307
		549	=>	692
		550	=>	223
		551	=>	327
		552	=>	262
		553	=>	683
		554	=>	85
		555	=>	580
		556	=>	256
		557	=>	488
		558	=>	244
		559	=>	272
		560	=>	423
		561	=>	273
		562	=>	103
		563	=>	751
		564	=>	23
		565	=>	718
		566	=>	571
		567	=>	270
		568	=>	211
		572	=>	606
		573	=>	350
		574	=>	640
		575	=>	734
		576	=>	845
		577	=>	93
		578	=>	802
		579	=>	201
		580	=>	39
		581	=>	7
		584	=>	498
		586	=>	305
		587	=>	297
		588	=>	172
		589	=>	587
		593	=>	38
		594	=>	723
		595	=>	679
		596	=>	639
		597	=>	758
		598	=>	658
		599	=>	702
		601	=>	320
		602	=>	370
		603	=>	136
		604	=>	786
		605	=>	799
		606	=>	549
		608	=>	608
		609	=>	36
		610	=>	437
		611	=>	248
		612	=>	747
		613	=>	385
		614	=>	586
		615	=>	824
		616	=>	66
		617	=>	748
		618	=>	610
		619	=>	746
		620	=>	600
		621	=>	303
		622	=>	413
		623	=>	218
		624	=>	491
		626	=>	83
		627	=>	195
		628	=>	624
		630	=>	478
		635	=>	817
		642	=>	428
		643	=>	203 and 790
		644	=>	450
		645	=>	770
		646	=>	91
		649	=>	595
		651	=>	476
		655	=>	140
		658	=>	142
		660	=>	652
		661	=>	832
		662	=>	21
		663	=>	739
		667	=>	169
		668	=>	512
		669	=>	582
		670	=>	735
		671	=>	349
		675	=>	179
		676	=>	352
		677	=>	505 and 707
		678	=>	299 and 829
		679	=>	324 and 765
		680	=>	448 and 519
		681	=>	509 and 536
		682	=>	363 and 415
		683	=>	316
		685	=>	245
		690	=>	335
		691	=>	834
		692	=>	152
		693	=>	701
		695	=>	276
		700	=>	25
		701	=>	241
		702	=>	459
		703	=>	725
		704	=>	254
		706	=>	44
		707	=>	546
		709	=>	693
		711	=>	400
		716	=>	803
		718	=>	378
		719	=>	76
		720	=>	831
		723	=>	452
		724	=>	409
		726	=>	347
		727	=>	147
		728	=>	295
		729	=>	57
		731	=>	664
		732	=>	584
		734	=>	811
		735	=>	166
		736	=>	637
		738	=>	148 and 453
		740	=>	420
		741	=>	626
		743	=>	574
		745	=>	544
		748	=>	45
		750	=>	384
		752	=>	648
		754	=>	342
		756	=>	540
		759	=>	603
		761	=>	119
		765	=>	100
		767	=>	461
		769	=>	816
		771	=>	78
		774	=>	107
		776	=>	390
		780	=>	499
		782	=>	75
		785	=>	510
		787	=>	662
		789	=>	260
		791	=>	286
		794	=>	220
		796	=>	769
		799	=>	690
		801	=>	470
		804	=>	154
		806	=>	285
		809	=>	576
		811	=>	284
		814	=>	300
		816	=>	233
		819	=>	239
		821	=>	146
		824	=>	791
		826	=>	263
		829	=>	274
		831	=>	616
		834	=>	704
		836	=>	217
		840	=>	380
		842	=>	554
		843	=>	439
		845	=>	358 and 562
		847	=>	337
		850	=>	689
		853	=>	628
		855	=>	181
		856	=>	236
		858	=>	4 and 768
		860	=>	171
		863	=>	660
		866	=>	37
		868	=>	813
		869	=>	193
		871	=>	424 and 538
		873	=>	618
		876	=>	32
		879	=>	229
		881	=>	783
		884	=>	607
		886	=>	186
		889	=>	74
		891	=>	291
		893	=>	745
		894	=>	26
		898	=>	613
		900	=>	371
		902	=>	177
		904	=>	17
		907	=>	164
		909	=>	695
		912	=>	215
		914	=>	210
		916	=>	627
		918	=>	635
		921	=>	139
		923	=>	792
		926	=>	563
		928	=>	589
		931	=>	442
		933	=>	69
		935	=>	94
		937	=>	661
		940	=>	134
		942	=>	287
		945	=>	495
		947	=>	773
		948	=>	441
		950	=>	160
		951	=>	651
		952	=>	752
		953	=>	53
		956	=>	552
		957	=>	493
		958	=>	143
		959	=>	312
		960	=>	711
		961	=>	80
		962	=>	541
		965	=>	835
		967	=>	471
		968	=>	216
		970	=>	757
		971	=>	353
		972	=>	678
		973	=>	826
		976	=>	41
		977	=>	432
		978	=>	656
		979	=>	480
		980	=>	225
		981	=>	719
		982	=>	362
		985	=>	716
		987	=>	720
		988	=>	490
		990	=>	798
		991	=>	529
		992	=>	72
		993	=>	577
		996	=>	676
		997	=>	2
		998	=>	537
		999	=>	848
		1000	=>	294
		1001	=>	369
		1002	=>	591
		1005	=>	219
		1007	=>	290
		1008	=>	187
		1010	=>	548
		1011	=>	336
		1012	=>	331
		1013	=>	345
		1016	=>	796
		1017	=>	601
		1018	=>	622
		1019	=>	269
		1020	=>	98
		1021	=>	123
		1022	=>	810
		1025	=>	348
		1027	=>	612
		1028	=>	92
		1030	=>	804
		1031	=>	468
		1032	=>	743
		1033	=>	593
		1036	=>	633
		1037	=>	434
		1038	=>	467
		1039	=>	426
		1040	=>	789
		1041	=>	727
		1042	=>	246
		1045	=>	728
		1047	=>	251
		1048	=>	81
		1050	=>	298
		1051	=>	40
		1052	=>	73
		1053	=>	333
		1056	=>	583
		1057	=>	167
		1058	=>	435
		1059	=>	310
		1060	=>	88
		1061	=>	406
		1062	=>	844
		1065	=>	659
		1067	=>	787
		1068	=>	22
		1070	=>	503
		1071	=>	756
		1072	=>	611
		1073	=>	321
		1076	=>	703
		1077	=>	314
		1078	=>	528
		1079	=>	373
		1080	=>	12
		1081	=>	615
		1082	=>	778
		1085	=>	401
		1087	=>	404
		1088	=>	721
		1090	=>	340
		1091	=>	163
		1092	=>	667
		1093	=>	191
		1096	=>	325
		1097	=>	214
		1098	=>	697
		1099	=>	398
		1100	=>	665
		1101	=>	431
		1102	=>	61
		1106	=>	113
		1108	=>	629
		1109	=>	58
		1111	=>	795 and 828
		1113	=>	161
		1116	=>	763
		1118	=>	95
		1120	=>	55
		1121	=>	710
		1122	=>	165
		1123	=>	158
		1126	=>	129
		1127	=>	464
		1128	=>	330
		1129	=>	579
		1130	=>	31
		1131	=>	806
		1132	=>	188
		1135	=>	573
		1137	=>	408
		1140	=>	238
		1142	=>	760
		1145	=>	311
		1147	=>	77
		1149	=>	565
		1151	=>	466
		1153	=>	686
		1155	=>	16
		1156	=>	764
		1157	=>	361
		1158	=>	794
		1159	=>	675
		1160	=>	513
		1161	=>	833
		1163	=>	49
		1165	=>	43
		1168	=>	192
		1169	=>	444
		1173	=>	483
		1179	=>	27
		1182	=>	475
		1185	=>	13
		1187	=>	737
		1191	=>	738
		1192	=>	436
		1193	=>	632
		1197	=>	296
		1198	=>	242
		1199	=>	117
		1200	=>	399
		1203	=>	381
		1208	=>	508
		1213	=>	308
		1218	=>	346
		1223	=>	252
		1228	=>	504
		1233	=>	293
		1238	=>	713
		1243	=>	830
		1248	=>	271
		1250	=>	30
		1252	=>	8
		1255	=>	636
		1257	=>	736
		1258	=>	230
		1261	=>	237 and 597
		1263	=>	561
		1265	=>	367
		1267	=>	630
		1270	=>	67
		1272	=>	457
		1280	=>	355
		1281	=>	87
		1282	=>	257
		1283	=>	64
		1285	=>	714
		1288	=>	708
		1290	=>	429
		1291	=>	127 and 784
		1296	=>	68
		1300	=>	410
		1305	=>	623
		1309	=>	729
		1313	=>	121
		1315	=>	264
		1317	=>	111
		1318	=>	24
		1321	=>	360
		1322	=>	5
		1324	=>	283
		1326	=>	227
		1329	=>	183
		1332	=>	511
		1334	=>	189
		1335	=>	402
		1338	=>	742
		1341	=>	731
		1342	=>	808
		1343	=>	514
		1347	=>	101
		1349	=>	261
		1350	=>	422
		1351	=>	682
		1352	=>	655
		1353	=>	267
		1355	=>	463
		1360	=>	774
		1365	=>	842
		1367	=>	145
		1369	=>	551
		1370	=>	617
		1371	=>	599
		1377	=>	405
		1380	=>	722
		1382	=>	724
		1383	=>	446
		1384	=>	462
		1386	=>	411
		1390	=>	455
		1392	=>	425
		1394	=>	814
		1398	=>	341
		1400	=>	376
		1401	=>	472
		1402	=>	184
		1404	=>	684
		1409	=>	104
		1410	=>	733
		1412	=>	48 and 625
		1414	=>	120
		1417	=>	99
		1418	=>	592
		1420	=>	29 and 838
		1422	=>	418
		1425	=>	90
		1426	=>	368
		1428	=>	698 and 750
		1430	=>	492
		1433	=>	135
		1434	=>	150
		1436	=>	178 and 356
		1438	=>	619
		1441	=>	575
		1442	=>	419
		1444	=>	416 and 465
		1446	=>	60
		1449	=>	414
		1450	=>	753
		1452	=>	566 and 691
		1454	=>	318
		1457	=>	151
		1458	=>	128
		1460	=>	125 and 412
		1462	=>	649
		1465	=>	672
		1466	=>	594
		1468	=>	79 and 687
		1470	=>	641
		1473	=>	395
		1474	=>	205
		1476	=>	221
		1478	=>	387
		1479	=>	354
		1481	=>	105
		1482	=>	131
		1484	=>	112 and 788
		1486	=>	266
		1488	=>	550

Class: public com.volmit.iris.StructureManager	NameNotChanged
	Source: "StructureManager.java"
	FieldsOf: com.volmit.iris.StructureManager
		private com.volmit.iris.util.KList openEditors	=>	a
	MethodsOf: com.volmit.iris.StructureManager
		public void <init>() 	SignatureNotChanged
		public com.volmit.iris.util.StructureTemplate get(org.bukkit.entity.Player) 	SignatureNotChanged
		public void open(com.volmit.iris.util.StructureTemplate) 	SignatureNotChanged
		public void remove(com.volmit.iris.util.StructureTemplate) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.StructureManager
		13	=>	5
		14	=>	15
		15	=>	2
		27	=>	16
		29	=>	3
		31	=>	14
		33	=>	10
		35	=>	7
		36	=>	8
		40	=>	9
		41	=>	4
		45	=>	12
		47	=>	6
		49	=>	13
		51	=>	1
		53	=>	11

Class: public com.volmit.iris.WandManager	NameNotChanged
	Source: "WandManager.java"
	FieldsOf: com.volmit.iris.WandManager
	MethodsOf: com.volmit.iris.WandManager
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		private static java.lang.Throwable a(java.lang.Throwable) 	SignatureNotChanged
		public static com.volmit.iris.object.IrisObject createSchematic(org.bukkit.inventory.ItemStack) 	SignatureNotChanged
		public static org.bukkit.inventory.ItemStack createWand() 	SignatureNotChanged
		public static org.bukkit.inventory.ItemStack createWand(org.bukkit.Location, org.bukkit.Location) 	SignatureNotChanged
		public void draw(com.volmit.iris.util.Cuboid, org.bukkit.entity.Player) 	SignatureNotChanged
		public void draw(org.bukkit.Location[], org.bukkit.entity.Player) 	SignatureNotChanged
		public static org.bukkit.Location[] getCuboid(org.bukkit.inventory.ItemStack) 	SignatureNotChanged
		public static boolean isWand(org.bukkit.entity.Player) 	SignatureNotChanged
		public static boolean isWand(org.bukkit.inventory.ItemStack) 	SignatureNotChanged
		private synthetic void lambda$new$0() 	SignatureNotChanged
		public static java.lang.String locationToString(org.bukkit.Location) 	SignatureNotChanged
		public void on(org.bukkit.event.player.PlayerInteractEvent) 	SignatureNotChanged
		public static void pasteSchematic(com.volmit.iris.object.IrisObject, org.bukkit.Location) 	SignatureNotChanged
		public static org.bukkit.Location stringToLocation(java.lang.String) 	SignatureNotChanged
		public void tick(org.bukkit.entity.Player) 	SignatureNotChanged
		public static org.bukkit.inventory.ItemStack update(boolean, org.bukkit.Location, org.bukkit.inventory.ItemStack) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.WandManager
		34	=>	110
		35	=>	124
		37	=>	43
		39	=>	103
		40	=>	117
		41	=>	73
		42	=>	78
		43	=>	123
		49	=>	31
		51	=>	47
		52	=>	16
		56	=>	75
		59	=>	39
		60	=>	90
		64	=>	77
		65	=>	26
		69	=>	80
		70	=>	113
		71	=>	64
		72	=>	79
		74	=>	48
		76	=>	55
		79	=>	5
		81	=>	81
		84	=>	57
		85	=>	56
		86	=>	102
		87	=>	45
		88	=>	87
		89	=>	12
		91	=>	34 and 61
		93	=>	51 and 131
		95	=>	2 and 17
		97	=>	36
		99	=>	109
		100	=>	28
		101	=>	116
		102	=>	104
		103	=>	66
		104	=>	14
		106	=>	115
		108	=>	9
		110	=>	32
		112	=>	13
		115	=>	98
		117	=>	69
		120	=>	112
		122	=>	25
		125	=>	50
		127	=>	126
		130	=>	37
		132	=>	114
		135	=>	97
		137	=>	4
		140	=>	95
		141	=>	93
		142	=>	3
		143	=>	10
		144	=>	6
		145	=>	38
		151	=>	29
		156	=>	89
		158	=>	76
		160	=>	130
		161	=>	86
		162	=>	8
		163	=>	23
		166	=>	85
		168	=>	121
		169	=>	84
		170	=>	127
		171	=>	99
		174	=>	22
		178	=>	24
		179	=>	107
		183	=>	72
		185	=>	71
		190	=>	92
		191	=>	33
		192	=>	120
		193	=>	15
		194	=>	52
		196	=>	58
		198	=>	122
		200	=>	125
		203	=>	118
		204	=>	27
		205	=>	83
		207	=>	108
		210	=>	41
		212	=>	62
		215	=>	96
		222	=>	18
		223	=>	111
		224	=>	106
		227	=>	11
		229	=>	21
		235	=>	35
		237	=>	70
		240	=>	119
		245	=>	19
		250	=>	129
		252	=>	74
		255	=>	101
		256	=>	1
		258	=>	59
		260	=>	128
		263	=>	91
		268	=>	30
		269	=>	63
		270	=>	67
		271	=>	105
		272	=>	100
		273	=>	60
		274	=>	88
		275	=>	53
		277	=>	54
		282	=>	46
		283	=>	44
		288	=>	49
		289	=>	7
		294	=>	42
		296	=>	68
		299	=>	94
		301	=>	20
		304	=>	40
		306	=>	82
		309	=>	65

Class: public com.volmit.iris.activation.IrisActivation1	NameNotChanged
	Source: "IrisActivation1.java"
	FieldsOf: com.volmit.iris.activation.IrisActivation1
	MethodsOf: com.volmit.iris.activation.IrisActivation1
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		private static java.lang.Throwable a(java.lang.Throwable) 	SignatureNotChanged
		public static boolean authorize(java.lang.String) 	SignatureNotChanged
		public static java.lang.String computeSecurityHash() 	SignatureNotChanged
		private static java.lang.String getBakedCode()	=>	a()
		public static long getTime() 	SignatureNotChanged
		public static boolean isTimeValid() 	SignatureNotChanged
		private static synthetic void lambda$validate$0() 	SignatureNotChanged
		public static void validate() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.activation.IrisActivation1
		20	=>	24
		24	=>	46
		29	=>	26
		36	=>	42
		43	=>	38
		45	=>	34
		49	=>	10
		52	=>	47
		54	=>	22
		55	=>	9
		56	=>	14
		61	=>	13
		67	=>	2
		70	=>	16
		74	=>	23
		75	=>	8
		76	=>	29
		78	=>	39
		80	=>	6
		82	=>	19
		87	=>	45
		92	=>	53
		99	=>	41
		101	=>	11, 17, 33 and 48
		103	=>	1, 15, 27 and 44
		107	=>	18, 20, 36 and 49
		110	=>	3, 21, 30 and 32
		111	=>	7, 12, 28 and 50
		113	=>	35
		120	=>	25
		122	=>	4
		123	=>	5
		124	=>	51
		126	=>	43
		128	=>	37
		133	=>	52
		136	=>	40
		138	=>	31

Class: public com.volmit.iris.activation.IrisActivation2	NameNotChanged
	Source: "IrisActivation2.java"
	FieldsOf: com.volmit.iris.activation.IrisActivation2
		private static int a	=>	b
	MethodsOf: com.volmit.iris.activation.IrisActivation2
		static void <clinit>() 	SignatureNotChanged
		public static int a()	=>	b()
		public static void a(int)	=>	b(int)
		private static java.lang.Throwable a(java.lang.Throwable) 	SignatureNotChanged
		public static boolean authorize(java.lang.String) 	SignatureNotChanged
		public static int b()	=>	c()
		public static java.lang.String computeSecurityHash() 	SignatureNotChanged
		private static java.lang.String getBakedCode()	=>	d()
		public static long getTime() 	SignatureNotChanged
		public static boolean isTimeValid() 	SignatureNotChanged
		private static synthetic void lambda$validate$0() 	SignatureNotChanged
		public static void validate() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.activation.IrisActivation2
		23	=>	20
		28	=>	5
		34	=>	32
		41	=>	15
		43	=>	46
		47	=>	4
		50	=>	9
		52	=>	17
		53	=>	33
		58	=>	19
		64	=>	3
		67	=>	41
		71	=>	45
		72	=>	36
		73	=>	37
		75	=>	48
		77	=>	40
		79	=>	42
		84	=>	11
		89	=>	8
		96	=>	25
		98	=>	10, 13, 34 and 47
		100	=>	21, 22, 30 and 43
		104	=>	29, 38, 39 and 49
		107	=>	6, 12, 14 and 28
		108	=>	1, 2, 23 and 50
		110	=>	18
		117	=>	16
		119	=>	24
		120	=>	27
		121	=>	35
		123	=>	26
		125	=>	44
		130	=>	31
		133	=>	51
		135	=>	7

Class: public com.volmit.iris.command.CommandIris	NameNotChanged
	Source: "CommandIris.java"
	FieldsOf: com.volmit.iris.command.CommandIris
		private com.volmit.iris.command.CommandIrisCreate create	=>	j
		private com.volmit.iris.command.CommandIrisObject object	=>	k
		private com.volmit.iris.command.CommandIrisStructure structure	=>	g
		private com.volmit.iris.command.CommandIrisStudio studio	=>	i
		private com.volmit.iris.command.CommandIrisWhat what	=>	h
	MethodsOf: com.volmit.iris.command.CommandIris
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIris
		27	=>	5
		28	=>	4
		29	=>	6
		34	=>	7
		35	=>	2
		36	=>	1
		42	=>	3

Class: public com.volmit.iris.command.CommandIrisCreate	NameNotChanged
	Source: "CommandIrisCreate.java"
	FieldsOf: com.volmit.iris.command.CommandIrisCreate
	MethodsOf: com.volmit.iris.command.CommandIrisCreate
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
		private static synthetic void lambda$handle$0(com.volmit.iris.util.O, com.volmit.iris.gen.IrisChunkGenerator, com.volmit.iris.util.MortarSender) 	SignatureNotChanged
		private static synthetic void lambda$handle$1(com.volmit.iris.util.O) 	SignatureNotChanged
		private static synthetic void lambda$handle$3(com.volmit.iris.util.O, org.bukkit.World, com.volmit.iris.util.MortarSender, boolean, java.io.File) 	SignatureNotChanged
		private static synthetic void lambda$null$2(org.bukkit.World, com.volmit.iris.util.MortarSender, boolean, java.io.File) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisCreate
		28	=>	34
		29	=>	63
		30	=>	43
		31	=>	68
		32	=>	24
		37	=>	86
		38	=>	1
		39	=>	13
		40	=>	46
		41	=>	9
		42	=>	89
		44	=>	33
		46	=>	95
		47	=>	71
		50	=>	39
		51	=>	27
		53	=>	50 and 67
		55	=>	28
		57	=>	66
		60	=>	29
		61	=>	81
		62	=>	65
		65	=>	93
		67	=>	92
		69	=>	17
		71	=>	31 and 64
		73	=>	12
		75	=>	19
		76	=>	73
		77	=>	18
		84	=>	20
		85	=>	47
		88	=>	80
		90	=>	69
		92	=>	26
		93	=>	55
		96	=>	7
		97	=>	8
		99	=>	16
		101	=>	87
		102	=>	57
		105	=>	25
		106	=>	49
		108	=>	90
		109	=>	56
		110	=>	10
		112	=>	52
		114	=>	53
		115	=>	70
		116	=>	60
		118	=>	91
		119	=>	79
		121	=>	4
		123	=>	44
		124	=>	51
		129	=>	42
		132	=>	82
		133	=>	5
		134	=>	48
		135	=>	76
		137	=>	88
		138	=>	36
		139	=>	77
		141	=>	84
		142	=>	38
		144	=>	21
		146	=>	3
		147	=>	23
		148	=>	61
		150	=>	75
		152	=>	6
		153	=>	37
		156	=>	72
		158	=>	11
		160	=>	59
		162	=>	22
		165	=>	32
		167	=>	35
		169	=>	15
		171	=>	2
		172	=>	54
		174	=>	94
		176	=>	58
		177	=>	14
		180	=>	85
		182	=>	41
		183	=>	30
		184	=>	83
		187	=>	74
		188	=>	40
		189	=>	78
		191	=>	45
		197	=>	62

Class: public com.volmit.iris.command.CommandIrisEditBiome	NameNotChanged
	Source: "CommandIrisEditBiome.java"
	FieldsOf: com.volmit.iris.command.CommandIrisEditBiome
	MethodsOf: com.volmit.iris.command.CommandIrisEditBiome
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisEditBiome
		16	=>	2
		17	=>	6
		18	=>	14
		19	=>	9
		20	=>	3
		25	=>	10
		27	=>	16
		31	=>	7
		32	=>	5
		35	=>	15
		37	=>	4
		38	=>	1
		40	=>	12
		45	=>	11
		48	=>	8
		54	=>	13

Class: public com.volmit.iris.command.CommandIrisGoto	NameNotChanged
	Source: "CommandIrisGoto.java"
	FieldsOf: com.volmit.iris.command.CommandIrisGoto
	MethodsOf: com.volmit.iris.command.CommandIrisGoto
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisGoto
		18	=>	20
		19	=>	33
		20	=>	55
		21	=>	16
		22	=>	53
		27	=>	23
		29	=>	50
		30	=>	47
		33	=>	30
		35	=>	24
		36	=>	36
		38	=>	29
		40	=>	8
		41	=>	3
		44	=>	17
		45	=>	9
		46	=>	43
		47	=>	34
		48	=>	49
		50	=>	15
		52	=>	7
		57	=>	4
		59	=>	27
		61	=>	45
		62	=>	1
		67	=>	2 and 52
		69	=>	28
		71	=>	56
		75	=>	54
		77	=>	11
		79	=>	35
		80	=>	18
		83	=>	41
		85	=>	51
		87	=>	37
		88	=>	44
		89	=>	22
		91	=>	5
		93	=>	32 and 48
		95	=>	40
		96	=>	12
		98	=>	31
		100	=>	6
		101	=>	10
		102	=>	19
		103	=>	14
		110	=>	25
		111	=>	39
		112	=>	46
		115	=>	42
		117	=>	13
		119	=>	57
		124	=>	21
		127	=>	26
		133	=>	38

Class: public com.volmit.iris.command.CommandIrisHotload	NameNotChanged
	Source: "CommandIrisHotload.java"
	FieldsOf: com.volmit.iris.command.CommandIrisHotload
	MethodsOf: com.volmit.iris.command.CommandIrisHotload
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisHotload
		13	=>	7
		14	=>	13
		15	=>	8
		16	=>	16
		17	=>	12
		21	=>	2
		22	=>	3
		23	=>	17
		25	=>	6
		26	=>	14
		27	=>	9
		30	=>	10
		31	=>	11
		32	=>	18
		33	=>	4
		37	=>	15
		40	=>	5
		45	=>	1

Class: public com.volmit.iris.command.CommandIrisLoot	NameNotChanged
	Source: "CommandIrisLoot.java"
	FieldsOf: com.volmit.iris.command.CommandIrisLoot
	MethodsOf: com.volmit.iris.command.CommandIrisLoot
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
		private static synthetic void lambda$handle$0(org.bukkit.entity.Player, com.volmit.iris.util.O, boolean, org.bukkit.inventory.Inventory, com.volmit.iris.util.KList) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisLoot
		21	=>	23
		22	=>	2
		23	=>	20
		24	=>	22
		25	=>	10
		30	=>	24
		32	=>	17
		33	=>	37
		34	=>	12
		35	=>	34
		36	=>	3
		38	=>	14
		40	=>	32
		41	=>	5
		43	=>	29
		44	=>	1
		46	=>	11 and 30
		48	=>	26
		50	=>	7
		53	=>	9
		55	=>	8
		59	=>	33
		60	=>	38
		61	=>	15
		62	=>	25
		64	=>	21
		66	=>	36
		68	=>	35
		69	=>	13
		72	=>	31
		74	=>	19
		77	=>	27
		78	=>	4
		80	=>	6
		85	=>	28
		88	=>	18
		94	=>	16

Class: public com.volmit.iris.command.CommandIrisMap	NameNotChanged
	Source: "CommandIrisMap.java"
	FieldsOf: com.volmit.iris.command.CommandIrisMap
	MethodsOf: com.volmit.iris.command.CommandIrisMap
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisMap
		13	=>	3
		14	=>	9
		15	=>	1
		16	=>	8
		17	=>	7
		22	=>	5
		23	=>	2
		24	=>	4
		25	=>	6
		31	=>	10

Class: public com.volmit.iris.command.CommandIrisMetrics	NameNotChanged
	Source: "CommandIrisMetrics.java"
	FieldsOf: com.volmit.iris.command.CommandIrisMetrics
	MethodsOf: com.volmit.iris.command.CommandIrisMetrics
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisMetrics
		18	=>	4
		19	=>	15
		20	=>	18
		21	=>	5
		22	=>	3
		27	=>	10
		29	=>	2
		30	=>	16
		31	=>	12
		32	=>	8
		33	=>	7
		34	=>	20
		35	=>	9
		36	=>	6
		37	=>	13
		38	=>	11
		40	=>	1
		45	=>	14
		48	=>	17
		54	=>	19

Class: public com.volmit.iris.command.CommandIrisObject	NameNotChanged
	Source: "CommandIrisObject.java"
	FieldsOf: com.volmit.iris.command.CommandIrisObject
		private com.volmit.iris.command.CommandIrisObjectContract contract	=>	m
		private com.volmit.iris.command.CommandIrisObjectExpand expand	=>	p
		private com.volmit.iris.command.CommandIrisObjectP1 p1	=>	l
		private com.volmit.iris.command.CommandIrisObjectP2 p2	=>	n
		private com.volmit.iris.command.CommandIrisObjectPaste paste	=>	i
		private com.volmit.iris.command.CommandIrisObjectSave save	=>	j
		private com.volmit.iris.command.CommandIrisObjectShift shift	=>	h
		private com.volmit.iris.command.CommandIrisObjectWand wand	=>	g
		private com.volmit.iris.command.CommandIrisObjectXAY xay	=>	k
		private com.volmit.iris.command.CommandIrisObjectXPY xpy	=>	o
	MethodsOf: com.volmit.iris.command.CommandIrisObject
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisObject
		42	=>	8
		43	=>	7
		44	=>	2
		45	=>	5
		46	=>	6
		51	=>	4
		52	=>	9
		53	=>	1
		59	=>	3

Class: public com.volmit.iris.command.CommandIrisObjectContract	NameNotChanged
	Source: "CommandIrisObjectContract.java"
	FieldsOf: com.volmit.iris.command.CommandIrisObjectContract
	MethodsOf: com.volmit.iris.command.CommandIrisObjectContract
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisObjectContract
		18	=>	23
		19	=>	18
		20	=>	3
		21	=>	15
		22	=>	5
		27	=>	2
		29	=>	6
		30	=>	8
		33	=>	14
		35	=>	10
		37	=>	22
		38	=>	12
		41	=>	1
		42	=>	9
		43	=>	4
		44	=>	7
		45	=>	21
		46	=>	24
		47	=>	20
		48	=>	25
		49	=>	11
		50	=>	19
		51	=>	26
		52	=>	17
		54	=>	13
		60	=>	16

Class: public com.volmit.iris.command.CommandIrisObjectExpand	NameNotChanged
	Source: "CommandIrisObjectExpand.java"
	FieldsOf: com.volmit.iris.command.CommandIrisObjectExpand
	MethodsOf: com.volmit.iris.command.CommandIrisObjectExpand
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisObjectExpand
		18	=>	3
		19	=>	2
		20	=>	17
		21	=>	16
		22	=>	11
		27	=>	13
		29	=>	18
		30	=>	25
		33	=>	23
		35	=>	7
		37	=>	15
		38	=>	26
		41	=>	9
		42	=>	24
		43	=>	19
		44	=>	20
		45	=>	21
		46	=>	4
		47	=>	8
		48	=>	6
		49	=>	14
		50	=>	1
		51	=>	10
		52	=>	22
		54	=>	5
		60	=>	12

Class: public com.volmit.iris.command.CommandIrisObjectP1	NameNotChanged
	Source: "CommandIrisObjectP1.java"
	FieldsOf: com.volmit.iris.command.CommandIrisObjectP1
	MethodsOf: com.volmit.iris.command.CommandIrisObjectP1
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisObjectP1
		19	=>	18
		20	=>	7
		21	=>	17
		22	=>	15
		23	=>	3
		29	=>	11
		31	=>	8
		32	=>	12
		35	=>	14
		37	=>	5
		39	=>	16
		40	=>	6
		43	=>	4
		45	=>	13
		47	=>	10
		48	=>	2
		50	=>	9
		52	=>	20
		55	=>	19
		58	=>	1
		64	=>	21

Class: public com.volmit.iris.command.CommandIrisObjectP2	NameNotChanged
	Source: "CommandIrisObjectP2.java"
	FieldsOf: com.volmit.iris.command.CommandIrisObjectP2
	MethodsOf: com.volmit.iris.command.CommandIrisObjectP2
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisObjectP2
		19	=>	10
		20	=>	18
		21	=>	12
		22	=>	1
		23	=>	11
		29	=>	8
		31	=>	3
		32	=>	13
		35	=>	21
		37	=>	14
		39	=>	17
		40	=>	15
		43	=>	16
		45	=>	2
		47	=>	6
		48	=>	5
		50	=>	9
		52	=>	4
		55	=>	19
		58	=>	20
		64	=>	7

Class: public com.volmit.iris.command.CommandIrisObjectPaste	NameNotChanged
	Source: "CommandIrisObjectPaste.java"
	FieldsOf: com.volmit.iris.command.CommandIrisObjectPaste
	MethodsOf: com.volmit.iris.command.CommandIrisObjectPaste
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisObjectPaste
		22	=>	1
		23	=>	9
		24	=>	8
		25	=>	6
		26	=>	17
		31	=>	13
		33	=>	4
		34	=>	2
		37	=>	32
		38	=>	21
		39	=>	25
		41	=>	14 and 29
		43	=>	23
		45	=>	26
		49	=>	24
		51	=>	18
		54	=>	15
		56	=>	20
		57	=>	10
		59	=>	28
		60	=>	22
		62	=>	31
		64	=>	30
		65	=>	5
		67	=>	16
		69	=>	19
		70	=>	27
		71	=>	12
		74	=>	11
		75	=>	7
		77	=>	3
		83	=>	33

Class: public com.volmit.iris.command.CommandIrisObjectSave	NameNotChanged
	Source: "CommandIrisObjectSave.java"
	FieldsOf: com.volmit.iris.command.CommandIrisObjectSave
	MethodsOf: com.volmit.iris.command.CommandIrisObjectSave
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		private static java.lang.Throwable a(java.lang.Throwable) 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisObjectSave
		19	=>	22
		20	=>	1
		21	=>	7
		22	=>	27
		23	=>	30
		28	=>	9
		30	=>	5
		31	=>	28
		34	=>	19
		36	=>	24
		37	=>	13
		38	=>	31
		43	=>	18
		45	=>	20 and 23
		47	=>	8
		49	=>	6
		53	=>	12
		54	=>	3
		55	=>	26
		56	=>	2
		58	=>	16
		60	=>	25
		62	=>	32
		63	=>	21
		67	=>	34
		68	=>	14
		69	=>	15
		72	=>	17
		74	=>	33
		76	=>	11
		77	=>	29
		79	=>	10
		85	=>	4

Class: public com.volmit.iris.command.CommandIrisObjectShift	NameNotChanged
	Source: "CommandIrisObjectShift.java"
	FieldsOf: com.volmit.iris.command.CommandIrisObjectShift
	MethodsOf: com.volmit.iris.command.CommandIrisObjectShift
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisObjectShift
		18	=>	26
		19	=>	12
		20	=>	19
		21	=>	4
		22	=>	6
		27	=>	22
		29	=>	23
		30	=>	2
		33	=>	14
		35	=>	18
		37	=>	11
		38	=>	15
		41	=>	17
		42	=>	3
		43	=>	5
		44	=>	25
		45	=>	13
		46	=>	1
		47	=>	16
		48	=>	9
		49	=>	24
		50	=>	7
		51	=>	27
		52	=>	20
		53	=>	10
		55	=>	8
		61	=>	21

Class: public com.volmit.iris.command.CommandIrisObjectWand	NameNotChanged
	Source: "CommandIrisObjectWand.java"
	FieldsOf: com.volmit.iris.command.CommandIrisObjectWand
	MethodsOf: com.volmit.iris.command.CommandIrisObjectWand
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisObjectWand
		14	=>	4
		15	=>	5
		16	=>	2
		17	=>	10
		18	=>	8
		23	=>	9
		25	=>	6
		26	=>	11
		29	=>	7
		30	=>	3
		32	=>	12
		38	=>	1

Class: public com.volmit.iris.command.CommandIrisObjectXAY	NameNotChanged
	Source: "CommandIrisObjectXAY.java"
	FieldsOf: com.volmit.iris.command.CommandIrisObjectXAY
	MethodsOf: com.volmit.iris.command.CommandIrisObjectXAY
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisObjectXAY
		20	=>	44
		21	=>	37
		22	=>	20
		23	=>	42
		24	=>	12
		29	=>	13
		31	=>	39
		32	=>	25
		35	=>	35
		37	=>	34
		39	=>	29
		40	=>	4
		43	=>	10
		44	=>	21
		45	=>	33
		46	=>	24
		47	=>	11
		48	=>	14
		49	=>	7
		51	=>	16
		53	=>	6
		54	=>	5
		55	=>	1
		58	=>	36
		59	=>	28
		61	=>	8
		63	=>	32
		64	=>	18
		65	=>	31
		68	=>	3
		69	=>	15
		70	=>	17
		71	=>	23
		72	=>	19
		73	=>	9
		74	=>	27
		75	=>	43
		76	=>	30
		77	=>	40
		78	=>	45
		79	=>	2
		80	=>	38
		81	=>	41
		83	=>	22
		89	=>	26

Class: public com.volmit.iris.command.CommandIrisObjectXPY	NameNotChanged
	Source: "CommandIrisObjectXPY.java"
	FieldsOf: com.volmit.iris.command.CommandIrisObjectXPY
	MethodsOf: com.volmit.iris.command.CommandIrisObjectXPY
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisObjectXPY
		20	=>	15
		21	=>	34
		22	=>	12
		23	=>	25
		24	=>	8
		29	=>	16
		31	=>	27
		32	=>	32
		35	=>	33
		37	=>	7
		39	=>	19
		40	=>	37
		42	=>	26
		43	=>	2
		44	=>	6
		45	=>	17
		46	=>	21
		47	=>	24
		49	=>	23
		51	=>	13
		52	=>	28
		53	=>	1
		56	=>	9
		57	=>	35
		58	=>	20
		59	=>	14
		60	=>	22
		61	=>	10
		62	=>	31
		63	=>	38
		64	=>	11
		65	=>	5
		66	=>	36
		67	=>	18
		68	=>	30
		69	=>	4
		71	=>	29
		77	=>	3

Class: public com.volmit.iris.command.CommandIrisPregen	NameNotChanged
	Source: "CommandIrisPregen.java"
	FieldsOf: com.volmit.iris.command.CommandIrisPregen
	MethodsOf: com.volmit.iris.command.CommandIrisPregen
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
		private static synthetic void lambda$handle$0() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisPregen
		15	=>	17
		16	=>	20
		17	=>	1
		18	=>	7
		19	=>	4
		24	=>	6
		26	=>	3
		28	=>	2
		32	=>	12
		34	=>	16
		35	=>	18
		38	=>	11
		40	=>	9
		41	=>	8
		42	=>	13
		44	=>	19
		46	=>	10
		51	=>	15
		54	=>	5
		60	=>	14

Class: public com.volmit.iris.command.CommandIrisStructure	NameNotChanged
	Source: "CommandIrisStructure.java"
	FieldsOf: com.volmit.iris.command.CommandIrisStructure
		private com.volmit.iris.command.CommandIrisStructureClose close	=>	k
		private com.volmit.iris.command.CommandIrisStructureCreate create	=>	i
		private com.volmit.iris.command.CommandIrisStructureExpand expand	=>	m
		private com.volmit.iris.command.CommandIrisStructureMore more	=>	j
		private com.volmit.iris.command.CommandIrisStructureOpen open	=>	h
		private com.volmit.iris.command.CommandIrisStructureSave save	=>	l
		private com.volmit.iris.command.CommandIrisStructureVariants variants	=>	g
	MethodsOf: com.volmit.iris.command.CommandIrisStructure
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisStructure
		33	=>	1
		34	=>	2
		35	=>	4
		36	=>	8
		37	=>	5
		42	=>	7
		43	=>	9
		44	=>	3
		50	=>	6

Class: public com.volmit.iris.command.CommandIrisStructureClose	NameNotChanged
	Source: "CommandIrisStructureClose.java"
	FieldsOf: com.volmit.iris.command.CommandIrisStructureClose
	MethodsOf: com.volmit.iris.command.CommandIrisStructureClose
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisStructureClose
		14	=>	1
		15	=>	11
		16	=>	3
		17	=>	2
		18	=>	15
		23	=>	4
		25	=>	14
		26	=>	5
		29	=>	13
		30	=>	16
		32	=>	9
		34	=>	8
		35	=>	10
		38	=>	7
		39	=>	6
		41	=>	12
		47	=>	17

Class: public com.volmit.iris.command.CommandIrisStructureCreate	NameNotChanged
	Source: "CommandIrisStructureCreate.java"
	FieldsOf: com.volmit.iris.command.CommandIrisStructureCreate
	MethodsOf: com.volmit.iris.command.CommandIrisStructureCreate
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisStructureCreate
		14	=>	1
		15	=>	5
		16	=>	7
		17	=>	16
		18	=>	15
		23	=>	10
		25	=>	8
		26	=>	2
		29	=>	17
		31	=>	6
		33	=>	3 and 13
		35	=>	11
		37	=>	18
		41	=>	14
		42	=>	9
		44	=>	12
		50	=>	4

Class: public com.volmit.iris.command.CommandIrisStructureExpand	NameNotChanged
	Source: "CommandIrisStructureExpand.java"
	FieldsOf: com.volmit.iris.command.CommandIrisStructureExpand
	MethodsOf: com.volmit.iris.command.CommandIrisStructureExpand
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisStructureExpand
		14	=>	2
		15	=>	5
		16	=>	8
		17	=>	3
		18	=>	1
		23	=>	15
		25	=>	13
		26	=>	14
		29	=>	10
		30	=>	11
		32	=>	6
		34	=>	17
		35	=>	4
		38	=>	16
		39	=>	12
		41	=>	7
		47	=>	9

Class: public com.volmit.iris.command.CommandIrisStructureMore	NameNotChanged
	Source: "CommandIrisStructureMore.java"
	FieldsOf: com.volmit.iris.command.CommandIrisStructureMore
	MethodsOf: com.volmit.iris.command.CommandIrisStructureMore
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisStructureMore
		14	=>	2
		15	=>	13
		16	=>	17
		17	=>	6
		18	=>	16
		23	=>	15
		25	=>	4
		26	=>	9
		29	=>	10
		30	=>	11
		32	=>	14
		34	=>	1
		35	=>	12
		38	=>	3
		39	=>	5
		41	=>	7
		47	=>	8

Class: public com.volmit.iris.command.CommandIrisStructureOpen	NameNotChanged
	Source: "CommandIrisStructureOpen.java"
	FieldsOf: com.volmit.iris.command.CommandIrisStructureOpen
	MethodsOf: com.volmit.iris.command.CommandIrisStructureOpen
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisStructureOpen
		15	=>	15
		16	=>	2
		17	=>	9
		18	=>	6
		19	=>	5
		24	=>	11
		26	=>	17
		27	=>	10
		30	=>	4
		32	=>	8
		34	=>	14
		36	=>	3
		37	=>	12
		40	=>	13
		41	=>	7
		43	=>	1
		49	=>	16

Class: public com.volmit.iris.command.CommandIrisStructureSave	NameNotChanged
	Source: "CommandIrisStructureSave.java"
	FieldsOf: com.volmit.iris.command.CommandIrisStructureSave
	MethodsOf: com.volmit.iris.command.CommandIrisStructureSave
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisStructureSave
		14	=>	7
		15	=>	4
		16	=>	1
		17	=>	16
		18	=>	9
		23	=>	10
		25	=>	2
		26	=>	8
		29	=>	5
		30	=>	12
		32	=>	14
		34	=>	6
		35	=>	3
		38	=>	11
		39	=>	17
		41	=>	15
		47	=>	13

Class: public com.volmit.iris.command.CommandIrisStructureVariants	NameNotChanged
	Source: "CommandIrisStructureVariants.java"
	FieldsOf: com.volmit.iris.command.CommandIrisStructureVariants
	MethodsOf: com.volmit.iris.command.CommandIrisStructureVariants
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		private static java.lang.Throwable a(java.lang.Throwable) 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisStructureVariants
		13	=>	3
		14	=>	11
		15	=>	9
		16	=>	7
		17	=>	2
		22	=>	13
		24	=>	4
		25	=>	5
		28	=>	6
		32	=>	12
		35	=>	10
		37	=>	1
		38	=>	15
		40	=>	8
		46	=>	14

Class: public com.volmit.iris.command.CommandIrisStudio	NameNotChanged
	Source: "CommandIrisStudio.java"
	FieldsOf: com.volmit.iris.command.CommandIrisStudio
		private com.volmit.iris.command.CommandIrisStudioClose close	=>	g
		private com.volmit.iris.command.CommandIrisStudioCreate create	=>	u
		private com.volmit.iris.command.CommandIrisEditBiome ebiome	=>	s
		private com.volmit.iris.command.CommandIrisGoto got0	=>	j
		private com.volmit.iris.command.CommandIrisHotload hotload	=>	p
		private com.volmit.iris.command.CommandIrisStudioList list	=>	i
		private com.volmit.iris.command.CommandIrisLoot loot	=>	k
		private com.volmit.iris.command.CommandIrisMap map	=>	h
		private com.volmit.iris.command.CommandIrisMetrics metrics	=>	q
		private com.volmit.iris.command.CommandIrisStudioOpen open	=>	l
		private com.volmit.iris.command.CommandIrisStudioPackage pkg	=>	t
		private com.volmit.iris.command.CommandIrisPregen pregen	=>	o
		private com.volmit.iris.command.CommandIrisTC tc	=>	v
		private com.volmit.iris.command.CommandIrisStudioUpdate update	=>	m
		private com.volmit.iris.command.CommandIrisStudioVerify verify	=>	r
		private com.volmit.iris.command.CommandIrisPregen world	=>	n
	MethodsOf: com.volmit.iris.command.CommandIrisStudio
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisStudio
		60	=>	8
		61	=>	1
		62	=>	7
		63	=>	3
		68	=>	4
		69	=>	5
		70	=>	2
		76	=>	6

Class: public com.volmit.iris.command.CommandIrisStudioClose	NameNotChanged
	Source: "CommandIrisStudioClose.java"
	FieldsOf: com.volmit.iris.command.CommandIrisStudioClose
	MethodsOf: com.volmit.iris.command.CommandIrisStudioClose
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisStudioClose
		15	=>	15
		16	=>	19
		17	=>	5
		18	=>	23
		19	=>	3
		24	=>	11
		26	=>	6
		27	=>	8
		30	=>	1
		32	=>	25
		34	=>	10
		36	=>	4
		38	=>	26
		41	=>	14
		42	=>	24
		45	=>	17
		47	=>	2
		49	=>	21
		50	=>	22
		55	=>	7
		57	=>	16
		58	=>	9
		62	=>	18
		63	=>	12
		64	=>	13
		70	=>	20

Class: public com.volmit.iris.command.CommandIrisStudioCreate	NameNotChanged
	Source: "CommandIrisStudioCreate.java"
	FieldsOf: com.volmit.iris.command.CommandIrisStudioCreate
	MethodsOf: com.volmit.iris.command.CommandIrisStudioCreate
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisStudioCreate
		12	=>	12
		13	=>	10
		14	=>	11
		15	=>	8
		16	=>	7
		21	=>	9
		23	=>	2
		24	=>	3
		25	=>	5
		28	=>	4
		30	=>	6
		36	=>	1

Class: public com.volmit.iris.command.CommandIrisStudioList	NameNotChanged
	Source: "CommandIrisStudioList.java"
	FieldsOf: com.volmit.iris.command.CommandIrisStudioList
	MethodsOf: com.volmit.iris.command.CommandIrisStudioList
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		private static java.lang.Throwable a(java.lang.Throwable) 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisStudioList
		14	=>	4
		15	=>	1
		16	=>	15
		17	=>	3
		18	=>	16
		23	=>	11
		24	=>	7
		26	=>	10 and 14
		28	=>	19
		32	=>	18
		33	=>	17
		34	=>	8
		36	=>	2
		39	=>	6
		42	=>	12
		44	=>	5
		46	=>	13
		52	=>	9

Class: public com.volmit.iris.command.CommandIrisStudioOpen	NameNotChanged
	Source: "CommandIrisStudioOpen.java"
	FieldsOf: com.volmit.iris.command.CommandIrisStudioOpen
	MethodsOf: com.volmit.iris.command.CommandIrisStudioOpen
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisStudioOpen
		11	=>	5
		12	=>	8
		13	=>	10
		14	=>	4
		15	=>	6
		20	=>	7
		22	=>	1
		25	=>	9
		26	=>	2
		32	=>	3

Class: public com.volmit.iris.command.CommandIrisStudioPackage	NameNotChanged
	Source: "CommandIrisStudioPackage.java"
	FieldsOf: com.volmit.iris.command.CommandIrisStudioPackage
	MethodsOf: com.volmit.iris.command.CommandIrisStudioPackage
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
		private static synthetic void lambda$handle$0(java.lang.String[], com.volmit.iris.util.MortarSender) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisStudioPackage
		12	=>	12
		13	=>	5
		14	=>	18
		15	=>	14
		16	=>	7
		21	=>	8
		23	=>	4
		24	=>	16
		27	=>	10
		29	=>	1
		31	=>	11 and 15
		33	=>	19
		35	=>	2
		39	=>	17
		40	=>	13
		41	=>	9
		43	=>	6
		49	=>	3

Class: public com.volmit.iris.command.CommandIrisStudioUpdate	NameNotChanged
	Source: "CommandIrisStudioUpdate.java"
	FieldsOf: com.volmit.iris.command.CommandIrisStudioUpdate
	MethodsOf: com.volmit.iris.command.CommandIrisStudioUpdate
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisStudioUpdate
		9	=>	1
		10	=>	5
		11	=>	3
		12	=>	8
		13	=>	7
		17	=>	11
		18	=>	2
		19	=>	10
		22	=>	6
		24	=>	4
		29	=>	9

Class: public com.volmit.iris.command.CommandIrisStudioVerify	NameNotChanged
	Source: "CommandIrisStudioVerify.java"
	FieldsOf: com.volmit.iris.command.CommandIrisStudioVerify
	MethodsOf: com.volmit.iris.command.CommandIrisStudioVerify
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
		private static synthetic void lambda$handle$0(com.volmit.iris.util.MortarSender, java.lang.String) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisStudioVerify
		10	=>	14
		11	=>	15
		12	=>	18
		13	=>	16
		14	=>	5
		18	=>	19
		19	=>	11
		22	=>	6
		23	=>	22
		24	=>	8 and 21
		25	=>	10
		26	=>	23
		28	=>	9
		29	=>	20
		30	=>	3
		33	=>	12
		34	=>	7
		36	=>	17
		38	=>	1
		40	=>	13
		41	=>	2
		46	=>	4

Class: public com.volmit.iris.command.CommandIrisTC	NameNotChanged
	Source: "CommandIrisTC.java"
	FieldsOf: com.volmit.iris.command.CommandIrisTC
	MethodsOf: com.volmit.iris.command.CommandIrisTC
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisTC
		15	=>	18
		16	=>	6
		17	=>	3
		18	=>	9
		19	=>	11
		24	=>	4
		26	=>	19
		27	=>	10
		29	=>	7
		31	=>	1
		32	=>	16
		35	=>	8
		36	=>	15
		37	=>	12
		38	=>	2
		39	=>	17
		44	=>	14
		47	=>	13
		53	=>	5

Class: public com.volmit.iris.command.CommandIrisWhat	NameNotChanged
	Source: "CommandIrisWhat.java"
	FieldsOf: com.volmit.iris.command.CommandIrisWhat
		private com.volmit.iris.command.CommandIrisWhatBlock block	=>	h
		private com.volmit.iris.command.CommandIrisWhatHand hand	=>	g
	MethodsOf: com.volmit.iris.command.CommandIrisWhat
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisWhat
		25	=>	8
		26	=>	15
		27	=>	18
		28	=>	2
		29	=>	1
		30	=>	6
		35	=>	10
		37	=>	11
		38	=>	4
		39	=>	14
		40	=>	16
		41	=>	12
		42	=>	19
		43	=>	7
		44	=>	17
		45	=>	20
		47	=>	5
		52	=>	3
		55	=>	9
		61	=>	13

Class: public com.volmit.iris.command.CommandIrisWhatBlock	NameNotChanged
	Source: "CommandIrisWhatBlock.java"
	FieldsOf: com.volmit.iris.command.CommandIrisWhatBlock
	MethodsOf: com.volmit.iris.command.CommandIrisWhatBlock
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisWhatBlock
		16	=>	7
		17	=>	3
		18	=>	6
		19	=>	12
		20	=>	5
		21	=>	9
		26	=>	4
		28	=>	13
		29	=>	14
		30	=>	2
		31	=>	10
		32	=>	1
		36	=>	11
		39	=>	15
		45	=>	8

Class: public com.volmit.iris.command.CommandIrisWhatHand	NameNotChanged
	Source: "CommandIrisWhatHand.java"
	FieldsOf: com.volmit.iris.command.CommandIrisWhatHand
	MethodsOf: com.volmit.iris.command.CommandIrisWhatHand
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected java.lang.String getArgsUsage() 	SignatureNotChanged
		public boolean handle(com.volmit.iris.util.MortarSender, java.lang.String[]) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.CommandIrisWhatHand
		15	=>	9
		16	=>	6
		17	=>	8
		18	=>	4
		19	=>	3
		20	=>	11
		25	=>	14
		27	=>	5
		28	=>	13
		29	=>	12
		30	=>	1
		31	=>	7
		35	=>	2
		38	=>	15
		44	=>	10

Class: public com.volmit.iris.command.PermissionIris	NameNotChanged
	Source: "PermissionIris.java"
	FieldsOf: com.volmit.iris.command.PermissionIris
		private static java.lang.String[] a	=>	b
		public com.volmit.iris.command.PermissionIrisStudio studio	NameNotChanged
	MethodsOf: com.volmit.iris.command.PermissionIris
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		public static java.lang.String[] a()	=>	b()
		public static void a(java.lang.String[])	=>	b(java.lang.String[])
		public java.lang.String getDescription() 	SignatureNotChanged
		protected java.lang.String getNode() 	SignatureNotChanged
		public boolean isDefault() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.PermissionIris
		6	=>	2
		14	=>	1
		20	=>	3
		26	=>	4

Class: public com.volmit.iris.command.PermissionIrisStudio	NameNotChanged
	Source: "PermissionIrisStudio.java"
	FieldsOf: com.volmit.iris.command.PermissionIrisStudio
	MethodsOf: com.volmit.iris.command.PermissionIrisStudio
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		public java.lang.String getDescription() 	SignatureNotChanged
		protected java.lang.String getNode() 	SignatureNotChanged
		public boolean isDefault() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.command.PermissionIrisStudio
		5	=>	2
		10	=>	3
		16	=>	1
		22	=>	4

Class: public abstract com.volmit.iris.gen.ContextualChunkGenerator	NameNotChanged
	Source: "ContextualChunkGenerator.java"
	FieldsOf: com.volmit.iris.gen.ContextualChunkGenerator
		private static com.volmit.iris.util.VolmitPlugin[] a	=>	e
		private com.volmit.iris.util.BlockPosition allowLoot	=>	d
		private com.volmit.iris.gen.atomics.AtomicMulticache cache	=>	b
		private com.volmit.iris.IrisDataManager data	=>	a
		protected boolean dev	NameNotChanged
		private com.volmit.iris.gen.atomics.AtomicCache dimCache	=>	f
		protected boolean failing	NameNotChanged
		private boolean fastPregen	=>	c
		protected int generated	NameNotChanged
		protected long hlast	NameNotChanged
		private volatile boolean hotloadable	=>	g
		protected boolean initialized	NameNotChanged
		protected com.volmit.iris.util.RNG masterRandom	NameNotChanged
		protected com.volmit.iris.IrisMetrics metrics	NameNotChanged
		private com.volmit.iris.util.KList noLoot	=>	h
		protected com.volmit.iris.util.ChronoLatch perSecond	NameNotChanged
		protected boolean pregenDone	NameNotChanged
		protected com.volmit.iris.util.ChronoLatch pushLatch	NameNotChanged
		protected int task	NameNotChanged
		protected com.volmit.iris.util.ChronoLatch tickLatch	NameNotChanged
		protected int ticks	NameNotChanged
		protected org.bukkit.World world	NameNotChanged
	MethodsOf: com.volmit.iris.gen.ContextualChunkGenerator
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		public static com.volmit.iris.util.VolmitPlugin[] a()	=>	b()
		public static void a(com.volmit.iris.util.VolmitPlugin[])	=>	b(com.volmit.iris.util.VolmitPlugin[])
		private static java.lang.Throwable b(java.lang.Throwable) 	SignatureNotChanged
		protected boolean canEqual(java.lang.Object) 	SignatureNotChanged
		public boolean canSpawn(org.bukkit.World, int, int) 	SignatureNotChanged
		public void checkHotload() 	SignatureNotChanged
		private void checkHotload(org.bukkit.World)	=>	a(org.bukkit.World)
		public void close() 	SignatureNotChanged
		public boolean equals(java.lang.Object) 	SignatureNotChanged
		protected void fail(java.lang.Throwable) 	SignatureNotChanged
		public org.bukkit.generator.ChunkGenerator$ChunkData generateChunkData(org.bukkit.World, java.util.Random, int, int, org.bukkit.generator.ChunkGenerator$BiomeGrid) 	SignatureNotChanged
		protected org.bukkit.generator.ChunkGenerator$ChunkData generateChunkDataFailure(org.bukkit.World, java.util.Random, int, int, org.bukkit.generator.ChunkGenerator$BiomeGrid) 	SignatureNotChanged
		protected org.bukkit.generator.ChunkGenerator$ChunkData generateChunkFastPregen(org.bukkit.World, java.util.Random, int, int, org.bukkit.generator.ChunkGenerator$BiomeGrid) 	SignatureNotChanged
		public com.volmit.iris.util.BlockPosition getAllowLoot() 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicMulticache getCache() 	SignatureNotChanged
		public com.volmit.iris.IrisDataManager getData() 	SignatureNotChanged
		public java.util.List getDefaultPopulators(org.bukkit.World) 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicCache getDimCache() 	SignatureNotChanged
		public org.bukkit.Location getFixedSpawnLocation(org.bukkit.World, java.util.Random) 	SignatureNotChanged
		public int getGenerated() 	SignatureNotChanged
		public long getHlast() 	SignatureNotChanged
		public com.volmit.iris.util.RNG getMasterRandom() 	SignatureNotChanged
		public com.volmit.iris.IrisMetrics getMetrics() 	SignatureNotChanged
		public com.volmit.iris.util.KList getNoLoot() 	SignatureNotChanged
		public com.volmit.iris.util.ChronoLatch getPerSecond() 	SignatureNotChanged
		public com.volmit.iris.util.ChronoLatch getPushLatch() 	SignatureNotChanged
		public int getTask() 	SignatureNotChanged
		public com.volmit.iris.util.ChronoLatch getTickLatch() 	SignatureNotChanged
		public int getTicks() 	SignatureNotChanged
		public org.bukkit.World getWorld() 	SignatureNotChanged
		protected abstract void handleDrops(org.bukkit.event.block.BlockDropItemEvent) 	SignatureNotChanged
		public int hashCode() 	SignatureNotChanged
		private void init(org.bukkit.World, com.volmit.iris.util.RNG)	=>	a(org.bukkit.World, com.volmit.iris.util.RNG)
		public boolean isDev() 	SignatureNotChanged
		public boolean isFailing() 	SignatureNotChanged
		public boolean isFastPregen() 	SignatureNotChanged
		public boolean isHotloadable() 	SignatureNotChanged
		public boolean isInitialized() 	SignatureNotChanged
		public boolean isParallelCapable() 	SignatureNotChanged
		public boolean isPregenDone() 	SignatureNotChanged
		private synthetic com.volmit.iris.object.IrisDimension lambda$0(java.lang.String) 	SignatureNotChanged
		private synthetic void lambda$2(java.lang.Throwable) 	SignatureNotChanged
		public com.volmit.iris.object.IrisBiome loadBiome(java.lang.String) 	SignatureNotChanged
		public com.volmit.iris.object.IrisDimension loadDimension(java.lang.String) 	SignatureNotChanged
		public com.volmit.iris.object.IrisGenerator loadGenerator(java.lang.String) 	SignatureNotChanged
		public com.volmit.iris.object.IrisRegion loadRegion(java.lang.String) 	SignatureNotChanged
		public void on(org.bukkit.event.block.BlockBreakEvent) 	SignatureNotChanged
		public void on(org.bukkit.event.block.BlockDropItemEvent) 	SignatureNotChanged
		public void on(org.bukkit.event.block.BlockPlaceEvent) 	SignatureNotChanged
		public void on(org.bukkit.event.player.PlayerJoinEvent) 	SignatureNotChanged
		public void on(org.bukkit.event.player.PlayerQuitEvent) 	SignatureNotChanged
		public void on(org.bukkit.event.player.PlayerTeleportEvent) 	SignatureNotChanged
		public void on(org.bukkit.event.world.ChunkLoadEvent) 	SignatureNotChanged
		public void on(org.bukkit.event.world.ChunkUnloadEvent) 	SignatureNotChanged
		public void on(org.bukkit.event.world.WorldUnloadEvent) 	SignatureNotChanged
		protected abstract void onChunkLoaded(org.bukkit.Chunk) 	SignatureNotChanged
		protected abstract void onChunkUnloaded(org.bukkit.Chunk) 	SignatureNotChanged
		protected abstract void onClose() 	SignatureNotChanged
		protected abstract void onFailure(java.lang.Throwable) 	SignatureNotChanged
		protected abstract void onGenerate(com.volmit.iris.util.RNG, int, int, org.bukkit.generator.ChunkGenerator$ChunkData, org.bukkit.generator.ChunkGenerator$BiomeGrid) 	SignatureNotChanged
		public void onHotload() 	SignatureNotChanged
		protected abstract void onInit(org.bukkit.World, com.volmit.iris.util.RNG) 	SignatureNotChanged
		protected abstract void onPlayerJoin(org.bukkit.entity.Player) 	SignatureNotChanged
		protected abstract void onPlayerLeft(org.bukkit.entity.Player) 	SignatureNotChanged
		protected abstract void onTick(int) 	SignatureNotChanged
		public void setDev(boolean) 	SignatureNotChanged
		public void setHotloadable(boolean) 	SignatureNotChanged
		private void tick()	=>	a()
		public java.lang.String toString() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.ContextualChunkGenerator
		53	=>	33, 47, 55, 73, 86, 92, 94, 101, 106, 110, 115, 119, 132, 140, 157, 171, 174, 181, 186, 189, 201, 203 and 215
		54	=>	56, 68 and 144
		75	=>	152
		77	=>	204
		79	=>	177
		81	=>	125
		82	=>	71
		83	=>	104
		84	=>	21
		85	=>	49
		86	=>	142
		87	=>	7
		88	=>	34
		89	=>	191
		90	=>	164
		91	=>	20
		92	=>	9
		93	=>	133
		94	=>	70
		95	=>	136
		96	=>	88
		97	=>	147
		119	=>	10
		124	=>	124
		139	=>	36 and 107
		144	=>	85
		149	=>	96
		154	=>	13
		156	=>	17
		159	=>	210
		160	=>	198
		161	=>	82
		162	=>	64
		163	=>	90
		164	=>	192
		165	=>	139
		166	=>	103
		167	=>	112
		168	=>	126
		172	=>	118
		174	=>	117
		176	=>	161
		178	=>	84
		181	=>	95
		183	=>	209
		184	=>	61
		187	=>	184
		189	=>	160
		191	=>	123 and 185
		193	=>	99
		197	=>	77
		201	=>	79
		202	=>	53
		205	=>	76
		206	=>	57
		211	=>	27
		213	=>	205
		216	=>	35
		218	=>	143
		220	=>	93
		222	=>	37
		224	=>	97
		227	=>	158
		232	=>	75
		234	=>	137
		237	=>	135
		238	=>	46
		243	=>	45
		245	=>	208
		248	=>	187
		250	=>	113
		252	=>	109
		255	=>	102
		256	=>	170
		263	=>	120
		265	=>	38
		266	=>	156
		269	=>	11
		271	=>	121
		272	=>	197
		274	=>	179
		279	=>	149
		281	=>	80
		282	=>	173
		284	=>	146
		289	=>	78
		291	=>	166
		292	=>	206
		294	=>	195
		299	=>	43
		301	=>	26
		302	=>	14
		304	=>	169
		309	=>	67
		311	=>	72
		312	=>	19
		314	=>	54
		319	=>	91
		321	=>	111
		323	=>	207
		327	=>	89
		328	=>	175
		329	=>	145
		330	=>	4
		331	=>	148
		332	=>	168
		337	=>	31
		342	=>	63
		344	=>	32 and 129
		346	=>	176 and 196
		348	=>	41
		350	=>	153
		352	=>	15
		353	=>	211
		357	=>	127
		362	=>	165
		367	=>	182
		369	=>	6 and 105
		371	=>	42 and 108
		373	=>	116
		375	=>	30
		377	=>	178
		378	=>	74
		382	=>	50
		387	=>	162
		393	=>	167
		394	=>	40
		396	=>	65
		397	=>	59
		400	=>	18
		402	=>	155
		407	=>	163
		408	=>	150
		410	=>	22
		412	=>	83
		414	=>	128
		415	=>	131
		419	=>	12
		422	=>	58
		423	=>	200
		424	=>	130
		425	=>	180
		426	=>	217
		427	=>	39
		430	=>	69
		432	=>	216
		435	=>	44
		436	=>	188
		441	=>	212
		443	=>	1
		446	=>	183
		448	=>	213
		450	=>	151
		454	=>	3
		456	=>	141
		459	=>	51
		461	=>	60
		463	=>	202
		466	=>	25
		468	=>	100
		470	=>	218
		473	=>	62
		477	=>	16
		478	=>	87
		479	=>	28
		483	=>	159
		485	=>	114
		488	=>	8
		490	=>	190
		491	=>	193
		493	=>	154
		494	=>	199
		495	=>	29
		496	=>	138
		497	=>	48
		498	=>	194
		500	=>	52 and 66
		502	=>	134
		503	=>	172
		504	=>	214
		505	=>	122
		507	=>	98
		509	=>	24
		510	=>	81
		515	=>	2
		521	=>	23
		527	=>	5

Class: public abstract com.volmit.iris.gen.DimensionChunkGenerator	NameNotChanged
	Source: "DimensionChunkGenerator.java"
	FieldsOf: com.volmit.iris.gen.DimensionChunkGenerator
		protected static final org.bukkit.block.data.BlockData AIR	NameNotChanged
		protected static final org.bukkit.block.data.BlockData BEDROCK	NameNotChanged
		protected static final org.bukkit.block.data.BlockData CAVE_AIR	NameNotChanged
		protected static final org.bukkit.block.data.BlockData WATER	NameNotChanged
		protected java.lang.String dimensionName	NameNotChanged
	MethodsOf: com.volmit.iris.gen.DimensionChunkGenerator
		static void <clinit>() 	SignatureNotChanged
		public void <init>(java.lang.String) 	SignatureNotChanged
		private static java.lang.RuntimeException a(java.lang.RuntimeException) 	SignatureNotChanged
		protected boolean canEqual(java.lang.Object) 	SignatureNotChanged
		public boolean equals(java.lang.Object) 	SignatureNotChanged
		protected com.volmit.iris.util.BiomeResult focus() 	SignatureNotChanged
		public com.volmit.iris.object.IrisDimension getDimension() 	SignatureNotChanged
		public java.lang.String getDimensionName() 	SignatureNotChanged
		public double getModifiedX(int, int) 	SignatureNotChanged
		public double getModifiedZ(int, int) 	SignatureNotChanged
		public double getZoomed(double) 	SignatureNotChanged
		public int hashCode() 	SignatureNotChanged
		public void onInit(org.bukkit.World, com.volmit.iris.util.RNG) 	SignatureNotChanged
		public void onPlayerLeft(org.bukkit.entity.Player) 	SignatureNotChanged
		public void onTick(int) 	SignatureNotChanged
		public java.lang.String toString() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.DimensionChunkGenerator
		22	=>	21
		23	=>	10, 25 and 52
		26	=>	41
		27	=>	47
		28	=>	3
		29	=>	22
		30	=>	15
		34	=>	42
		35	=>	54
		36	=>	13
		41	=>	19
		46	=>	45
		50	=>	46
		52	=>	39
		54	=>	51
		56	=>	8
		57	=>	5
		58	=>	40
		61	=>	9 and 16
		63	=>	18
		65	=>	28
		66	=>	37
		70	=>	33
		71	=>	43
		72	=>	49
		75	=>	36
		76	=>	32
		80	=>	20
		82	=>	38
		84	=>	7
		87	=>	24
		92	=>	29
		94	=>	12
		96	=>	44
		98	=>	14
		100	=>	55
		101	=>	23
		104	=>	2
		106	=>	17
		107	=>	31
		110	=>	53
		112	=>	50
		113	=>	4
		115	=>	6
		117	=>	27
		122	=>	1 and 11
		124	=>	30
		129	=>	26 and 48
		131	=>	34
		136	=>	35

Class: public com.volmit.iris.gen.IrisChunkGenerator	NameNotChanged
	Source: "IrisChunkGenerator.java"
	FieldsOf: com.volmit.iris.gen.IrisChunkGenerator
		private com.volmit.iris.util.KMap b	=>	z
		private com.volmit.iris.object.IrisBiome hb	=>	A
		private com.volmit.iris.object.IrisRegion hr	=>	B
		private java.lang.reflect.Method initLighting	=>	y
	MethodsOf: com.volmit.iris.gen.IrisChunkGenerator
		static void <clinit>() 	SignatureNotChanged
		public void <init>(int) 	SignatureNotChanged
		public void <init>(java.lang.String, int) 	SignatureNotChanged
		protected boolean canEqual(java.lang.Object) 	SignatureNotChanged
		public com.volmit.iris.gui.Renderer createRenderer() 	SignatureNotChanged
		public boolean equals(java.lang.Object) 	SignatureNotChanged
		public org.bukkit.generator.ChunkGenerator$ChunkData generateChunkData(org.bukkit.World, java.util.Random, int, int, org.bukkit.generator.ChunkGenerator$BiomeGrid) 	SignatureNotChanged
		public com.volmit.iris.util.KMap getB() 	SignatureNotChanged
		public com.volmit.iris.object.IrisBiome getHb() 	SignatureNotChanged
		public com.volmit.iris.object.IrisRegion getHr() 	SignatureNotChanged
		public java.lang.reflect.Method getInitLighting() 	SignatureNotChanged
		public long guessMemoryUsage() 	SignatureNotChanged
		protected void handleDrops(org.bukkit.event.block.BlockDropItemEvent) 	SignatureNotChanged
		public int hashCode() 	SignatureNotChanged
		private synthetic java.awt.Color lambda$createRenderer$0(double, double) 	SignatureNotChanged
		protected void onChunkLoaded(org.bukkit.Chunk) 	SignatureNotChanged
		protected void onChunkUnloaded(org.bukkit.Chunk) 	SignatureNotChanged
		protected void onClose() 	SignatureNotChanged
		protected void onFailure(java.lang.Throwable) 	SignatureNotChanged
		protected void onGenerate(com.volmit.iris.util.RNG, int, int, org.bukkit.generator.ChunkGenerator$ChunkData, org.bukkit.generator.ChunkGenerator$BiomeGrid) 	SignatureNotChanged
		public void onHotloaded() 	SignatureNotChanged
		public void onInit(org.bukkit.World, com.volmit.iris.util.RNG) 	SignatureNotChanged
		protected void onPlayerJoin(org.bukkit.entity.Player) 	SignatureNotChanged
		public void onPlayerLeft(org.bukkit.entity.Player) 	SignatureNotChanged
		public void onTick(int) 	SignatureNotChanged
		private java.awt.Color render(double, double)	=>	a(double, double)
		public boolean shouldGenerateCaves() 	SignatureNotChanged
		public boolean shouldGenerateDecorations() 	SignatureNotChanged
		public boolean shouldGenerateMobs() 	SignatureNotChanged
		public boolean shouldGenerateStructures() 	SignatureNotChanged
		public java.lang.String toString() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.IrisChunkGenerator
		38	=>	11
		39	=>	27, 103 and 141
		42	=>	45
		43	=>	2, 16 and 100
		44	=>	17, 36 and 89
		45	=>	15, 71 and 81
		49	=>	62
		50	=>	25
		59	=>	14
		60	=>	26
		79	=>	80
		80	=>	107
		81	=>	95
		82	=>	10
		83	=>	86
		89	=>	136
		90	=>	6
		96	=>	74
		99	=>	125
		101	=>	134
		102	=>	64
		103	=>	126
		126	=>	157
		127	=>	153
		129	=>	132
		130	=>	48
		131	=>	68
		133	=>	101
		135	=>	12
		136	=>	1
		138	=>	53
		140	=>	109
		141	=>	29
		142	=>	41
		143	=>	32
		148	=>	31
		152	=>	145
		153	=>	8
		154	=>	115
		157	=>	3
		159	=>	77
		160	=>	118
		162	=>	52
		163	=>	40
		164	=>	150
		170	=>	51
		176	=>	67
		182	=>	96
		188	=>	13
		193	=>	61
		194	=>	54
		199	=>	99
		201	=>	149
		204	=>	93
		206	=>	42
		207	=>	30
		210	=>	148
		211	=>	137
		212	=>	105
		213	=>	130
		214	=>	63
		215	=>	127
		219	=>	92
		221	=>	84
		223	=>	70
		224	=>	147
		226	=>	121
		227	=>	151
		228	=>	44
		229	=>	146
		231	=>	56
		237	=>	110
		243	=>	143
		249	=>	75
		255	=>	108
		257	=>	37
		260	=>	122
		265	=>	98 and 139
		270	=>	112
		271	=>	124
		272	=>	82
		273	=>	117
		274	=>	9
		276	=>	90
		278	=>	133
		281	=>	49
		282	=>	91
		283	=>	156
		284	=>	138
		285	=>	85
		286	=>	66
		287	=>	87
		289	=>	140
		291	=>	59
		322	=>	33
		323	=>	123
		324	=>	88
		325	=>	43
		326	=>	97
		327	=>	21
		328	=>	152
		330	=>	119
		332	=>	78
		335	=>	46
		337	=>	113
		340	=>	142
		341	=>	55
		342	=>	79
		344	=>	23
		346	=>	35
		348	=>	76
		350	=>	58
		352	=>	22
		355	=>	5
		357	=>	114
		360	=>	129
		362	=>	47
		365	=>	102
		367	=>	144
		369	=>	38
		371	=>	50
		373	=>	154
		376	=>	20
		378	=>	83
		381	=>	57
		383	=>	73
		386	=>	24
		388	=>	18
		390	=>	34
		392	=>	69
		394	=>	104
		397	=>	131
		399	=>	39
		402	=>	120
		404	=>	155
		407	=>	106
		409	=>	19
		411	=>	4
		413	=>	7
		415	=>	111
		418	=>	72
		420	=>	28
		423	=>	94
		425	=>	135
		427	=>	60
		429	=>	65
		430	=>	128
		432	=>	116

Class: public abstract com.volmit.iris.gen.ParallaxChunkGenerator	NameNotChanged
	Source: "ParallaxChunkGenerator.java"
	FieldsOf: com.volmit.iris.gen.ParallaxChunkGenerator
		private short cacheID	=>	r
		private com.volmit.iris.util.IrisLock flock	=>	v
		private com.volmit.iris.gen.layer.GenLayerText glText	=>	x
		private com.volmit.iris.gen.layer.GenLayerUpdate glUpdate	=>	w
		private com.volmit.iris.util.IrisLock lock	=>	u
		private com.volmit.iris.util.IrisLock lockq	=>	s
		private com.volmit.iris.gen.atomics.MasterLock masterLock	=>	t
		protected com.volmit.iris.gen.atomics.AtomicWorldData parallaxMap	NameNotChanged
		private int sliverBuffer	=>	q
		protected com.volmit.iris.util.KMap sliverCache	NameNotChanged
	MethodsOf: com.volmit.iris.gen.ParallaxChunkGenerator
		static void <clinit>() 	SignatureNotChanged
		public void <init>(java.lang.String, int) 	SignatureNotChanged
		private static java.lang.Throwable c(java.lang.Throwable) 	SignatureNotChanged
		protected boolean canEqual(java.lang.Object) 	SignatureNotChanged
		public boolean equals(java.lang.Object) 	SignatureNotChanged
		public org.bukkit.block.data.BlockData get(int, int, int) 	SignatureNotChanged
		public short getCacheID() 	SignatureNotChanged
		public java.util.List getDefaultPopulators(org.bukkit.World) 	SignatureNotChanged
		public com.volmit.iris.util.IrisLock getFlock() 	SignatureNotChanged
		public com.volmit.iris.gen.layer.GenLayerText getGlText() 	SignatureNotChanged
		public com.volmit.iris.gen.layer.GenLayerUpdate getGlUpdate() 	SignatureNotChanged
		public int getHighest(int, int, boolean) 	SignatureNotChanged
		public com.volmit.iris.util.IrisLock getLock() 	SignatureNotChanged
		public com.volmit.iris.util.IrisLock getLockq() 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.MasterLock getMasterLock() 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicSliverMap getParallaxChunk(int, int) 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicWorldData getParallaxMap() 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicSliver getParallaxSliver(int, int) 	SignatureNotChanged
		public int getSliverBuffer() 	SignatureNotChanged
		protected com.volmit.iris.util.KMap getSliverCache() 	SignatureNotChanged
		public com.volmit.iris.util.IrisStructureResult getStructure(int, int, int) 	SignatureNotChanged
		public int hashCode() 	SignatureNotChanged
		public boolean isParallaxGenerated(int, int) 	SignatureNotChanged
		public boolean isPreventingDecay() 	SignatureNotChanged
		public boolean isSolid(int, int, int) 	SignatureNotChanged
		public boolean isWorldGenerated(int, int) 	SignatureNotChanged
		private synthetic void lambda$0(int, int, com.volmit.iris.util.KList, com.volmit.iris.util.RNG) 	SignatureNotChanged
		private synthetic void lambda$1(com.volmit.iris.object.IrisObjectPlacement, int, int, com.volmit.iris.util.RNG, int) 	SignatureNotChanged
		private synthetic void lambda$2(com.volmit.iris.object.IrisTextPlacement, com.volmit.iris.util.RNG, int, int) 	SignatureNotChanged
		private synthetic void lambda$3(com.volmit.iris.object.IrisTextPlacement, com.volmit.iris.util.RNG, int, int) 	SignatureNotChanged
		private synthetic void lambda$4(com.volmit.iris.object.IrisTextPlacement, com.volmit.iris.util.RNG, int, int) 	SignatureNotChanged
		private synthetic void lambda$5(com.volmit.iris.object.IrisStructurePlacement, com.volmit.iris.util.RNG, int, int) 	SignatureNotChanged
		private synthetic void lambda$6(com.volmit.iris.object.IrisStructurePlacement, com.volmit.iris.util.RNG, int, int) 	SignatureNotChanged
		private synthetic void lambda$7(com.volmit.iris.object.IrisObjectPlacement, int, int, com.volmit.iris.util.RNG, int) 	SignatureNotChanged
		private synthetic void lambda$8(com.volmit.iris.object.IrisObjectPlacement, int, int, com.volmit.iris.util.RNG, int) 	SignatureNotChanged
		protected void onClose() 	SignatureNotChanged
		protected void onGenerateParallax(com.volmit.iris.util.RNG, int, int) 	SignatureNotChanged
		public void onHotload() 	SignatureNotChanged
		public void onInit(org.bukkit.World, com.volmit.iris.util.RNG) 	SignatureNotChanged
		protected void onPostGenerate(com.volmit.iris.util.RNG, int, int, org.bukkit.generator.ChunkGenerator$ChunkData, org.bukkit.generator.ChunkGenerator$BiomeGrid, com.volmit.iris.util.HeightMap, com.volmit.iris.util.BiomeMap, com.volmit.iris.gen.atomics.AtomicSliverMap) 	SignatureNotChanged
		public void placeCaveObject(com.volmit.iris.object.IrisObjectPlacement, int, int, com.volmit.iris.util.RNG) 	SignatureNotChanged
		public void placeObject(com.volmit.iris.object.IrisObjectPlacement, int, int, com.volmit.iris.util.RNG) 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicSliver sampleSliver(int, int) 	SignatureNotChanged
		public void set(int, int, int, org.bukkit.block.data.BlockData) 	SignatureNotChanged
		public void setSliverBuffer(int) 	SignatureNotChanged
		public void setSliverCache(com.volmit.iris.util.KMap) 	SignatureNotChanged
		public java.lang.String toString() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.ParallaxChunkGenerator
		38	=>	12, 42, 55, 84, 88, 94, 97, 102, 196, 207 and 215
		39	=>	59, 139 and 159
		42	=>	203
		46	=>	183
		47	=>	11
		48	=>	65
		55	=>	206
		56	=>	202
		57	=>	131
		58	=>	98
		59	=>	121
		63	=>	115
		64	=>	54
		65	=>	21
		66	=>	118
		70	=>	34
		75	=>	199
		79	=>	198
		80	=>	22
		82	=>	81
		84	=>	137
		86	=>	116
		97	=>	56
		98	=>	90
		99	=>	78
		100	=>	191
		105	=>	158
		107	=>	80
		109	=>	46 and 64
		111	=>	126
		114	=>	25
		117	=>	7
		123	=>	92
		124	=>	82
		129	=>	2
		130	=>	155
		136	=>	77
		141	=>	83
		142	=>	138
		143	=>	47
		144	=>	9
		145	=>	20
		146	=>	174
		148	=>	181
		153	=>	38
		158	=>	104
		163	=>	205
		170	=>	93
		173	=>	112
		175	=>	58
		178	=>	200
		184	=>	53
		186	=>	26
		188	=>	122
		191	=>	19
		192	=>	107
		198	=>	141
		200	=>	143
		203	=>	210
		204	=>	28
		206	=>	101
		208	=>	151
		209	=>	15
		212	=>	50
		213	=>	29
		214	=>	180
		215	=>	123
		217	=>	68
		218	=>	146
		219	=>	106
		220	=>	96
		221	=>	8
		222	=>	176
		226	=>	209
		231	=>	182
		232	=>	66
		233	=>	187
		235	=>	149 and 162
		237	=>	95
		239	=>	45 and 61
		241	=>	136
		243	=>	31
		245	=>	10
		247	=>	173
		250	=>	133
		252	=>	195
		255	=>	119
		257	=>	160
		258	=>	212
		259	=>	99
		261	=>	63 and 211
		263	=>	130 and 186
		265	=>	208
		266	=>	134
		268	=>	142
		270	=>	110
		273	=>	216
		275	=>	69 and 109
		277	=>	60
		278	=>	117
		279	=>	72
		281	=>	36
		282	=>	194
		283	=>	150
		286	=>	179
		291	=>	170
		293	=>	103 and 127
		295	=>	175
		296	=>	178
		298	=>	70
		299	=>	153
		300	=>	32
		303	=>	108 and 165
		305	=>	128
		306	=>	87
		308	=>	51
		309	=>	37
		310	=>	76
		313	=>	111 and 147
		315	=>	145
		316	=>	40
		318	=>	172
		319	=>	30
		320	=>	105
		323	=>	16 and 89
		325	=>	39
		326	=>	140
		328	=>	49
		329	=>	132
		330	=>	27
		333	=>	120 and 167
		335	=>	135
		336	=>	185
		338	=>	168
		339	=>	43
		340	=>	5
		343	=>	129 and 169
		345	=>	192
		346	=>	177
		347	=>	67
		349	=>	197
		350	=>	4
		351	=>	24
		354	=>	204
		356	=>	193
		357	=>	73
		359	=>	157
		361	=>	14
		363	=>	148
		366	=>	156
		368	=>	161
		371	=>	3 and 188
		373	=>	201
		374	=>	44
		375	=>	144
		377	=>	23
		378	=>	85
		379	=>	13
		382	=>	213
		384	=>	164
		388	=>	6
		389	=>	86
		390	=>	79 and 125
		392	=>	71
		394	=>	163
		396	=>	33
		397	=>	154
		401	=>	171 and 189
		403	=>	214
		404	=>	184
		406	=>	41
		410	=>	57 and 75
		412	=>	91
		413	=>	113
		414	=>	48
		415	=>	74
		417	=>	62
		419	=>	190
		422	=>	166
		424	=>	124
		428	=>	100
		430	=>	35
		432	=>	18
		435	=>	114
		436	=>	17
		437	=>	152
		439	=>	1
		445	=>	52

Class: public abstract com.volmit.iris.gen.ParallelChunkGenerator	NameNotChanged
	Source: "ParallelChunkGenerator.java"
	FieldsOf: com.volmit.iris.gen.ParallelChunkGenerator
		private com.volmit.iris.util.GroupedExecutor accelerant	=>	i
		protected int cacheX	NameNotChanged
		protected int cacheZ	NameNotChanged
		protected boolean cachingAllowed	NameNotChanged
		private int threads	=>	j
	MethodsOf: com.volmit.iris.gen.ParallelChunkGenerator
		static void <clinit>() 	SignatureNotChanged
		public void <init>(java.lang.String, int) 	SignatureNotChanged
		protected boolean canEqual(java.lang.Object) 	SignatureNotChanged
		public void changeThreadCount(int) 	SignatureNotChanged
		public boolean equals(java.lang.Object) 	SignatureNotChanged
		public com.volmit.iris.util.GroupedExecutor getAccelerant() 	SignatureNotChanged
		public int getCacheX() 	SignatureNotChanged
		public int getCacheZ() 	SignatureNotChanged
		public int getThreads() 	SignatureNotChanged
		public int hashCode() 	SignatureNotChanged
		public boolean isCachingAllowed() 	SignatureNotChanged
		public boolean isParallelCapable() 	SignatureNotChanged
		private synthetic void lambda$onGenerate$0(int, int, int, int, int, int, com.volmit.iris.gen.atomics.AtomicSliver, com.volmit.iris.util.BiomeMap) 	SignatureNotChanged
		protected void onClose() 	SignatureNotChanged
		protected void onGenerate(com.volmit.iris.util.RNG, int, int, org.bukkit.generator.ChunkGenerator$ChunkData, org.bukkit.generator.ChunkGenerator$BiomeGrid) 	SignatureNotChanged
		protected void onGenerateColumn(int, int, int, int, int, int, com.volmit.iris.gen.atomics.AtomicSliver, com.volmit.iris.util.BiomeMap) 	SignatureNotChanged
		protected abstract void onGenerateColumn(int, int, int, int, int, int, com.volmit.iris.gen.atomics.AtomicSliver, com.volmit.iris.util.BiomeMap, boolean) 	SignatureNotChanged
		public void onInit(org.bukkit.World, com.volmit.iris.util.RNG) 	SignatureNotChanged
		protected abstract void onPostGenerate(com.volmit.iris.util.RNG, int, int, org.bukkit.generator.ChunkGenerator$ChunkData, org.bukkit.generator.ChunkGenerator$BiomeGrid, com.volmit.iris.util.HeightMap, com.volmit.iris.util.BiomeMap, com.volmit.iris.gen.atomics.AtomicSliverMap) 	SignatureNotChanged
		public java.lang.String toString() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.ParallelChunkGenerator
		17	=>	16
		18	=>	15, 44 and 49
		21	=>	26
		22	=>	51
		23	=>	36
		24	=>	40
		25	=>	22
		29	=>	18
		30	=>	37
		31	=>	46
		32	=>	24
		33	=>	41
		34	=>	9
		38	=>	27
		39	=>	1
		40	=>	20
		41	=>	58
		43	=>	8
		45	=>	38
		48	=>	32
		49	=>	60
		55	=>	45
		56	=>	12
		69	=>	6
		70	=>	48
		71	=>	23
		72	=>	47
		73	=>	35
		74	=>	31
		75	=>	2
		76	=>	42
		79	=>	50 and 61
		81	=>	33
		82	=>	53
		84	=>	30 and 34
		86	=>	11
		87	=>	28
		88	=>	57
		90	=>	4
		94	=>	17
		97	=>	59
		99	=>	55
		100	=>	5
		101	=>	43
		105	=>	54
		106	=>	10
		107	=>	25
		108	=>	19
		109	=>	7
		110	=>	56
		114	=>	52
		115	=>	3
		116	=>	29
		120	=>	39
		121	=>	21
		122	=>	14
		127	=>	13

Class: public abstract com.volmit.iris.gen.PostBlockChunkGenerator	NameNotChanged
	Source: "PostBlockChunkGenerator.java"
	FieldsOf: com.volmit.iris.gen.PostBlockChunkGenerator
		private com.volmit.iris.util.IrisLock lock	NameNotChanged
		private int maxPhase	NameNotChanged
		private int minPhase	NameNotChanged
		private java.lang.String postKey	NameNotChanged
	MethodsOf: com.volmit.iris.gen.PostBlockChunkGenerator
		static void <clinit>() 	SignatureNotChanged
		public void <init>(java.lang.String, int) 	SignatureNotChanged
		private static java.lang.Throwable a(java.lang.Throwable) 	SignatureNotChanged
		protected boolean canEqual(java.lang.Object) 	SignatureNotChanged
		public com.volmit.iris.util.IrisPostBlockFilter createProcessor(java.lang.String, int) 	SignatureNotChanged
		public boolean equals(java.lang.Object) 	SignatureNotChanged
		public com.volmit.iris.util.IrisLock getLock() 	SignatureNotChanged
		public int getMaxPhase() 	SignatureNotChanged
		public int getMinPhase() 	SignatureNotChanged
		public org.bukkit.block.data.BlockData getPostBlock(int, int, int, int, int, org.bukkit.generator.ChunkGenerator$ChunkData) 	SignatureNotChanged
		public java.lang.String getPostKey() 	SignatureNotChanged
		public int hashCode() 	SignatureNotChanged
		public int highestTerrainBlock(int, int) 	SignatureNotChanged
		private static synthetic void lambda$onGenerate$0(com.volmit.iris.util.KList, int, int, int, int, int, org.bukkit.generator.ChunkGenerator$ChunkData) 	SignatureNotChanged
		protected void onGenerate(com.volmit.iris.util.RNG, int, int, org.bukkit.generator.ChunkGenerator$ChunkData, org.bukkit.generator.ChunkGenerator$BiomeGrid) 	SignatureNotChanged
		public void onInit(org.bukkit.World, com.volmit.iris.util.RNG) 	SignatureNotChanged
		public void setMaxPhase(int) 	SignatureNotChanged
		public void setMinPhase(int) 	SignatureNotChanged
		public void setPostBlock(int, int, int, org.bukkit.block.data.BlockData, int, int, org.bukkit.generator.ChunkGenerator$ChunkData) 	SignatureNotChanged
		public java.lang.String toString() 	SignatureNotChanged
		public void updateHeight(int, int, int) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.PostBlockChunkGenerator
		24	=>	4, 11 and 22
		25	=>	30, 54 and 62
		28	=>	6
		29	=>	35
		30	=>	67
		31	=>	19
		35	=>	32
		36	=>	72
		37	=>	58
		38	=>	24
		42	=>	37
		43	=>	25
		48	=>	12
		50	=>	71
		52	=>	42
		55	=>	27
		58	=>	10
		60	=>	1 and 51
		62	=>	50 and 53
		64	=>	28
		66	=>	44 and 45
		68	=>	79
		69	=>	60
		70	=>	59
		72	=>	5
		74	=>	55
		76	=>	23
		78	=>	46
		80	=>	34
		81	=>	31
		85	=>	70
		87	=>	69
		89	=>	7
		91	=>	78
		95	=>	41
		98	=>	49
		101	=>	21 and 48
		104	=>	3
		107	=>	77
		108	=>	61
		109	=>	26
		113	=>	74
		115	=>	52
		118	=>	56
		120	=>	57
		123	=>	8
		125	=>	76
		128	=>	64
		130	=>	43
		133	=>	2
		135	=>	40
		138	=>	29
		140	=>	38
		143	=>	73
		144	=>	9
		145	=>	39
		151	=>	18
		152	=>	63
		157	=>	65
		159	=>	16
		160	=>	47
		161	=>	33
		162	=>	20
		165	=>	17
		171	=>	68
		173	=>	66
		174	=>	13
		175	=>	15
		180	=>	14
		182	=>	75
		193	=>	36

Class: public abstract com.volmit.iris.gen.TerrainChunkGenerator	NameNotChanged
	Source: "TerrainChunkGenerator.java"
	FieldsOf: com.volmit.iris.gen.TerrainChunkGenerator
		protected com.volmit.iris.util.ChronoLatch cwarn	NameNotChanged
		private com.volmit.iris.util.KMap generators	=>	l
		protected com.volmit.iris.gen.layer.GenLayerBiome glBiome	NameNotChanged
		private com.volmit.iris.gen.layer.GenLayerCarve glCarve	=>	m
		private com.volmit.iris.gen.layer.GenLayerCave glCave	=>	n
		private long lastChunkLoad	=>	o
		private long lastUpdateRequest	=>	p
		protected com.volmit.iris.noise.CNG masterFracture	NameNotChanged
		protected com.volmit.iris.util.IrisLock regLock	NameNotChanged
		private com.volmit.iris.util.RNG rockRandom	=>	k
	MethodsOf: com.volmit.iris.gen.TerrainChunkGenerator
		static void <clinit>() 	SignatureNotChanged
		public void <init>(java.lang.String, int) 	SignatureNotChanged
		private static java.lang.RuntimeException b(java.lang.RuntimeException) 	SignatureNotChanged
		private void buildGenLayers(com.volmit.iris.util.RNG)	=>	a(com.volmit.iris.util.RNG)
		protected boolean canEqual(java.lang.Object) 	SignatureNotChanged
		private void decorateCave(com.volmit.iris.object.IrisBiome, com.volmit.iris.gen.atomics.AtomicSliver, double, int, double, int, int, org.bukkit.block.data.BlockData)	=>	c(com.volmit.iris.object.IrisBiome, com.volmit.iris.gen.atomics.AtomicSliver, double, int, double, int, int, org.bukkit.block.data.BlockData)
		private void decorateLand(com.volmit.iris.object.IrisBiome, com.volmit.iris.gen.atomics.AtomicSliver, double, int, double, int, int, org.bukkit.block.data.BlockData)	=>	a(com.volmit.iris.object.IrisBiome, com.volmit.iris.gen.atomics.AtomicSliver, double, int, double, int, int, org.bukkit.block.data.BlockData)
		private void decorateUnderwater(com.volmit.iris.object.IrisBiome, com.volmit.iris.gen.atomics.AtomicSliver, double, int, double, int, int, org.bukkit.block.data.BlockData)	=>	b(com.volmit.iris.object.IrisBiome, com.volmit.iris.gen.atomics.AtomicSliver, double, int, double, int, int, org.bukkit.block.data.BlockData)
		public boolean equals(java.lang.Object) 	SignatureNotChanged
		protected double getBiomeHeight(double, double) 	SignatureNotChanged
		public com.volmit.iris.util.KList getCaves(int, int) 	SignatureNotChanged
		public com.volmit.iris.util.ChronoLatch getCwarn() 	SignatureNotChanged
		public int getFluidHeight() 	SignatureNotChanged
		protected com.volmit.iris.util.KMap getGenerators() 	SignatureNotChanged
		public com.volmit.iris.gen.layer.GenLayerBiome getGlBiome() 	SignatureNotChanged
		public com.volmit.iris.gen.layer.GenLayerCarve getGlCarve() 	SignatureNotChanged
		public com.volmit.iris.gen.layer.GenLayerCave getGlCave() 	SignatureNotChanged
		public long getLastChunkLoad() 	SignatureNotChanged
		public long getLastUpdateRequest() 	SignatureNotChanged
		public com.volmit.iris.noise.CNG getMasterFracture() 	SignatureNotChanged
		private double getNoiseHeight(int, int)	=>	b(int, int)
		protected double getRawBiomeHeight(double, double) 	SignatureNotChanged
		public com.volmit.iris.util.IrisLock getRegLock() 	SignatureNotChanged
		public com.volmit.iris.util.RNG getRockRandom() 	SignatureNotChanged
		public double getTerrainHeight(int, int) 	SignatureNotChanged
		public double getTerrainWaterHeight(int, int) 	SignatureNotChanged
		public int hashCode() 	SignatureNotChanged
		protected double interpolateGenerator(double, double, com.volmit.iris.object.IrisGenerator) 	SignatureNotChanged
		public boolean isFluidAtHeight(int, int) 	SignatureNotChanged
		public boolean isUnderwater(int, int) 	SignatureNotChanged
		private synthetic com.volmit.iris.object.IrisRegion lambda$0(int, int) 	SignatureNotChanged
		private synthetic com.volmit.iris.util.BiomeResult lambda$1(int, int, double) 	SignatureNotChanged
		private synthetic java.lang.Double lambda$2(int, int) 	SignatureNotChanged
		private synthetic double lambda$3(com.volmit.iris.object.IrisGenerator, double, double, double, double) 	SignatureNotChanged
		private synthetic double lambda$4(com.volmit.iris.object.IrisGenerator, double, double, double, double) 	SignatureNotChanged
		private synthetic void lambda$5(com.volmit.iris.object.IrisDimension, com.volmit.iris.object.IrisBiomeGeneratorLink) 	SignatureNotChanged
		private synthetic com.volmit.iris.util.BiomeResult lambda$6(int, int) 	SignatureNotChanged
		protected void loadGenerators() 	SignatureNotChanged
		protected void loadGenerators(com.volmit.iris.object.IrisDimension) 	SignatureNotChanged
		protected void onGenerate(com.volmit.iris.util.RNG, int, int, org.bukkit.generator.ChunkGenerator$ChunkData, org.bukkit.generator.ChunkGenerator$BiomeGrid) 	SignatureNotChanged
		protected void onGenerateColumn(int, int, int, int, int, int, com.volmit.iris.gen.atomics.AtomicSliver, com.volmit.iris.util.BiomeMap, boolean) 	SignatureNotChanged
		public void onHotload() 	SignatureNotChanged
		public void onInit(org.bukkit.World, com.volmit.iris.util.RNG) 	SignatureNotChanged
		protected void onPostGenerate(com.volmit.iris.util.RNG, int, int, org.bukkit.generator.ChunkGenerator$ChunkData, org.bukkit.generator.ChunkGenerator$BiomeGrid, com.volmit.iris.util.HeightMap, com.volmit.iris.util.BiomeMap, com.volmit.iris.gen.atomics.AtomicSliverMap) 	SignatureNotChanged
		protected void onPostParallaxPostGenerate(com.volmit.iris.util.RNG, int, int, org.bukkit.generator.ChunkGenerator$ChunkData, org.bukkit.generator.ChunkGenerator$BiomeGrid, com.volmit.iris.util.HeightMap, com.volmit.iris.util.BiomeMap, com.volmit.iris.gen.atomics.AtomicSliverMap) 	SignatureNotChanged
		protected void onPreParallaxPostGenerate(com.volmit.iris.util.RNG, int, int, org.bukkit.generator.ChunkGenerator$ChunkData, org.bukkit.generator.ChunkGenerator$BiomeGrid, com.volmit.iris.util.HeightMap, com.volmit.iris.util.BiomeMap, com.volmit.iris.gen.atomics.AtomicSliverMap) 	SignatureNotChanged
		public void registerGenerator(com.volmit.iris.object.IrisGenerator, com.volmit.iris.object.IrisDimension) 	SignatureNotChanged
		public com.volmit.iris.util.BiomeResult sampleBiome(int, int) 	SignatureNotChanged
		public com.volmit.iris.util.BiomeResult sampleCaveBiome(int, int) 	SignatureNotChanged
		public com.volmit.iris.object.IrisRegion sampleRegion(int, int) 	SignatureNotChanged
		public com.volmit.iris.util.BiomeResult sampleTrueBiome(int, int) 	SignatureNotChanged
		public com.volmit.iris.util.BiomeResult sampleTrueBiome(int, int, double) 	SignatureNotChanged
		public com.volmit.iris.util.BiomeResult sampleTrueBiome(int, int, int) 	SignatureNotChanged
		public com.volmit.iris.util.BiomeResult sampleTrueBiomeBase(int, int, int) 	SignatureNotChanged
		public java.lang.String toString() 	SignatureNotChanged
		private boolean touchesSea(int, int)	=>	a(int, int)
	LineNumbersOf: com.volmit.iris.gen.TerrainChunkGenerator
		41	=>	38, 84, 89, 118, 179, 202, 203, 270, 305 and 327
		42	=>	45, 296 and 348
		45	=>	186
		46	=>	86
		54	=>	343
		58	=>	276
		59	=>	364
		60	=>	63
		61	=>	73
		66	=>	171
		67	=>	365
		68	=>	375
		69	=>	124
		73	=>	133
		74	=>	368
		75	=>	152
		76	=>	347
		77	=>	380
		78	=>	354
		82	=>	312
		88	=>	196
		90	=>	112
		94	=>	291
		95	=>	315
		96	=>	258
		97	=>	211
		98	=>	150
		99	=>	355
		100	=>	330
		101	=>	92
		102	=>	252
		103	=>	175
		104	=>	212
		105	=>	223
		107	=>	297
		109	=>	106
		112	=>	190
		113	=>	303
		114	=>	191
		115	=>	336
		116	=>	53
		117	=>	120
		118	=>	331
		119	=>	85
		122	=>	99 and 259
		124	=>	333
		125	=>	172
		126	=>	361
		129	=>	209
		131	=>	184
		133	=>	122
		136	=>	98
		137	=>	110
		141	=>	74
		143	=>	56
		145	=>	72
		148	=>	169
		149	=>	338
		150	=>	340
		154	=>	381
		156	=>	379
		157	=>	7
		158	=>	21
		159	=>	79
		163	=>	77
		165	=>	267
		166	=>	43
		167	=>	310
		169	=>	24 and 245
		171	=>	116
		172	=>	278
		176	=>	139
		178	=>	213
		182	=>	290
		184	=>	334
		185	=>	238
		188	=>	320
		190	=>	1
		191	=>	262
		196	=>	157
		197	=>	109
		201	=>	134
		204	=>	292
		206	=>	132
		210	=>	154
		212	=>	284
		217	=>	235
		218	=>	371
		221	=>	293
		223	=>	167 and 314
		225	=>	217 and 352
		227	=>	298
		228	=>	70
		231	=>	280
		232	=>	31
		233	=>	308
		234	=>	65 and 126
		236	=>	353
		238	=>	93
		241	=>	78
		244	=>	232 and 242
		246	=>	3
		249	=>	97
		251	=>	123
		256	=>	273
		259	=>	147
		261	=>	9
		263	=>	113
		268	=>	32
		269	=>	272
		270	=>	234
		271	=>	19
		273	=>	18 and 168
		275	=>	151
		278	=>	16 and 317
		280	=>	246 and 288
		282	=>	198
		286	=>	166 and 263
		288	=>	57 and 318
		290	=>	176
		293	=>	377
		297	=>	372
		299	=>	236
		302	=>	329
		304	=>	47 and 260
		306	=>	188
		308	=>	257
		311	=>	243
		313	=>	129
		315	=>	95
		317	=>	114
		320	=>	66
		322	=>	83
		324	=>	281
		328	=>	300
		330	=>	158
		332	=>	100
		336	=>	111
		338	=>	363
		339	=>	316
		340	=>	369
		341	=>	36
		342	=>	40
		343	=>	341
		344	=>	225
		348	=>	8
		350	=>	205
		352	=>	219
		353	=>	244
		355	=>	30
		357	=>	344 and 358
		359	=>	2
		364	=>	221
		367	=>	240
		371	=>	373
		373	=>	107
		376	=>	187
		378	=>	12 and 48
		380	=>	60
		382	=>	328
		384	=>	54
		386	=>	210
		389	=>	256
		391	=>	67
		393	=>	189
		397	=>	35
		399	=>	130
		400	=>	64
		401	=>	349
		402	=>	201
		403	=>	360
		404	=>	173
		405	=>	165
		409	=>	29
		411	=>	20
		413	=>	265
		414	=>	199
		416	=>	88
		418	=>	71 and 153
		420	=>	161
		422	=>	215
		425	=>	313
		430	=>	224
		433	=>	51
		437	=>	148
		439	=>	249
		442	=>	239
		444	=>	59 and 182
		446	=>	311
		448	=>	274
		451	=>	250
		453	=>	339
		455	=>	218
		457	=>	282
		459	=>	357
		460	=>	367
		462	=>	335
		464	=>	6 and 204
		466	=>	181
		470	=>	69
		473	=>	44
		478	=>	80
		479	=>	342
		484	=>	207
		489	=>	180
		493	=>	27
		495	=>	197
		500	=>	170
		502	=>	185
		505	=>	28
		506	=>	255
		507	=>	127
		508	=>	319
		509	=>	251
		511	=>	96
		513	=>	37
		516	=>	192
		518	=>	285
		521	=>	366
		523	=>	287
		526	=>	214
		528	=>	322
		531	=>	302
		533	=>	75
		536	=>	49
		541	=>	194
		542	=>	295
		543	=>	103
		548	=>	11
		550	=>	33
		551	=>	356
		552	=>	105
		554	=>	68
		556	=>	145
		560	=>	309
		565	=>	220
		570	=>	94
		572	=>	229
		573	=>	104
		574	=>	307
		580	=>	117
		582	=>	275
		585	=>	144
		587	=>	10
		588	=>	351
		589	=>	253
		590	=>	90
		591	=>	17
		592	=>	34
		593	=>	41
		595	=>	178
		597	=>	378
		600	=>	286
		612	=>	25
		617	=>	156
		622	=>	141
		627	=>	228
		632	=>	26 and 108
		637	=>	58
		643	=>	140
		644	=>	23
		645	=>	248
		646	=>	146
		647	=>	15
		651	=>	174
		653	=>	136
		654	=>	142
		656	=>	279
		657	=>	337
		660	=>	135
		661	=>	254
		662	=>	39
		666	=>	162
		671	=>	268
		672	=>	155
		673	=>	332
		675	=>	81 and 91
		677	=>	102
		680	=>	321
		685	=>	306
		687	=>	247
		692	=>	76
		696	=>	241
		698	=>	82 and 323
		700	=>	183
		702	=>	301
		705	=>	299
		707	=>	121
		709	=>	195
		710	=>	61
		712	=>	269
		715	=>	277
		719	=>	50
		721	=>	46 and 138
		723	=>	14
		725	=>	177
		728	=>	226
		730	=>	324
		732	=>	374
		733	=>	137
		736	=>	261
		739	=>	362
		744	=>	160
		745	=>	22
		746	=>	326
		750	=>	283
		752	=>	163
		755	=>	62
		756	=>	119
		758	=>	216 and 231
		760	=>	5
		762	=>	143
		764	=>	125
		765	=>	345
		766	=>	208
		767	=>	230
		768	=>	13
		772	=>	159 and 304
		774	=>	206
		776	=>	149
		778	=>	289
		779	=>	55
		780	=>	233 and 237
		781	=>	264
		784	=>	376
		788	=>	87
		790	=>	115
		792	=>	222
		794	=>	164 and 359
		796	=>	128
		798	=>	325
		800	=>	370
		801	=>	193
		804	=>	266
		806	=>	346
		807	=>	200
		810	=>	350
		812	=>	4
		813	=>	131
		817	=>	52
		820	=>	101
		821	=>	294
		822	=>	227
		823	=>	271
		825	=>	42

Class: public com.volmit.iris.gen.atomics.AtomicCache	NameNotChanged
	Source: "AtomicCache.java"
	FieldsOf: com.volmit.iris.gen.atomics.AtomicCache
		private volatile transient long a	=>	g
		private static int b	=>	c
		private final com.volmit.iris.util.IrisLock check	=>	f
		private final boolean nullSupport	=>	a
		private volatile transient java.lang.Object t	=>	d
		private final com.volmit.iris.util.IrisLock time	=>	e
		private volatile transient int validations	=>	b
		private final com.volmit.iris.util.IrisLock write	=>	h
	MethodsOf: com.volmit.iris.gen.atomics.AtomicCache
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		public void <init>(boolean) 	SignatureNotChanged
		public static int a()	=>	b()
		public static void a(int)	=>	b(int)
		public java.lang.Object aquire(java.util.function.Supplier) 	SignatureNotChanged
		public java.lang.Object aquireNull(java.util.function.Supplier) 	SignatureNotChanged
		public static int b()	=>	a()
		public void reset() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.atomics.AtomicCache
		20	=>	34
		21	=>	9
		24	=>	8
		25	=>	2
		26	=>	45
		27	=>	47
		28	=>	43
		29	=>	54
		30	=>	29
		31	=>	4
		32	=>	41
		36	=>	37
		37	=>	35
		38	=>	11
		39	=>	14
		40	=>	51
		41	=>	32
		42	=>	16
		43	=>	3
		44	=>	30
		48	=>	5
		50	=>	52
		53	=>	6
		55	=>	19
		58	=>	25
		60	=>	33
		62	=>	36
		65	=>	23
		68	=>	31
		70	=>	22
		72	=>	39
		73	=>	20
		75	=>	48
		77	=>	1
		79	=>	24
		82	=>	49
		83	=>	7
		86	=>	46
		87	=>	50
		92	=>	15
		94	=>	27
		97	=>	12
		99	=>	17
		100	=>	21
		103	=>	40
		104	=>	26
		105	=>	28
		107	=>	38
		109	=>	42
		111	=>	10
		114	=>	53
		115	=>	44
		116	=>	13
		117	=>	18

Class: public com.volmit.iris.gen.atomics.AtomicMulticache	NameNotChanged
	Source: "AtomicMulticache.java"
	FieldsOf: com.volmit.iris.gen.atomics.AtomicMulticache
		private final com.volmit.iris.util.KMap biome	=>	e
		public static boolean broken	NameNotChanged
		private final com.volmit.iris.util.KMap height	=>	c
		private final com.volmit.iris.util.KMap rawBiome	=>	b
		private final com.volmit.iris.util.KMap region	=>	a
		private final java.util.concurrent.atomic.AtomicInteger x	=>	f
		private final java.util.concurrent.atomic.AtomicInteger z	=>	d
	MethodsOf: com.volmit.iris.gen.atomics.AtomicMulticache
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		public void drop() 	SignatureNotChanged
		public com.volmit.iris.util.BiomeResult getBiome(int, int, java.util.function.Supplier) 	SignatureNotChanged
		public double getHeight(int, int, java.util.function.Supplier) 	SignatureNotChanged
		public com.volmit.iris.util.BiomeResult getRawBiome(int, int, java.util.function.Supplier) 	SignatureNotChanged
		public com.volmit.iris.object.IrisRegion getRegion(int, int, java.util.function.Supplier) 	SignatureNotChanged
		public double getSize() 	SignatureNotChanged
		private long pos(int, int)	=>	a(int, int)
		public void targetChunk(int, int) 	SignatureNotChanged
		public void updateHeight(int, int, int) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.atomics.AtomicMulticache
		13	=>	6
		22	=>	42
		23	=>	50
		24	=>	33
		25	=>	24
		26	=>	15
		27	=>	51
		28	=>	40
		29	=>	9
		33	=>	20
		35	=>	36
		38	=>	16
		39	=>	7
		41	=>	37
		43	=>	41
		45	=>	39
		49	=>	32
		51	=>	45
		54	=>	52
		55	=>	53
		57	=>	29
		59	=>	19
		60	=>	49
		63	=>	59
		68	=>	4
		69	=>	57
		71	=>	26
		73	=>	56
		74	=>	55
		77	=>	23
		82	=>	11
		83	=>	58
		85	=>	22
		87	=>	18
		88	=>	12
		91	=>	10
		96	=>	35
		98	=>	13
		100	=>	17
		101	=>	1
		103	=>	27
		105	=>	48
		106	=>	30
		109	=>	28
		114	=>	5
		116	=>	47
		118	=>	8
		123	=>	38
		125	=>	44
		127	=>	34
		128	=>	46
		132	=>	54
		137	=>	31
		139	=>	3
		142	=>	21
		143	=>	43
		144	=>	25
		145	=>	2
		146	=>	14

Class: public com.volmit.iris.gen.atomics.AtomicRegionData	NameNotChanged
	Source: "AtomicRegionData.java"
	FieldsOf: com.volmit.iris.gen.atomics.AtomicRegionData
		private com.volmit.iris.util.Tag[] tag	=>	b
		private final org.bukkit.World world	=>	a
	MethodsOf: com.volmit.iris.gen.atomics.AtomicRegionData
		static void <clinit>() 	SignatureNotChanged
		public void <init>(org.bukkit.World) 	SignatureNotChanged
		private static java.lang.Throwable a(java.lang.Throwable) 	SignatureNotChanged
		public boolean contains(int, int) 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicSliverMap get(int, int) 	SignatureNotChanged
		public long guessMemoryUsage() 	SignatureNotChanged
		public void read(java.io.InputStream) 	SignatureNotChanged
		public void set(int, int, com.volmit.iris.gen.atomics.AtomicSliverMap) 	SignatureNotChanged
		public void write(java.io.OutputStream) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.atomics.AtomicRegionData
		28	=>	21
		29	=>	58
		30	=>	9
		31	=>	45
		40	=>	26
		41	=>	7
		42	=>	55
		44	=>	51
		46	=>	47
		47	=>	5
		48	=>	1
		49	=>	36
		51	=>	14
		52	=>	2
		56	=>	17
		58	=>	12
		60	=>	4 and 19
		62	=>	23 and 30
		64	=>	29
		66	=>	38
		71	=>	56
		72	=>	54
		73	=>	35
		77	=>	34
		87	=>	49
		89	=>	52
		93	=>	53
		94	=>	25
		96	=>	39
		98	=>	50
		101	=>	22
		102	=>	15
		103	=>	41
		104	=>	60
		105	=>	11
		106	=>	8
		110	=>	33
		112	=>	6
		114	=>	10
		117	=>	16
		121	=>	18
		123	=>	61
		124	=>	31
		129	=>	59
		131	=>	27
		136	=>	28
		139	=>	32
		140	=>	13
		143	=>	37
		145	=>	40
		146	=>	46
		148	=>	44
		158	=>	20
		160	=>	24 and 57
		162	=>	43
		164	=>	42
		165	=>	3
		169	=>	48

Class: public com.volmit.iris.gen.atomics.AtomicSliver	NameNotChanged
	Source: "AtomicSliver.java"
	FieldsOf: com.volmit.iris.gen.atomics.AtomicSliver
		public static final org.bukkit.block.data.BlockData AIR	NameNotChanged
		private transient com.volmit.iris.util.KMap biome	=>	d
		private com.volmit.iris.util.KMap block	=>	f
		private com.volmit.iris.util.KSet blockUpdates	=>	e
		public static boolean forgetful	NameNotChanged
		private transient int highestBiome	=>	k
		private int highestBlock	=>	h
		private transient long last	=>	i
		private transient com.volmit.iris.util.IrisLock lock	=>	g
		private transient boolean modified	=>	j
		private transient com.volmit.iris.util.KMap truebiome	=>	a
		private final transient int x	=>	b
		private final transient int z	=>	c
	MethodsOf: com.volmit.iris.gen.atomics.AtomicSliver
		static void <clinit>() 	SignatureNotChanged
		public void <init>(int, int) 	SignatureNotChanged
		private static java.io.IOException a(java.io.IOException) 	SignatureNotChanged
		protected boolean canEqual(java.lang.Object) 	SignatureNotChanged
		public void dontUpdate(int) 	SignatureNotChanged
		public boolean equals(java.lang.Object) 	SignatureNotChanged
		public org.bukkit.block.data.BlockData get(int) 	SignatureNotChanged
		public com.volmit.iris.util.KMap getBiome() 	SignatureNotChanged
		public com.volmit.iris.util.KMap getBlock() 	SignatureNotChanged
		public com.volmit.iris.util.KSet getBlockUpdates() 	SignatureNotChanged
		public int getHighestBiome() 	SignatureNotChanged
		public int getHighestBlock() 	SignatureNotChanged
		public long getLast() 	SignatureNotChanged
		public com.volmit.iris.util.IrisLock getLock() 	SignatureNotChanged
		public com.volmit.iris.util.KMap getTruebiome() 	SignatureNotChanged
		public org.bukkit.Material getType(int) 	SignatureNotChanged
		public com.volmit.iris.util.KSet getUpdatables() 	SignatureNotChanged
		public int getX() 	SignatureNotChanged
		public int getZ() 	SignatureNotChanged
		public int hashCode() 	SignatureNotChanged
		public void inject(com.volmit.iris.util.KSet) 	SignatureNotChanged
		public void inject(org.bukkit.generator.ChunkGenerator$ChunkData) 	SignatureNotChanged
		public boolean isModified() 	SignatureNotChanged
		public boolean isSolid(int) 	SignatureNotChanged
		public void read(java.io.DataInputStream) 	SignatureNotChanged
		public void set(int, com.volmit.iris.object.IrisBiome) 	SignatureNotChanged
		public void set(int, org.bukkit.block.Biome) 	SignatureNotChanged
		public void set(int, org.bukkit.block.data.BlockData) 	SignatureNotChanged
		public void setSilently(int, org.bukkit.block.data.BlockData) 	SignatureNotChanged
		public java.lang.String toString() 	SignatureNotChanged
		public void update(int) 	SignatureNotChanged
		public void write(com.volmit.iris.util.HeightMap) 	SignatureNotChanged
		public void write(java.io.DataOutputStream) 	SignatureNotChanged
		public void write(org.bukkit.generator.ChunkGenerator$BiomeGrid) 	SignatureNotChanged
		public void write(org.bukkit.generator.ChunkGenerator$ChunkData) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.atomics.AtomicSliver
		24	=>	25, 97, 134 and 162
		27	=>	7
		28	=>	123
		29	=>	63
		30	=>	5
		31	=>	96 and 163
		32	=>	50 and 67
		33	=>	26 and 125
		34	=>	101
		35	=>	62
		36	=>	110 and 113
		37	=>	131
		38	=>	124
		39	=>	79 and 140
		42	=>	151
		43	=>	127
		44	=>	35
		45	=>	157
		46	=>	23
		47	=>	122
		48	=>	61
		49	=>	85
		53	=>	54
		58	=>	142
		63	=>	104
		65	=>	78
		68	=>	119
		69	=>	58
		73	=>	28
		75	=>	117
		78	=>	60
		79	=>	102
		83	=>	166
		85	=>	46
		87	=>	128
		88	=>	135
		90	=>	139
		92	=>	143
		95	=>	103
		117	=>	159
		119	=>	150
		121	=>	41
		122	=>	107
		123	=>	24
		124	=>	19
		125	=>	6
		126	=>	141
		130	=>	44
		132	=>	48
		135	=>	36
		137	=>	37
		140	=>	75
		141	=>	130
		142	=>	112
		144	=>	155
		146	=>	14
		151	=>	132
		154	=>	92
		155	=>	93
		159	=>	70
		181	=>	88
		182	=>	73
		183	=>	114
		184	=>	11
		185	=>	81
		186	=>	83
		190	=>	8
		191	=>	165
		192	=>	52
		193	=>	152
		194	=>	91
		198	=>	49
		200	=>	9
		203	=>	118
		205	=>	12 and 99
		207	=>	95
		209	=>	137
		214	=>	47
		217	=>	76
		218	=>	74
		222	=>	161
		224	=>	22
		226	=>	115
		227	=>	20 and 59
		229	=>	42
		231	=>	158
		234	=>	126
		235	=>	116
		239	=>	43
		241	=>	129
		243	=>	84
		244	=>	149
		245	=>	55
		246	=>	156
		250	=>	68
		252	=>	4
		254	=>	66
		255	=>	147
		257	=>	138
		259	=>	153
		260	=>	1
		261	=>	3
		262	=>	109
		263	=>	89
		265	=>	51 and 86
		267	=>	29
		271	=>	40 and 71
		273	=>	87
		277	=>	72 and 133
		279	=>	106
		282	=>	31
		283	=>	108
		284	=>	45
		288	=>	27
		290	=>	18
		292	=>	2
		295	=>	65
		297	=>	33 and 154
		299	=>	57
		300	=>	164
		302	=>	56
		304	=>	77
		308	=>	21
		309	=>	39
		310	=>	100
		312	=>	53
		314	=>	16
		315	=>	32
		318	=>	38 and 64
		320	=>	80
		321	=>	144
		322	=>	105
		326	=>	145
		328	=>	148
		329	=>	94
		331	=>	10
		332	=>	13
		359	=>	90
		361	=>	121
		363	=>	34
		364	=>	15 and 98
		366	=>	136
		368	=>	30
		369	=>	160
		372	=>	82
		373	=>	111
		387	=>	146
		389	=>	69
		392	=>	120
		393	=>	17

Class: public com.volmit.iris.gen.atomics.AtomicSliverMap	NameNotChanged
	Source: "AtomicSliverMap.java"
	FieldsOf: com.volmit.iris.gen.atomics.AtomicSliverMap
		private boolean parallaxGenerated	=>	c
		private final com.volmit.iris.gen.atomics.AtomicSliver[] slivers	=>	a
		private com.volmit.iris.util.KMap structures	=>	b
		private boolean worldGenerated	=>	d
	MethodsOf: com.volmit.iris.gen.atomics.AtomicSliverMap
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		private static java.lang.Throwable a(java.lang.Throwable) 	SignatureNotChanged
		protected boolean canEqual(java.lang.Object) 	SignatureNotChanged
		public boolean equals(java.lang.Object) 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicSliver getSliver(int, int) 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicSliver[] getSlivers() 	SignatureNotChanged
		public com.volmit.iris.util.IrisStructureResult getStructure(com.volmit.iris.gen.DimensionChunkGenerator, int) 	SignatureNotChanged
		public com.volmit.iris.util.KMap getStructures() 	SignatureNotChanged
		public int hashCode() 	SignatureNotChanged
		public void inject(org.bukkit.generator.ChunkGenerator$ChunkData) 	SignatureNotChanged
		public void injectUpdates(com.volmit.iris.gen.atomics.AtomicSliverMap) 	SignatureNotChanged
		public boolean isModified() 	SignatureNotChanged
		public boolean isParallaxGenerated() 	SignatureNotChanged
		public boolean isWorldGenerated() 	SignatureNotChanged
		public void read(java.io.InputStream) 	SignatureNotChanged
		public void setParallaxGenerated(boolean) 	SignatureNotChanged
		public void setStructure(int, com.volmit.iris.object.IrisStructure, com.volmit.iris.object.IrisStructureTile) 	SignatureNotChanged
		public void setWorldGenerated(boolean) 	SignatureNotChanged
		public java.lang.String toString() 	SignatureNotChanged
		public void write(java.io.OutputStream) 	SignatureNotChanged
		public void write(org.bukkit.generator.ChunkGenerator$ChunkData, org.bukkit.generator.ChunkGenerator$BiomeGrid, com.volmit.iris.util.HeightMap) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.atomics.AtomicSliverMap
		22	=>	13, 39, 53, 57, 60 and 76
		25	=>	15
		26	=>	74
		27	=>	37
		28	=>	49
		31	=>	64
		32	=>	52
		33	=>	56
		34	=>	14
		35	=>	71
		37	=>	89 and 96
		39	=>	34 and 54
		41	=>	32
		44	=>	70
		56	=>	23
		57	=>	48
		61	=>	10
		63	=>	73
		65	=>	28
		68	=>	87
		70	=>	72
		72	=>	95
		74	=>	21
		77	=>	2
		82	=>	30
		83	=>	86
		84	=>	93
		86	=>	88 and 100
		90	=>	62
		93	=>	5
		95	=>	80
		96	=>	12
		99	=>	42
		101	=>	9
		103	=>	99
		105	=>	91
		107	=>	67
		109	=>	24
		111	=>	84
		113	=>	94
		115	=>	43
		116	=>	78
		118	=>	59
		120	=>	6
		122	=>	46
		123	=>	45
		124	=>	81
		126	=>	25
		127	=>	68
		131	=>	19
		132	=>	38
		133	=>	8
		135	=>	35 and 51
		139	=>	98
		142	=>	26
		144	=>	16
		145	=>	11
		148	=>	55
		149	=>	58
		150	=>	29 and 41
		152	=>	1
		155	=>	69
		156	=>	66
		158	=>	3 and 90
		160	=>	82
		162	=>	20
		166	=>	61
		171	=>	7 and 18
		173	=>	27
		175	=>	17
		176	=>	65
		177	=>	44
		180	=>	85
		184	=>	31 and 97
		186	=>	77
		188	=>	50
		192	=>	22 and 63
		194	=>	79
		196	=>	40
		200	=>	75
		205	=>	36 and 47
		207	=>	33 and 83
		209	=>	92
		212	=>	4

Class: public com.volmit.iris.gen.atomics.AtomicWorldData	NameNotChanged
	Source: "AtomicWorldData.java"
	FieldsOf: com.volmit.iris.gen.atomics.AtomicWorldData
		private long last	=>	h
		private com.volmit.iris.util.KMap lastChunk	=>	g
		private com.volmit.iris.util.KMap lastRegion	=>	a
		private com.volmit.iris.util.KMap loadedChunks	=>	f
		private com.volmit.iris.util.KMap loadedSections	=>	i
		private java.lang.String prefix	=>	d
		private com.volmit.iris.util.KList unloadChunks	=>	c
		private com.volmit.iris.util.KList unloadRegions	=>	e
		private org.bukkit.World world	=>	b
	MethodsOf: com.volmit.iris.gen.atomics.AtomicWorldData
		static void <clinit>() 	SignatureNotChanged
		public void <init>(org.bukkit.World, java.lang.String) 	SignatureNotChanged
		private static java.io.IOException a(java.io.IOException) 	SignatureNotChanged
		public void clean(int) 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicRegionData createSection(int, int) 	SignatureNotChanged
		public com.volmit.iris.util.KMap getLoadedChunks() 	SignatureNotChanged
		public com.volmit.iris.util.KMap getLoadedRegions() 	SignatureNotChanged
		public java.io.File getSubregionFile(int, int) 	SignatureNotChanged
		public java.io.File getSubregionFolder() 	SignatureNotChanged
		private int getUnloadBatchSize()	=>	a()
		private int getUnloadBatchSpeed()	=>	b()
		public boolean isSectionLoaded(com.volmit.iris.util.ChunkPosition) 	SignatureNotChanged
		public boolean isSectionLoaded(int, int) 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicSliverMap loadChunk(int, int) 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicRegionData loadSection(int, int) 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicRegionData loadSection(int, int, boolean) 	SignatureNotChanged
		public void saveAll() 	SignatureNotChanged
		public void saveChunk(com.volmit.iris.util.ChunkPosition) 	SignatureNotChanged
		public void saveChunks() 	SignatureNotChanged
		public void saveChunks(com.volmit.iris.util.ChunkPosition) 	SignatureNotChanged
		public boolean saveSection(com.volmit.iris.util.ChunkPosition) 	SignatureNotChanged
		public void unloadAll(boolean) 	SignatureNotChanged
		public boolean unloadSection(com.volmit.iris.util.ChunkPosition, boolean) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.atomics.AtomicWorldData
		25	=>	86
		29	=>	132
		30	=>	110
		31	=>	32
		32	=>	121
		33	=>	125
		34	=>	55
		35	=>	63
		36	=>	22
		37	=>	91
		38	=>	129
		39	=>	134
		43	=>	109
		62	=>	47
		64	=>	101
		66	=>	2
		67	=>	14
		68	=>	49
		72	=>	16
		74	=>	126
		76	=>	99
		77	=>	35
		79	=>	94
		80	=>	102
		81	=>	61
		82	=>	71
		92	=>	44
		97	=>	112
		107	=>	108
		109	=>	40
		110	=>	115
		113	=>	31
		115	=>	64
		118	=>	106
		119	=>	77
		120	=>	54
		130	=>	65
		132	=>	25
		134	=>	124
		137	=>	38
		138	=>	73
		139	=>	98
		140	=>	92
		141	=>	53
		142	=>	133
		147	=>	46
		149	=>	52
		150	=>	34
		151	=>	72
		155	=>	131
		157	=>	37
		158	=>	122
		160	=>	56
		162	=>	82
		164	=>	19
		165	=>	128
		169	=>	100
		171	=>	79
		173	=>	39
		174	=>	114
		175	=>	69
		176	=>	29
		179	=>	6
		180	=>	62
		181	=>	93
		185	=>	43
		186	=>	74
		187	=>	75
		189	=>	12
		192	=>	87
		193	=>	127
		194	=>	95
		196	=>	76
		206	=>	130
		207	=>	11
		209	=>	118
		212	=>	120
		214	=>	51
		217	=>	113
		219	=>	10
		221	=>	41
		222	=>	116
		223	=>	24
		226	=>	68
		227	=>	103
		228	=>	45
		229	=>	83
		230	=>	26
		231	=>	90
		236	=>	123
		241	=>	8
		243	=>	96
		246	=>	60
		247	=>	107
		249	=>	81
		254	=>	27
		259	=>	97
		264	=>	117
		269	=>	21
		271	=>	89
		274	=>	70
		276	=>	28
		278	=>	88
		280	=>	15
		283	=>	85
		285	=>	9
		286	=>	13
		288	=>	50
		290	=>	5
		292	=>	58
		294	=>	3
		298	=>	7
		301	=>	48
		303	=>	1
		304	=>	23
		305	=>	111
		307	=>	57
		309	=>	67
		311	=>	119
		313	=>	66
		316	=>	30
		318	=>	18
		319	=>	105
		321	=>	17
		323	=>	104
		327	=>	59
		330	=>	78
		332	=>	4
		333	=>	42
		334	=>	84
		336	=>	80
		337	=>	36
		341	=>	33
		346	=>	20

Class: public com.volmit.iris.gen.atomics.MasterLock	NameNotChanged
	Source: "MasterLock.java"
	FieldsOf: com.volmit.iris.gen.atomics.MasterLock
		private com.volmit.iris.util.IrisLock lock	=>	b
		private com.volmit.iris.util.KMap locks	=>	a
	MethodsOf: com.volmit.iris.gen.atomics.MasterLock
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		public void clear() 	SignatureNotChanged
		public void lock(java.lang.String) 	SignatureNotChanged
		public void unlock(java.lang.String) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.atomics.MasterLock
		12	=>	11
		13	=>	9
		14	=>	13
		15	=>	5
		19	=>	2
		20	=>	18
		24	=>	19
		25	=>	20
		27	=>	16
		30	=>	10
		31	=>	14
		32	=>	7
		33	=>	1
		37	=>	3
		38	=>	8
		40	=>	6
		43	=>	12
		44	=>	15
		45	=>	4
		46	=>	17

Class: public com.volmit.iris.gen.layer.BiomeDataProvider	NameNotChanged
	Source: "BiomeDataProvider.java"
	FieldsOf: com.volmit.iris.gen.layer.BiomeDataProvider
		private com.volmit.iris.noise.CNG generator	=>	b
		private com.volmit.iris.gen.layer.GenLayerBiome layer	=>	c
		private com.volmit.iris.object.InferredType type	=>	a
	MethodsOf: com.volmit.iris.gen.layer.BiomeDataProvider
		static void <clinit>() 	SignatureNotChanged
		public void <init>(com.volmit.iris.gen.layer.GenLayerBiome, com.volmit.iris.object.InferredType, com.volmit.iris.util.RNG) 	SignatureNotChanged
		protected boolean canEqual(java.lang.Object) 	SignatureNotChanged
		public boolean equals(java.lang.Object) 	SignatureNotChanged
		public com.volmit.iris.util.BiomeResult generateData(com.volmit.iris.gen.ContextualChunkGenerator, double, double, int, int, com.volmit.iris.object.IrisRegion) 	SignatureNotChanged
		public com.volmit.iris.util.BiomeResult generatePureData(com.volmit.iris.gen.ContextualChunkGenerator, double, double, int, int, com.volmit.iris.object.IrisRegion) 	SignatureNotChanged
		public com.volmit.iris.noise.CNG getGenerator() 	SignatureNotChanged
		public com.volmit.iris.gen.layer.GenLayerBiome getLayer() 	SignatureNotChanged
		public com.volmit.iris.object.InferredType getType() 	SignatureNotChanged
		public int hashCode() 	SignatureNotChanged
		public java.lang.String toString() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.layer.BiomeDataProvider
		12	=>	2, 3, 5 and 13
		15	=>	8
		16	=>	12
		17	=>	14
		20	=>	9
		21	=>	1
		22	=>	11
		23	=>	7
		24	=>	4
		28	=>	10
		33	=>	6

Class: public com.volmit.iris.gen.layer.GenLayerBiome	NameNotChanged
	Source: "GenLayerBiome.java"
	FieldsOf: com.volmit.iris.gen.layer.GenLayerBiome
		private com.volmit.iris.noise.CNG bridgeGenerator	=>	g
		private com.volmit.iris.gen.layer.BiomeDataProvider caveProvider	=>	e
		private com.volmit.iris.gen.DimensionChunkGenerator iris	=>	a
		private com.volmit.iris.gen.layer.BiomeDataProvider landProvider	=>	b
		private com.volmit.iris.noise.CNG regionGenerator	=>	c
		private com.volmit.iris.gen.layer.BiomeDataProvider seaProvider	=>	d
		private com.volmit.iris.gen.layer.BiomeDataProvider shoreProvider	=>	f
	MethodsOf: com.volmit.iris.gen.layer.GenLayerBiome
		static void <clinit>() 	SignatureNotChanged
		public void <init>(com.volmit.iris.gen.DimensionChunkGenerator, com.volmit.iris.util.RNG) 	SignatureNotChanged
		protected boolean canEqual(java.lang.Object) 	SignatureNotChanged
		public boolean equals(java.lang.Object) 	SignatureNotChanged
		public com.volmit.iris.util.BiomeResult generateBiomeData(double, double, com.volmit.iris.object.IrisRegion, com.volmit.iris.noise.CNG, com.volmit.iris.util.KList, com.volmit.iris.object.InferredType, int, int) 	SignatureNotChanged
		public com.volmit.iris.util.BiomeResult generateData(com.volmit.iris.object.InferredType, double, double, int, int, com.volmit.iris.object.IrisRegion) 	SignatureNotChanged
		public com.volmit.iris.util.BiomeResult generateImpureData(int, int, com.volmit.iris.object.InferredType, com.volmit.iris.object.IrisRegion, com.volmit.iris.util.BiomeResult) 	SignatureNotChanged
		public com.volmit.iris.util.BiomeResult generateRegionData(double, double, int, int, com.volmit.iris.object.IrisRegion) 	SignatureNotChanged
		public com.volmit.iris.noise.CNG getBridgeGenerator() 	SignatureNotChanged
		public com.volmit.iris.gen.layer.BiomeDataProvider getCaveProvider() 	SignatureNotChanged
		public com.volmit.iris.gen.DimensionChunkGenerator getIris() 	SignatureNotChanged
		public com.volmit.iris.gen.layer.BiomeDataProvider getLandProvider() 	SignatureNotChanged
		public com.volmit.iris.gen.layer.BiomeDataProvider getProvider(com.volmit.iris.object.InferredType) 	SignatureNotChanged
		public com.volmit.iris.object.IrisRegion getRegion(double, double) 	SignatureNotChanged
		public com.volmit.iris.noise.CNG getRegionGenerator() 	SignatureNotChanged
		public com.volmit.iris.gen.layer.BiomeDataProvider getSeaProvider() 	SignatureNotChanged
		public com.volmit.iris.gen.layer.BiomeDataProvider getShoreProvider() 	SignatureNotChanged
		public com.volmit.iris.object.InferredType getType(double, double, com.volmit.iris.object.IrisRegion) 	SignatureNotChanged
		public int hashCode() 	SignatureNotChanged
		public com.volmit.iris.util.BiomeResult implode(double, double, com.volmit.iris.object.IrisRegion, com.volmit.iris.noise.CNG, com.volmit.iris.util.BiomeResult) 	SignatureNotChanged
		public com.volmit.iris.util.BiomeResult implode(double, double, com.volmit.iris.object.IrisRegion, com.volmit.iris.noise.CNG, com.volmit.iris.util.BiomeResult, int) 	SignatureNotChanged
		public java.lang.String toString() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.layer.GenLayerBiome
		20	=>	10
		21	=>	38, 68 and 70
		24	=>	12
		25	=>	29
		26	=>	13
		27	=>	73
		28	=>	48
		29	=>	40
		30	=>	30
		34	=>	41
		35	=>	61
		36	=>	28
		37	=>	18
		38	=>	67
		39	=>	56
		40	=>	53
		41	=>	63
		42	=>	8
		46	=>	50
		48	=>	26
		49	=>	14
		52	=>	65
		53	=>	17
		55	=>	31
		65	=>	66
		70	=>	20
		72	=>	34
		75	=>	1
		77	=>	59
		80	=>	74
		82	=>	39
		85	=>	2
		87	=>	6
		92	=>	60
		95	=>	71
		100	=>	33
		105	=>	75
		106	=>	55
		107	=>	11
		109	=>	54
		111	=>	23
		114	=>	37
		116	=>	47
		119	=>	72
		121	=>	24
		126	=>	4
		128	=>	44
		130	=>	19
		132	=>	35
		134	=>	43
		136	=>	15
		138	=>	76
		140	=>	16
		142	=>	51
		144	=>	22
		147	=>	5
		148	=>	57
		149	=>	46
		150	=>	69
		152	=>	58
		157	=>	64
		162	=>	3
		167	=>	9
		169	=>	62
		172	=>	49
		173	=>	27
		175	=>	36
		177	=>	32
		178	=>	42
		179	=>	7
		180	=>	25
		181	=>	52
		183	=>	21
		186	=>	45

Class: public com.volmit.iris.gen.layer.GenLayerCarve	NameNotChanged
	Source: "GenLayerCarve.java"
	FieldsOf: com.volmit.iris.gen.layer.GenLayerCarve
		private com.volmit.iris.noise.CellGenerator cell	=>	a
	MethodsOf: com.volmit.iris.gen.layer.GenLayerCarve
		public void <init>(com.volmit.iris.gen.DimensionChunkGenerator, com.volmit.iris.util.RNG) 	SignatureNotChanged
		public boolean isCarved(int, int, int) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.layer.GenLayerCarve
		16	=>	9
		17	=>	2
		18	=>	3
		22	=>	5
		24	=>	11
		27	=>	1
		28	=>	10
		30	=>	8
		32	=>	4
		34	=>	7
		37	=>	6

Class: public com.volmit.iris.gen.layer.GenLayerCave	NameNotChanged
	Source: "GenLayerCave.java"
	FieldsOf: com.volmit.iris.gen.layer.GenLayerCave
		public static final org.bukkit.block.data.BlockData AIR	NameNotChanged
		public static final org.bukkit.block.data.BlockData CAVE_AIR	NameNotChanged
		private static final com.volmit.iris.util.KList EMPTY	=>	a
		public static boolean bad	NameNotChanged
		private com.volmit.iris.noise.FastNoise gg	=>	b
	MethodsOf: com.volmit.iris.gen.layer.GenLayerCave
		static void <clinit>() 	SignatureNotChanged
		public void <init>(com.volmit.iris.gen.DimensionChunkGenerator, com.volmit.iris.util.RNG) 	SignatureNotChanged
		public boolean can(org.bukkit.Material) 	SignatureNotChanged
		public boolean canAir(org.bukkit.Material) 	SignatureNotChanged
		public boolean canWater(org.bukkit.Material) 	SignatureNotChanged
		public boolean dig(int, int, int, com.volmit.iris.gen.atomics.AtomicSliver) 	SignatureNotChanged
		public com.volmit.iris.util.KList genCaves(double, double, int, int, com.volmit.iris.gen.atomics.AtomicSliver) 	SignatureNotChanged
		public void generateCave(com.volmit.iris.util.KList, double, double, int, int, com.volmit.iris.gen.atomics.AtomicSliver, com.volmit.iris.object.IrisCaveLayer, int) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.layer.GenLayerCave
		21	=>	20
		22	=>	55
		23	=>	57
		24	=>	11
		30	=>	80
		31	=>	7
		33	=>	24
		37	=>	53
		39	=>	44
		42	=>	41
		43	=>	37
		44	=>	84
		45	=>	73
		47	=>	9 and 47
		49	=>	69
		50	=>	60
		53	=>	50
		58	=>	75
		60	=>	61
		61	=>	77
		62	=>	16
		63	=>	3
		64	=>	27
		65	=>	42
		66	=>	58
		68	=>	49
		69	=>	43
		71	=>	21 and 29
		73	=>	33
		74	=>	10
		76	=>	14
		77	=>	54
		78	=>	25
		80	=>	66
		82	=>	46
		85	=>	19
		87	=>	2
		90	=>	23
		92	=>	45
		95	=>	82
		97	=>	12
		98	=>	31
		99	=>	72
		100	=>	36
		102	=>	83
		104	=>	28
		105	=>	76
		111	=>	35
		113	=>	1
		114	=>	4
		116	=>	22
		118	=>	48
		120	=>	40
		121	=>	65
		123	=>	17
		125	=>	30
		126	=>	74
		128	=>	64
		130	=>	56
		131	=>	81
		138	=>	70
		140	=>	59
		141	=>	26
		144	=>	34
		146	=>	71
		148	=>	5
		149	=>	79
		156	=>	38
		158	=>	78
		160	=>	52
		164	=>	15
		165	=>	51
		166	=>	6
		167	=>	63
		168	=>	85
		170	=>	8
		172	=>	62
		173	=>	67
		174	=>	68
		177	=>	39
		182	=>	32
		187	=>	13
		192	=>	18

Class: public com.volmit.iris.gen.layer.GenLayerText	NameNotChanged
	Source: "GenLayerText.java"
	FieldsOf: com.volmit.iris.gen.layer.GenLayerText
		public static final org.bukkit.block.data.BlockData AIR	NameNotChanged
		private com.volmit.iris.gen.atomics.AtomicCache debug	=>	a
	MethodsOf: com.volmit.iris.gen.layer.GenLayerText
		static void <clinit>() 	SignatureNotChanged
		public void <init>(com.volmit.iris.gen.DimensionChunkGenerator, com.volmit.iris.util.RNG) 	SignatureNotChanged
		public com.volmit.iris.object.IrisObject createTextObject(com.volmit.iris.util.RNG, java.lang.String, int, java.awt.Font, com.volmit.iris.object.IrisMaterialPalette) 	SignatureNotChanged
		public com.volmit.iris.object.IrisObject createTextObject(java.lang.String, java.lang.String, int, org.bukkit.block.data.BlockData) 	SignatureNotChanged
		private synthetic com.volmit.iris.object.IrisObject lambda$getDebug$0() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.layer.GenLayerText
		21	=>	29
		23	=>	1
		27	=>	17
		28	=>	7
		34	=>	3
		40	=>	24
		41	=>	9
		42	=>	19
		43	=>	26
		44	=>	16
		45	=>	14
		46	=>	18
		47	=>	21
		48	=>	2
		49	=>	25
		50	=>	10 and 23
		52	=>	6 and 12
		54	=>	4
		56	=>	31
		61	=>	15
		66	=>	8
		67	=>	28
		68	=>	30
		69	=>	34
		70	=>	36
		71	=>	11
		72	=>	35
		73	=>	27 and 33
		75	=>	13 and 20
		77	=>	5
		79	=>	32
		84	=>	22

Class: public com.volmit.iris.gen.layer.GenLayerUpdate	NameNotChanged
	Source: "GenLayerUpdate.java"
	FieldsOf: com.volmit.iris.gen.layer.GenLayerUpdate
		private static boolean a	=>	b
		private com.volmit.iris.gen.ParallaxChunkGenerator gen	=>	d
		private com.volmit.iris.util.RNG rng	=>	c
	MethodsOf: com.volmit.iris.gen.layer.GenLayerUpdate
		static void <clinit>() 	SignatureNotChanged
		public void <init>(com.volmit.iris.gen.ParallaxChunkGenerator, org.bukkit.World) 	SignatureNotChanged
		public static boolean a()	=>	b()
		public static void a(boolean)	=>	b(boolean)
		public void addItems(boolean, org.bukkit.inventory.Inventory, com.volmit.iris.util.RNG, com.volmit.iris.util.KList, com.volmit.iris.object.InventorySlotType, int, int, int, int) 	SignatureNotChanged
		public static boolean b()	=>	a()
		public com.volmit.iris.util.KList getLootTables(com.volmit.iris.util.RNG, org.bukkit.block.Block) 	SignatureNotChanged
		public void injectTables(com.volmit.iris.util.KList, com.volmit.iris.object.IrisLootReference) 	SignatureNotChanged
		public void populate(org.bukkit.World, java.util.Random, org.bukkit.Chunk) 	SignatureNotChanged
		private void scramble(org.bukkit.inventory.Inventory, com.volmit.iris.util.RNG)	=>	a(org.bukkit.inventory.Inventory, com.volmit.iris.util.RNG)
		public void update(org.bukkit.Chunk, int, int, int, int, int, com.volmit.iris.util.RNG) 	SignatureNotChanged
		public void updateLight(org.bukkit.block.Block, org.bukkit.block.data.BlockData) 	SignatureNotChanged
		public void updateStorage(org.bukkit.block.Block, org.bukkit.block.data.BlockData, int, int, com.volmit.iris.util.RNG) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.layer.GenLayerUpdate
		36	=>	76
		37	=>	37
		38	=>	108
		39	=>	110
		44	=>	26
		45	=>	66
		46	=>	101
		48	=>	83 and 93
		50	=>	32 and 44
		52	=>	84
		54	=>	5
		56	=>	1
		59	=>	74
		60	=>	78
		63	=>	34
		64	=>	65
		65	=>	42
		69	=>	79
		70	=>	18
		72	=>	51
		74	=>	80
		77	=>	24
		79	=>	20
		81	=>	111
		85	=>	2
		87	=>	9
		90	=>	100
		91	=>	104
		95	=>	16
		96	=>	105
		97	=>	69
		98	=>	99
		99	=>	39
		100	=>	75
		101	=>	29
		102	=>	113
		103	=>	62
		104	=>	61
		105	=>	28
		106	=>	94
		108	=>	81
		110	=>	12
		111	=>	10
		112	=>	64
		115	=>	89
		117	=>	14
		119	=>	15
		121	=>	7
		124	=>	17
		126	=>	56
		130	=>	82
		135	=>	91
		137	=>	106 and 115
		139	=>	73
		140	=>	35
		142	=>	63
		143	=>	86
		144	=>	96
		146	=>	41
		148	=>	48
		149	=>	87
		151	=>	55
		153	=>	31
		157	=>	97
		158	=>	11
		162	=>	19
		164	=>	59
		166	=>	38
		169	=>	107
		171	=>	52
		175	=>	46
		176	=>	85
		179	=>	53
		181	=>	43
		182	=>	23
		185	=>	70
		189	=>	92
		191	=>	58 and 90
		193	=>	112
		195	=>	98
		198	=>	57
		201	=>	13
		202	=>	3
		203	=>	25
		205	=>	54
		207	=>	77
		209	=>	95
		211	=>	33
		212	=>	45
		213	=>	6
		215	=>	47
		217	=>	60
		218	=>	72
		223	=>	4
		224	=>	8
		225	=>	114
		226	=>	36
		227	=>	102
		228	=>	21
		230	=>	109
		234	=>	22
		237	=>	40
		239	=>	30
		241	=>	68
		243	=>	103
		245	=>	71
		246	=>	49
		247	=>	27
		251	=>	67
		252	=>	88
		253	=>	50

Class: public abstract annotation com.volmit.iris.gen.post.Post	NameNotChanged
	Source: "Post.java"
	FieldsOf: com.volmit.iris.gen.post.Post
	MethodsOf: com.volmit.iris.gen.post.Post
		public abstract java.lang.String value() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.post.Post

Class: public com.volmit.iris.gen.post.PostFloatingNibDeleter	NameNotChanged
	Source: "PostFloatingNibDeleter.java"
	FieldsOf: com.volmit.iris.gen.post.PostFloatingNibDeleter
		private static final org.bukkit.block.data.BlockData AIR	=>	d
	MethodsOf: com.volmit.iris.gen.post.PostFloatingNibDeleter
		static void <clinit>() 	SignatureNotChanged
		public void <init>(com.volmit.iris.gen.PostBlockChunkGenerator, int) 	SignatureNotChanged
		public void onPost(int, int, int, int, org.bukkit.generator.ChunkGenerator$ChunkData) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.post.PostFloatingNibDeleter
		14	=>	23
		19	=>	3
		20	=>	17
		31	=>	19
		32	=>	16
		34	=>	21
		36	=>	14
		39	=>	22
		40	=>	7
		41	=>	9
		42	=>	20
		43	=>	4
		44	=>	11
		45	=>	12
		46	=>	18
		48	=>	5
		50	=>	15
		52	=>	6 and 8
		54	=>	10
		56	=>	2
		57	=>	13
		61	=>	1

Class: public com.volmit.iris.gen.post.PostNibSmoother	NameNotChanged
	Source: "PostNibSmoother.java"
	FieldsOf: com.volmit.iris.gen.post.PostNibSmoother
	MethodsOf: com.volmit.iris.gen.post.PostNibSmoother
		public void <init>(com.volmit.iris.gen.PostBlockChunkGenerator, int) 	SignatureNotChanged
		public void onPost(int, int, int, int, org.bukkit.generator.ChunkGenerator$ChunkData) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.post.PostNibSmoother
		17	=>	5
		18	=>	12
		29	=>	11
		30	=>	2
		31	=>	9
		32	=>	19
		33	=>	7
		34	=>	4
		35	=>	18
		36	=>	6
		37	=>	8
		38	=>	3
		40	=>	16
		42	=>	15
		43	=>	13
		44	=>	17
		46	=>	10
		48	=>	20
		49	=>	1
		52	=>	14

Class: public com.volmit.iris.gen.post.PostPotholeFiller	NameNotChanged
	Source: "PostPotholeFiller.java"
	FieldsOf: com.volmit.iris.gen.post.PostPotholeFiller
	MethodsOf: com.volmit.iris.gen.post.PostPotholeFiller
		public void <init>(com.volmit.iris.gen.PostBlockChunkGenerator, int) 	SignatureNotChanged
		public void onPost(int, int, int, int, org.bukkit.generator.ChunkGenerator$ChunkData) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.post.PostPotholeFiller
		15	=>	5
		16	=>	2
		27	=>	7
		28	=>	4
		29	=>	8
		30	=>	16
		31	=>	15
		32	=>	14
		33	=>	13
		34	=>	12
		35	=>	9
		36	=>	11
		38	=>	10
		40	=>	1
		41	=>	3
		43	=>	6

Class: public com.volmit.iris.gen.post.PostSlabber	NameNotChanged
	Source: "PostSlabber.java"
	FieldsOf: com.volmit.iris.gen.post.PostSlabber
		public static final org.bukkit.Material AIR	NameNotChanged
		public static final org.bukkit.Material WATER	NameNotChanged
		private com.volmit.iris.util.RNG rng	=>	d
	MethodsOf: com.volmit.iris.gen.post.PostSlabber
		static void <clinit>() 	SignatureNotChanged
		public void <init>(com.volmit.iris.gen.PostBlockChunkGenerator, int) 	SignatureNotChanged
		private synthetic void lambda$onPost$0(int, int, int, org.bukkit.block.data.BlockData, int, int, org.bukkit.generator.ChunkGenerator$ChunkData) 	SignatureNotChanged
		public void onPost(int, int, int, int, org.bukkit.generator.ChunkGenerator$ChunkData) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.post.PostSlabber
		15	=>	2
		16	=>	8
		22	=>	16
		23	=>	10
		24	=>	13
		35	=>	12
		36	=>	5
		37	=>	23
		38	=>	20
		39	=>	11
		41	=>	22
		43	=>	19
		45	=>	7
		47	=>	3
		49	=>	14
		52	=>	9
		54	=>	6
		57	=>	25
		59	=>	18
		62	=>	24
		64	=>	1
		66	=>	21
		67	=>	17
		68	=>	4
		72	=>	15

Class: public com.volmit.iris.gen.post.PostWallPatcher	NameNotChanged
	Source: "PostWallPatcher.java"
	FieldsOf: com.volmit.iris.gen.post.PostWallPatcher
		public static final org.bukkit.Material AIR	NameNotChanged
		private static java.lang.String[] a	=>	d
		private com.volmit.iris.util.RNG rng	=>	e
	MethodsOf: com.volmit.iris.gen.post.PostWallPatcher
		static void <clinit>() 	SignatureNotChanged
		public void <init>(com.volmit.iris.gen.PostBlockChunkGenerator, int) 	SignatureNotChanged
		public static java.lang.String[] a()	=>	b()
		public static void a(java.lang.String[])	=>	b(java.lang.String[])
		public void onPost(int, int, int, int, org.bukkit.generator.ChunkGenerator$ChunkData) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.post.PostWallPatcher
		16	=>	21
		22	=>	13
		23	=>	28
		24	=>	19
		35	=>	23
		38	=>	10
		40	=>	1
		41	=>	26
		42	=>	12
		43	=>	17
		44	=>	15
		46	=>	2
		48	=>	16
		49	=>	27
		51	=>	11
		53	=>	24
		55	=>	7
		56	=>	8
		60	=>	20 and 25
		62	=>	18
		64	=>	4
		66	=>	5
		68	=>	14
		71	=>	6
		73	=>	3
		76	=>	9
		81	=>	22

Class: public com.volmit.iris.gen.post.PostWaterlogger	NameNotChanged
	Source: "PostWaterlogger.java"
	FieldsOf: com.volmit.iris.gen.post.PostWaterlogger
		private static final org.bukkit.block.data.BlockData WATER	=>	d
	MethodsOf: com.volmit.iris.gen.post.PostWaterlogger
		static void <clinit>() 	SignatureNotChanged
		public void <init>(com.volmit.iris.gen.PostBlockChunkGenerator, int) 	SignatureNotChanged
		public void onPost(int, int, int, int, org.bukkit.generator.ChunkGenerator$ChunkData) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gen.post.PostWaterlogger
		16	=>	10
		21	=>	9
		22	=>	18
		33	=>	20
		34	=>	13
		36	=>	12
		38	=>	6
		40	=>	16
		42	=>	5
		45	=>	19
		47	=>	3
		48	=>	1
		51	=>	17
		53	=>	2
		54	=>	14
		56	=>	15
		58	=>	8
		60	=>	11
		62	=>	4
		65	=>	7

Class: public com.volmit.iris.gui.IrisRenderer	NameNotChanged
	Source: "IrisRenderer.java"
	FieldsOf: com.volmit.iris.gui.IrisRenderer
		private com.volmit.iris.gui.Renderer renderer	=>	a
	MethodsOf: com.volmit.iris.gui.IrisRenderer
		public void <init>(com.volmit.iris.gui.Renderer) 	SignatureNotChanged
		public java.awt.image.BufferedImage render(double, double, double, int) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gui.IrisRenderer
		12	=>	3
		13	=>	8
		14	=>	11
		18	=>	6
		21	=>	4 and 12
		23	=>	5
		25	=>	1 and 2
		27	=>	10
		28	=>	9
		32	=>	7

Class: public com.volmit.iris.gui.IrisVision	NameNotChanged
	Source: "IrisVision.java"
	FieldsOf: com.volmit.iris.gui.IrisVision
		private static java.lang.String a	=>	j
		private final java.util.concurrent.ExecutorService e	=>	v
		private final java.util.concurrent.ExecutorService eh	=>	e
		private com.volmit.iris.util.KMap fastpositions	=>	y
		private int h	=>	a
		private short lid	=>	u
		private double lx	=>	l
		private double lz	=>	k
		private com.volmit.iris.util.O m	=>	s
		private double mscale	=>	h
		private double ox	=>	d
		private double oxp	=>	i
		private double oz	=>	r
		private double ozp	=>	p
		private int posX	=>	q
		private int posZ	=>	b
		private com.volmit.iris.util.KMap positions	=>	w
		private com.volmit.iris.gui.IrisRenderer renderer	=>	m
		private com.volmit.iris.util.RollingSequence rs	=>	x
		private double scale	=>	c
		private static final long serialVersionUID	NameNotChanged
		double tfps	=>	f
		private int tid	=>	o
		private int w	=>	n
		private com.volmit.iris.util.KSet working	=>	g
		private com.volmit.iris.util.KSet workingfast	=>	t
	MethodsOf: com.volmit.iris.gui.IrisVision
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		public static java.lang.String a()	=>	b()
		public static void a(java.lang.String)	=>	b(java.lang.String)
		static synthetic int access$000(com.volmit.iris.gui.IrisVision) 	SignatureNotChanged
		static synthetic int access$008(com.volmit.iris.gui.IrisVision) 	SignatureNotChanged
		static synthetic double access$100(com.volmit.iris.gui.IrisVision) 	SignatureNotChanged
		static synthetic double access$102(com.volmit.iris.gui.IrisVision, double) 	SignatureNotChanged
		static synthetic double access$200(com.volmit.iris.gui.IrisVision) 	SignatureNotChanged
		static synthetic double access$202(com.volmit.iris.gui.IrisVision, double) 	SignatureNotChanged
		static synthetic double access$300(com.volmit.iris.gui.IrisVision) 	SignatureNotChanged
		static synthetic double access$302(com.volmit.iris.gui.IrisVision, double) 	SignatureNotChanged
		static synthetic double access$400(com.volmit.iris.gui.IrisVision) 	SignatureNotChanged
		static synthetic double access$500(com.volmit.iris.gui.IrisVision) 	SignatureNotChanged
		static synthetic double access$502(com.volmit.iris.gui.IrisVision, double) 	SignatureNotChanged
		private static void createAndShowGUI(com.volmit.iris.gui.Renderer, short)	=>	a(com.volmit.iris.gui.Renderer, short)
		public java.awt.image.BufferedImage getTile(com.volmit.iris.util.KSet, int, int, int, com.volmit.iris.util.O) 	SignatureNotChanged
		private synthetic void lambda$getTile$0(int, int, int, com.volmit.iris.util.BlockPosition, double, double, short) 	SignatureNotChanged
		private synthetic void lambda$getTile$1(int, int, int, com.volmit.iris.util.BlockPosition, double, double, short) 	SignatureNotChanged
		private static synthetic void lambda$launch$3(com.volmit.iris.gen.IrisChunkGenerator) 	SignatureNotChanged
		private synthetic void lambda$paint$2() 	SignatureNotChanged
		public static void launch(com.volmit.iris.gen.IrisChunkGenerator) 	SignatureNotChanged
		public void mouseWheelMoved(java.awt.event.MouseWheelEvent) 	SignatureNotChanged
		public void paint(java.awt.Graphics) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gui.IrisVision
		34	=>	53, 70, 97, 98, 109, 131, 136, 138, 145, 149 and 161
		38	=>	110
		39	=>	27
		40	=>	162
		41	=>	151
		42	=>	10
		43	=>	91
		44	=>	156
		45	=>	101
		46	=>	19
		47	=>	47
		48	=>	67
		49	=>	62
		50	=>	159
		51	=>	102
		52	=>	113
		53	=>	12
		54	=>	158
		55	=>	83
		56	=>	132
		57	=>	155
		58	=>	163
		59	=>	95
		78	=>	93
		98	=>	36
		99	=>	69
		100	=>	18
		101	=>	120
		102	=>	129
		103	=>	150
		123	=>	118
		127	=>	89
		128	=>	99
		129	=>	160
		131	=>	141
		133	=>	134
		136	=>	72
		138	=>	33
		140	=>	73
		142	=>	116
		144	=>	51
		145	=>	157
		146	=>	28
		147	=>	56
		148	=>	104
		150	=>	87
		151	=>	50
		152	=>	43
		153	=>	105
		155	=>	152
		157	=>	35
		159	=>	23
		163	=>	66
		166	=>	82
		168	=>	123
		171	=>	29
		173	=>	5
		175	=>	108
		176	=>	143
		177	=>	79
		178	=>	24
		179	=>	64
		181	=>	112
		182	=>	54
		183	=>	57
		184	=>	21
		186	=>	142
		188	=>	16
		190	=>	148
		192	=>	20
		198	=>	77
		200	=>	42
		203	=>	75
		205	=>	106
		208	=>	119
		210	=>	76
		213	=>	88
		215	=>	32
		218	=>	7
		220	=>	154
		221	=>	128
		222	=>	140
		223	=>	17
		224	=>	2
		225	=>	26
		228	=>	90
		229	=>	25
		230	=>	115
		231	=>	122
		232	=>	94
		233	=>	45
		235	=>	127
		237	=>	153
		240	=>	6
		241	=>	4
		242	=>	61
		243	=>	96
		244	=>	146
		245	=>	85
		246	=>	81
		248	=>	52 and 144
		250	=>	103 and 130
		252	=>	38 and 125
		254	=>	15
		255	=>	60
		256	=>	55
		258	=>	46
		260	=>	135
		262	=>	49
		276	=>	30
		278	=>	92
		280	=>	124
		282	=>	48
		284	=>	44
		286	=>	84
		288	=>	40
		291	=>	117
		293	=>	126
		296	=>	100
		298	=>	31
		301	=>	68
		303	=>	74
		304	=>	9
		305	=>	11
		306	=>	65
		310	=>	34
		311	=>	80
		312	=>	1
		313	=>	107
		314	=>	121
		315	=>	14
		316	=>	137
		317	=>	71
		319	=>	41
		323	=>	8
		326	=>	22
		329	=>	164
		331	=>	13
		335	=>	114
		337	=>	39
		338	=>	78
		339	=>	139
		343	=>	63
		344	=>	58
		346	=>	111
		349	=>	37
		350	=>	3
		351	=>	133
		352	=>	59
		353	=>	86
		354	=>	147

Class: com.volmit.iris.gui.IrisVision$1	=>	com.volmit.iris.gui.IrisVision$d
	Source: "IrisVision.java"
	FieldsOf: com.volmit.iris.gui.IrisVision$1
		final synthetic com.volmit.iris.gui.IrisVision this$0	NameNotChanged
	MethodsOf: com.volmit.iris.gui.IrisVision$1
		static void <clinit>() 	SignatureNotChanged
		void <init>(com.volmit.iris.gui.IrisVision) 	SignatureNotChanged
		private static synthetic void lambda$newThread$0(java.lang.Thread, java.lang.Throwable) 	SignatureNotChanged
		public java.lang.Thread newThread(java.lang.Runnable) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gui.IrisVision$1
		60	=>	4
		64	=>	10
		65	=>	6
		66	=>	9
		67	=>	7
		68	=>	8
		70	=>	3
		71	=>	5
		72	=>	2
		74	=>	1

Class: com.volmit.iris.gui.IrisVision$2	=>	com.volmit.iris.gui.IrisVision$b
	Source: "IrisVision.java"
	FieldsOf: com.volmit.iris.gui.IrisVision$2
		final synthetic com.volmit.iris.gui.IrisVision this$0	NameNotChanged
	MethodsOf: com.volmit.iris.gui.IrisVision$2
		static void <clinit>() 	SignatureNotChanged
		void <init>(com.volmit.iris.gui.IrisVision) 	SignatureNotChanged
		private static synthetic void lambda$newThread$0(java.lang.Thread, java.lang.Throwable) 	SignatureNotChanged
		public java.lang.Thread newThread(java.lang.Runnable) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gui.IrisVision$2
		79	=>	7
		83	=>	3
		84	=>	9
		85	=>	2
		86	=>	6
		87	=>	8
		89	=>	4
		90	=>	1
		91	=>	5
		93	=>	10

Class: com.volmit.iris.gui.IrisVision$3	=>	com.volmit.iris.gui.IrisVision$c
	Source: "IrisVision.java"
	FieldsOf: com.volmit.iris.gui.IrisVision$3
		final synthetic com.volmit.iris.gui.IrisVision this$0	NameNotChanged
	MethodsOf: com.volmit.iris.gui.IrisVision$3
		void <init>(com.volmit.iris.gui.IrisVision) 	SignatureNotChanged
		public void mouseDragged(java.awt.event.MouseEvent) 	SignatureNotChanged
		public void mouseMoved(java.awt.event.MouseEvent) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gui.IrisVision$3
		104	=>	3
		108	=>	7
		109	=>	5
		110	=>	9
		111	=>	6
		116	=>	2
		117	=>	8
		118	=>	10
		119	=>	4
		120	=>	1
		121	=>	11

Class: com.volmit.iris.gui.IrisVision$4	=>	com.volmit.iris.gui.IrisVision$a
	Source: "IrisVision.java"
	FieldsOf: com.volmit.iris.gui.IrisVision$4
		final synthetic com.volmit.iris.gui.IrisVision this$0	NameNotChanged
	MethodsOf: com.volmit.iris.gui.IrisVision$4
		void <init>(com.volmit.iris.gui.IrisVision) 	SignatureNotChanged
		public boolean imageUpdate(java.awt.Image, int, int, int, int, int) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gui.IrisVision$4
		263	=>	2
		267	=>	1

Class: public abstract com.volmit.iris.gui.Renderer	NameNotChanged
	Source: "Renderer.java"
	FieldsOf: com.volmit.iris.gui.Renderer
	MethodsOf: com.volmit.iris.gui.Renderer
		public abstract java.awt.Color draw(double, double) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.gui.Renderer

Class: public com.volmit.iris.noise.CNG	NameNotChanged
	Source: "CNG.java"
	FieldsOf: com.volmit.iris.noise.CNG
		public static final com.volmit.iris.util.NoiseInjector ADD	NameNotChanged
		public static final com.volmit.iris.util.NoiseInjector DST_MOD	NameNotChanged
		public static final com.volmit.iris.util.NoiseInjector DST_POW	NameNotChanged
		public static final com.volmit.iris.util.NoiseInjector DST_SUBTRACT	NameNotChanged
		public static final com.volmit.iris.util.NoiseInjector MAX	NameNotChanged
		public static final com.volmit.iris.util.NoiseInjector MIN	NameNotChanged
		public static final com.volmit.iris.util.NoiseInjector MULTIPLY	NameNotChanged
		public static final com.volmit.iris.util.NoiseInjector SRC_MOD	NameNotChanged
		public static final com.volmit.iris.util.NoiseInjector SRC_POW	NameNotChanged
		public static final com.volmit.iris.util.NoiseInjector SRC_SUBTRACT	NameNotChanged
		private double bakedScale	=>	h
		private com.volmit.iris.util.KList children	=>	c
		public static long creates	NameNotChanged
		private double down	=>	i
		private com.volmit.iris.noise.CNG fracture	=>	m
		private double fscale	=>	g
		private com.volmit.iris.noise.NoiseGenerator generator	=>	a
		public static long hits	NameNotChanged
		private com.volmit.iris.util.NoiseInjector injector	=>	n
		private boolean noscale	=>	k
		private int oct	=>	l
		private final double opacity	=>	b
		private double patch	=>	o
		private double power	=>	j
		private com.volmit.iris.util.RNG rng	=>	e
		private double scale	=>	f
		private double up	=>	d
	MethodsOf: com.volmit.iris.noise.CNG
		static void <clinit>() 	SignatureNotChanged
		public void <init>(com.volmit.iris.util.RNG, com.volmit.iris.noise.NoiseType, double, int) 	SignatureNotChanged
		public void <init>(com.volmit.iris.util.RNG, double, int) 	SignatureNotChanged
		private static java.lang.RuntimeException a(java.lang.RuntimeException) 	SignatureNotChanged
		public com.volmit.iris.noise.CNG bake() 	SignatureNotChanged
		public int fit(int, int, double[]) 	SignatureNotChanged
		public java.lang.Object fit(java.util.List, double[]) 	SignatureNotChanged
		public double fitDouble(double, double, double[]) 	SignatureNotChanged
		public com.volmit.iris.util.IRare fitRarity(com.volmit.iris.util.KList, double[]) 	SignatureNotChanged
		public com.volmit.iris.noise.CNG fractureWith(com.volmit.iris.noise.CNG, double) 	SignatureNotChanged
		private static synthetic double[] lambda$static$0(double, double) 	SignatureNotChanged
		private static synthetic double[] lambda$static$1(double, double) 	SignatureNotChanged
		private static synthetic double[] lambda$static$2(double, double) 	SignatureNotChanged
		private static synthetic double[] lambda$static$3(double, double) 	SignatureNotChanged
		private static synthetic double[] lambda$static$4(double, double) 	SignatureNotChanged
		private static synthetic double[] lambda$static$5(double, double) 	SignatureNotChanged
		private static synthetic double[] lambda$static$6(double, double) 	SignatureNotChanged
		private static synthetic double[] lambda$static$7(double, double) 	SignatureNotChanged
		private static synthetic double[] lambda$static$8(double, double) 	SignatureNotChanged
		private static synthetic double[] lambda$static$9(double, double) 	SignatureNotChanged
		public double noise(double[]) 	SignatureNotChanged
		public com.volmit.iris.noise.CNG oct(int) 	SignatureNotChanged
		public com.volmit.iris.noise.CNG pow(double) 	SignatureNotChanged
		public com.volmit.iris.noise.CNG scale(double) 	SignatureNotChanged
		public static com.volmit.iris.noise.CNG signature(com.volmit.iris.util.RNG) 	SignatureNotChanged
		public static com.volmit.iris.noise.CNG signature(com.volmit.iris.util.RNG, com.volmit.iris.noise.NoiseType) 	SignatureNotChanged
		public static com.volmit.iris.noise.CNG signatureDouble(com.volmit.iris.util.RNG) 	SignatureNotChanged
		public static com.volmit.iris.noise.CNG signatureDouble(com.volmit.iris.util.RNG, com.volmit.iris.noise.NoiseType) 	SignatureNotChanged
		public static com.volmit.iris.noise.CNG signatureHalf(com.volmit.iris.util.RNG) 	SignatureNotChanged
		public static com.volmit.iris.noise.CNG signatureHalf(com.volmit.iris.util.RNG, com.volmit.iris.noise.NoiseType) 	SignatureNotChanged
		public static com.volmit.iris.noise.CNG signatureThick(com.volmit.iris.util.RNG) 	SignatureNotChanged
		public static com.volmit.iris.noise.CNG signatureThick(com.volmit.iris.util.RNG, com.volmit.iris.noise.NoiseType) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.CNG
		13	=>	15
		14	=>	45
		15	=>	38 and 50
		16	=>	75 and 84
		17	=>	33 and 61
		18	=>	132 and 138
		19	=>	56 and 97
		20	=>	57 and 121
		21	=>	30 and 95
		22	=>	23 and 73
		23	=>	63 and 101
		24	=>	6 and 129
		48	=>	2
		53	=>	39
		58	=>	102
		63	=>	17
		68	=>	31
		74	=>	26 and 74
		75	=>	1
		76	=>	72
		77	=>	3 and 103
		78	=>	55
		80	=>	12
		87	=>	24 and 85
		88	=>	113
		89	=>	88
		90	=>	91 and 111
		91	=>	117
		93	=>	100
		100	=>	126 and 136
		101	=>	58
		102	=>	87
		103	=>	71 and 78
		104	=>	52
		106	=>	65
		122	=>	104
		123	=>	10
		126	=>	44
		127	=>	127
		128	=>	14
		129	=>	69
		130	=>	48
		131	=>	118
		132	=>	41
		133	=>	77
		134	=>	54
		135	=>	83
		136	=>	5
		137	=>	79
		138	=>	49
		139	=>	36
		140	=>	28
		141	=>	68
		143	=>	99
		145	=>	131
		147	=>	21
		151	=>	124
		152	=>	42
		153	=>	81
		180	=>	134
		181	=>	130
		182	=>	92
		187	=>	8
		188	=>	18
		217	=>	51
		219	=>	53
		222	=>	19
		224	=>	96
		227	=>	43
		228	=>	114
		229	=>	108
		230	=>	106
		232	=>	64
		234	=>	25
		236	=>	80
		238	=>	107
		240	=>	59
		242	=>	34 and 125
		244	=>	11
		246	=>	112
		251	=>	98
		254	=>	66
		256	=>	105
		258	=>	90
		261	=>	109
		263	=>	16
		266	=>	60
		286	=>	82
		288	=>	40
		291	=>	128
		293	=>	123
		296	=>	46
		301	=>	67
		303	=>	110
		306	=>	89
		308	=>	70
		325	=>	37
		327	=>	35
		330	=>	135
		332	=>	122
		337	=>	115
		338	=>	120
		339	=>	20
		340	=>	119
		341	=>	13
		342	=>	116
		343	=>	133
		344	=>	22
		345	=>	32
		346	=>	86
		348	=>	93
		351	=>	9
		353	=>	29
		354	=>	7
		355	=>	76
		356	=>	27
		358	=>	4
		363	=>	47
		364	=>	62
		369	=>	137
		370	=>	94

Class: public abstract com.volmit.iris.noise.CNGFactory	NameNotChanged
	Source: "CNGFactory.java"
	FieldsOf: com.volmit.iris.noise.CNGFactory
	MethodsOf: com.volmit.iris.noise.CNGFactory
		public abstract com.volmit.iris.noise.CNG create(com.volmit.iris.util.RNG) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.CNGFactory

Class: public com.volmit.iris.noise.CellGenerator	NameNotChanged
	Source: "CellGenerator.java"
	FieldsOf: com.volmit.iris.noise.CellGenerator
		private double cellScale	=>	a
		private com.volmit.iris.noise.CNG cng	=>	d
		private com.volmit.iris.noise.FastNoise fd	=>	e
		private com.volmit.iris.noise.FastNoise fn	=>	c
		private double shuffle	=>	b
	MethodsOf: com.volmit.iris.noise.CellGenerator
		public void <init>(com.volmit.iris.util.RNG) 	SignatureNotChanged
		public float getDistance(double, double) 	SignatureNotChanged
		public float getDistance(double, double, double) 	SignatureNotChanged
		public int getIndex(double, double, double, int) 	SignatureNotChanged
		public int getIndex(double, double, int) 	SignatureNotChanged
		public float getValue(double, double, double, int) 	SignatureNotChanged
		public float getValue(double, double, int) 	SignatureNotChanged
		public void setCellScale(double) 	SignatureNotChanged
		public void setShuffle(double) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.CellGenerator
		15	=>	28
		19	=>	27
		23	=>	34
		24	=>	33
		25	=>	17
		26	=>	5
		27	=>	9
		28	=>	23
		29	=>	26
		30	=>	29
		31	=>	19
		32	=>	4
		33	=>	3
		34	=>	6
		35	=>	13
		36	=>	12
		37	=>	22
		41	=>	18
		46	=>	25
		51	=>	32
		53	=>	2
		56	=>	10
		61	=>	8
		63	=>	24
		66	=>	11 and 31
		68	=>	7
		70	=>	16
		75	=>	30
		77	=>	20
		80	=>	14
		85	=>	21
		87	=>	1
		90	=>	15

Class: public com.volmit.iris.noise.CellHeightNoise	NameNotChanged
	Source: "CellHeightNoise.java"
	FieldsOf: com.volmit.iris.noise.CellHeightNoise
		private final com.volmit.iris.noise.FastNoise n	=>	a
	MethodsOf: com.volmit.iris.noise.CellHeightNoise
		public void <init>(long) 	SignatureNotChanged
		private double filter(double)	=>	a(double)
		public double noise(double, double, double) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.CellHeightNoise
		8	=>	1
		9	=>	4
		10	=>	2
		11	=>	7
		12	=>	3
		13	=>	6
		16	=>	8
		31	=>	5

Class: public com.volmit.iris.noise.CellularNoise	NameNotChanged
	Source: "CellularNoise.java"
	FieldsOf: com.volmit.iris.noise.CellularNoise
		private final com.volmit.iris.noise.FastNoise n	=>	a
	MethodsOf: com.volmit.iris.noise.CellularNoise
		public void <init>(long) 	SignatureNotChanged
		public double noise(double, double, double) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.CellularNoise
		6	=>	1
		7	=>	3
		8	=>	5
		9	=>	6
		10	=>	2
		11	=>	4
		25	=>	7

Class: public com.volmit.iris.noise.CubicNoise	NameNotChanged
	Source: "CubicNoise.java"
	FieldsOf: com.volmit.iris.noise.CubicNoise
		private final com.volmit.iris.noise.FastNoise n	=>	a
	MethodsOf: com.volmit.iris.noise.CubicNoise
		public void <init>(long) 	SignatureNotChanged
		private double f(double)	=>	a(double)
		public double noise(double, double, double) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.CubicNoise
		6	=>	4
		7	=>	2
		8	=>	5
		11	=>	3
		26	=>	1

Class: public com.volmit.iris.noise.FastNoise	NameNotChanged
	Source: "FastNoise.java"
	FieldsOf: com.volmit.iris.noise.FastNoise
		private static final com.volmit.iris.noise.FastNoise$Float2[] CELL_2D	=>	r
		private static final com.volmit.iris.noise.FastNoise$Float3[] CELL_3D	=>	k
		private static final com.volmit.iris.noise.FastNoise$Float2[] GRAD_2D	=>	l
		private static final com.volmit.iris.noise.FastNoise$Float3[] GRAD_3D	=>	p
		private static final byte[] SIMPLEX_4D	=>	j
		private static java.lang.String[] a	=>	m
		private com.volmit.iris.noise.FastNoise$CellularDistanceFunction m_cellularDistanceFunction	=>	h
		private com.volmit.iris.noise.FastNoise m_cellularNoiseLookup	=>	f
		private com.volmit.iris.noise.FastNoise$CellularReturnType m_cellularReturnType	=>	i
		private float m_fractalBounding	=>	a
		private com.volmit.iris.noise.FastNoise$FractalType m_fractalType	=>	q
		private float m_frequency	=>	n
		private float m_gain	=>	c
		private float m_gradientPerturbAmp	=>	g
		private com.volmit.iris.noise.FastNoise$Interp m_interp	=>	e
		private float m_lacunarity	=>	o
		private com.volmit.iris.noise.FastNoise$NoiseType m_noiseType	=>	b
		private int m_octaves	=>	d
		private int m_seed	=>	s
	MethodsOf: com.volmit.iris.noise.FastNoise
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		public void <init>(int) 	SignatureNotChanged
		private void CalculateFractalBounding()	=>	a()
		private static float CubicLerp(float, float, float, float, float)	=>	a(float, float, float, float, float)
		public double DGetWhiteNoise(double, double, double) 	SignatureNotChanged
		private static double DValCoord3D(int, long, long, long)	=>	a(int, long, long, long)
		private long DoubleCast2Long(double)	=>	a(double)
		private static int FastFloor(float)	=>	c(float)
		private static int FastRound(float)	=>	a(float)
		private int FloatCast2Int(float)	=>	e(float)
		public float GetCellular(float, float) 	SignatureNotChanged
		public float GetCellular(float, float, float) 	SignatureNotChanged
		public float GetCubic(float, float, float) 	SignatureNotChanged
		public float GetCubicFractal(float, float, float) 	SignatureNotChanged
		public float GetNoise(float, float) 	SignatureNotChanged
		public float GetNoise(float, float, float) 	SignatureNotChanged
		public float GetPerlin(float, float, float) 	SignatureNotChanged
		public float GetPerlinFractal(float, float, float) 	SignatureNotChanged
		public float GetSimplexFractal(float, float, float) 	SignatureNotChanged
		public float GetWhiteNoise(float, float) 	SignatureNotChanged
		public float GetWhiteNoise(float, float, float) 	SignatureNotChanged
		private static float GradCoord2D(int, int, int, float, float)	=>	a(int, int, int, float, float)
		private static float GradCoord3D(int, int, int, int, float, float, float)	=>	a(int, int, int, int, float, float, float)
		private static int Hash2D(int, int, int)	=>	a(int, int, int)
		private static int Hash3D(int, int, int, int)	=>	a(int, int, int, int)
		private static float InterpHermiteFunc(float)	=>	b(float)
		private static float InterpQuinticFunc(float)	=>	d(float)
		private static float Lerp(float, float, float)	=>	n(float, float, float)
		public void SetCellularDistanceFunction(com.volmit.iris.noise.FastNoise$CellularDistanceFunction) 	SignatureNotChanged
		public void SetCellularReturnType(com.volmit.iris.noise.FastNoise$CellularReturnType) 	SignatureNotChanged
		public void SetFractalOctaves(int) 	SignatureNotChanged
		public void SetFractalType(com.volmit.iris.noise.FastNoise$FractalType) 	SignatureNotChanged
		public void SetNoiseType(com.volmit.iris.noise.FastNoise$NoiseType) 	SignatureNotChanged
		private float SingleCellular(float, float)	=>	m(float, float)
		private float SingleCellular(float, float, float)	=>	c(float, float, float)
		private float SingleCellular2Edge(float, float)	=>	l(float, float)
		private float SingleCellular2Edge(float, float, float)	=>	l(float, float, float)
		private float SingleCubic(int, float, float)	=>	c(int, float, float)
		private float SingleCubic(int, float, float, float)	=>	a(int, float, float, float)
		private float SingleCubicFractalBillow(float, float)	=>	a(float, float)
		private float SingleCubicFractalBillow(float, float, float)	=>	a(float, float, float)
		private float SingleCubicFractalFBM(float, float)	=>	c(float, float)
		private float SingleCubicFractalFBM(float, float, float)	=>	m(float, float, float)
		private float SingleCubicFractalRigidMulti(float, float)	=>	e(float, float)
		private float SingleCubicFractalRigidMulti(float, float, float)	=>	e(float, float, float)
		private float SinglePerlin(int, float, float)	=>	b(int, float, float)
		private float SinglePerlin(int, float, float, float)	=>	c(int, float, float, float)
		private float SinglePerlinFractalBillow(float, float)	=>	g(float, float)
		private float SinglePerlinFractalBillow(float, float, float)	=>	g(float, float, float)
		private float SinglePerlinFractalFBM(float, float)	=>	i(float, float)
		private float SinglePerlinFractalFBM(float, float, float)	=>	k(float, float, float)
		private float SinglePerlinFractalRigidMulti(float, float)	=>	d(float, float)
		private float SinglePerlinFractalRigidMulti(float, float, float)	=>	i(float, float, float)
		private float SingleSimplex(int, float, float)	=>	a(int, float, float)
		private float SingleSimplex(int, float, float, float)	=>	b(int, float, float, float)
		private float SingleSimplexFractalBillow(float, float)	=>	b(float, float)
		private float SingleSimplexFractalBillow(float, float, float)	=>	b(float, float, float)
		private float SingleSimplexFractalFBM(float, float)	=>	k(float, float)
		private float SingleSimplexFractalFBM(float, float, float)	=>	d(float, float, float)
		private float SingleSimplexFractalRigidMulti(float, float)	=>	h(float, float)
		private float SingleSimplexFractalRigidMulti(float, float, float)	=>	j(float, float, float)
		private float SingleValue(int, float, float)	=>	d(int, float, float)
		private float SingleValue(int, float, float, float)	=>	d(int, float, float, float)
		private float SingleValueFractalBillow(float, float)	=>	f(float, float)
		private float SingleValueFractalBillow(float, float, float)	=>	f(float, float, float)
		private float SingleValueFractalFBM(float, float)	=>	j(float, float)
		private float SingleValueFractalFBM(float, float, float)	=>	o(float, float, float)
		private float SingleValueFractalRigidMulti(float, float)	=>	n(float, float)
		private float SingleValueFractalRigidMulti(float, float, float)	=>	h(float, float, float)
		private static float ValCoord2D(int, int, int)	=>	b(int, int, int)
		private static float ValCoord3D(int, int, int, int)	=>	b(int, int, int, int)
		public static java.lang.String[] a()	=>	b()
		public static void a(java.lang.String[])	=>	b(java.lang.String[])
	LineNumbersOf: com.volmit.iris.noise.FastNoise
		82	=>	764
		83	=>	342
		84	=>	578
		85	=>	653
		87	=>	731
		88	=>	284
		89	=>	219
		90	=>	2
		94	=>	881
		95	=>	857
		96	=>	546
		98	=>	364
		102	=>	584
		103	=>	194
		106	=>	387
		107	=>	401
		108	=>	22
		109	=>	172
		153	=>	674
		154	=>	573
		160	=>	824
		161	=>	345
		162	=>	40
		183	=>	145
		184	=>	794
		192	=>	213
		193	=>	507
		199	=>	34
		200	=>	328
		241	=>	432
		244	=>	32
		247	=>	822
		250	=>	228
		255	=>	685
		260	=>	77
		265	=>	186
		270	=>	763
		275	=>	258
		280	=>	185
		281	=>	171
		286	=>	84
		287	=>	72
		288	=>	39 and 652
		290	=>	348
		291	=>	502
		293	=>	166
		294	=>	510
		308	=>	38
		309	=>	290
		310	=>	900
		312	=>	809
		313	=>	901
		315	=>	107
		320	=>	658
		321	=>	331
		322	=>	268
		323	=>	10
		325	=>	230
		326	=>	753
		328	=>	414
		347	=>	852
		348	=>	104
		349	=>	890
		351	=>	113
		365	=>	525
		366	=>	337
		367	=>	209
		368	=>	289
		370	=>	461
		375	=>	522
		376	=>	839
		377	=>	214
		378	=>	197
		380	=>	543
		396	=>	671
		397	=>	561
		398	=>	149
		400	=>	875
		401	=>	480
		403	=>	205
		405	=>	767
		410	=>	229
		411	=>	605
		412	=>	5
		413	=>	335
		415	=>	198
		416	=>	700
		418	=>	390
		420	=>	841
		459	=>	601
		460	=>	489
		461	=>	4
		463	=>	24
		466	=>	632
		468	=>	803
		471	=>	623
		473	=>	238
		475	=>	879
		477	=>	498
		480	=>	241
		482	=>	181
		485	=>	435
		487	=>	169
		489	=>	870
		491	=>	692
		494	=>	151
		496	=>	291
		499	=>	598
		501	=>	743
		503	=>	793
		505	=>	82
		508	=>	157
		513	=>	670
		515	=>	386
		518	=>	49
		520	=>	772
		522	=>	735
		525	=>	714
		527	=>	761
		529	=>	588
		531	=>	617
		534	=>	144
		540	=>	254
		541	=>	619
		543	=>	256
		546	=>	823
		548	=>	515
		551	=>	296
		553	=>	405
		555	=>	486
		557	=>	321
		560	=>	758
		562	=>	320
		565	=>	332
		567	=>	380
		569	=>	603
		571	=>	529
		574	=>	661
		576	=>	170
		579	=>	243
		581	=>	111
		583	=>	352
		585	=>	883
		588	=>	484
		593	=>	69
		595	=>	298
		598	=>	384
		600	=>	277
		602	=>	30
		605	=>	654
		607	=>	721
		609	=>	404
		611	=>	279
		614	=>	737
		622	=>	613
		624	=>	293
		629	=>	468
		631	=>	511
		646	=>	56
		647	=>	252
		648	=>	263
		650	=>	106
		655	=>	317
		656	=>	862
		658	=>	847
		663	=>	8
		664	=>	183
		665	=>	645
		667	=>	625
		715	=>	218
		716	=>	567
		717	=>	73
		719	=>	606 and 796
		721	=>	408
		722	=>	788
		723	=>	537
		725	=>	682
		726	=>	487
		729	=>	192
		734	=>	891
		735	=>	706
		736	=>	630
		738	=>	7 and 722
		740	=>	411
		741	=>	581
		742	=>	193
		744	=>	566
		745	=>	365
		748	=>	707
		753	=>	276
		754	=>	71
		755	=>	526
		757	=>	431 and 681
		759	=>	407
		760	=>	699
		761	=>	820
		763	=>	508
		764	=>	434
		767	=>	257
		777	=>	705
		778	=>	51
		779	=>	273
		780	=>	886
		781	=>	865
		782	=>	297
		785	=>	329
		789	=>	81
		790	=>	752
		791	=>	892
		792	=>	694
		794	=>	604
		795	=>	232
		796	=>	572
		797	=>	792
		799	=>	570
		800	=>	199
		801	=>	811
		805	=>	302
		806	=>	362
		807	=>	42
		808	=>	627
		810	=>	118
		811	=>	281
		813	=>	828
		836	=>	473
		837	=>	249
		838	=>	265
		840	=>	47 and 631
		842	=>	46
		843	=>	200
		845	=>	133
		846	=>	740
		849	=>	372
		854	=>	35
		855	=>	305
		856	=>	389
		858	=>	410 and 639
		860	=>	452
		861	=>	695
		862	=>	471
		863	=>	819
		866	=>	648
		871	=>	478
		872	=>	719
		873	=>	600
		875	=>	83 and 274
		877	=>	66
		878	=>	65
		880	=>	635
		881	=>	424
		884	=>	825
		894	=>	602
		895	=>	415
		896	=>	826
		897	=>	357
		900	=>	360
		904	=>	524
		905	=>	449
		906	=>	385
		908	=>	684
		909	=>	665
		910	=>	85
		912	=>	227
		913	=>	336
		917	=>	442
		918	=>	720
		920	=>	596
		926	=>	137
		927	=>	805
		928	=>	162
		930	=>	341
		933	=>	680
		935	=>	141
		937	=>	749
		939	=>	800
		945	=>	422
		946	=>	587
		947	=>	557
		949	=>	96 and 416
		951	=>	769
		952	=>	338
		953	=>	14
		955	=>	677
		956	=>	762
		959	=>	184
		964	=>	383
		965	=>	690
		966	=>	463
		968	=>	44 and 457
		970	=>	458
		971	=>	136
		972	=>	237
		974	=>	412
		975	=>	21
		978	=>	499
		983	=>	531
		984	=>	26
		985	=>	555
		987	=>	726 and 810
		989	=>	272
		990	=>	755
		991	=>	128
		993	=>	418
		994	=>	203
		997	=>	736
		1002	=>	68
		1007	=>	388
		1008	=>	445
		1009	=>	673
		1010	=>	204
		1011	=>	311
		1012	=>	821
		1015	=>	615
		1019	=>	90
		1020	=>	725
		1021	=>	253
		1022	=>	251
		1024	=>	221
		1025	=>	466
		1026	=>	686
		1027	=>	322
		1029	=>	592
		1030	=>	620
		1031	=>	666
		1035	=>	294
		1036	=>	23
		1037	=>	417
		1038	=>	182
		1039	=>	643
		1040	=>	571
		1042	=>	547
		1043	=>	350
		1044	=>	676
		1045	=>	409
		1047	=>	246
		1048	=>	509
		1050	=>	154
		1073	=>	242
		1074	=>	520
		1075	=>	100
		1077	=>	575 and 594
		1079	=>	528
		1080	=>	791
		1082	=>	895
		1083	=>	655
		1086	=>	456
		1091	=>	74
		1092	=>	616
		1093	=>	748
		1095	=>	142 and 795
		1097	=>	853
		1098	=>	562
		1100	=>	482
		1101	=>	494
		1104	=>	849
		1109	=>	597
		1110	=>	376
		1111	=>	497
		1113	=>	80 and 569
		1115	=>	340
		1116	=>	165
		1118	=>	460
		1119	=>	898
		1122	=>	683
		1132	=>	108
		1133	=>	245
		1134	=>	576
		1135	=>	878
		1138	=>	58
		1142	=>	702
		1143	=>	1
		1144	=>	210
		1146	=>	315
		1147	=>	160
		1148	=>	201
		1150	=>	394
		1151	=>	326
		1155	=>	496
		1156	=>	433
		1157	=>	836
		1158	=>	545
		1160	=>	316
		1161	=>	885
		1163	=>	406
		1169	=>	797
		1170	=>	216
		1171	=>	846
		1173	=>	271
		1176	=>	288
		1178	=>	436
		1180	=>	120
		1182	=>	781
		1188	=>	799
		1189	=>	156
		1190	=>	306
		1192	=>	103 and 734
		1194	=>	513
		1195	=>	344
		1196	=>	122
		1198	=>	518
		1199	=>	139
		1202	=>	98
		1207	=>	124
		1208	=>	611
		1209	=>	347
		1211	=>	117 and 774
		1213	=>	505
		1214	=>	785
		1215	=>	378
		1217	=>	212
		1218	=>	747
		1221	=>	109
		1226	=>	76
		1227	=>	187
		1228	=>	874
		1230	=>	750 and 871
		1232	=>	351
		1233	=>	464
		1234	=>	361
		1236	=>	312
		1237	=>	733
		1240	=>	660
		1254	=>	92
		1255	=>	770
		1256	=>	33
		1257	=>	396
		1259	=>	454
		1260	=>	215
		1261	=>	855
		1262	=>	453
		1267	=>	202
		1269	=>	742
		1271	=>	732
		1272	=>	64
		1273	=>	349
		1274	=>	780
		1275	=>	481
		1276	=>	12
		1278	=>	369
		1280	=>	420
		1281	=>	845
		1282	=>	275
		1283	=>	851
		1284	=>	727
		1285	=>	469
		1289	=>	325
		1290	=>	663
		1291	=>	280
		1292	=>	164
		1293	=>	621
		1294	=>	495
		1299	=>	614
		1301	=>	95
		1302	=>	374
		1303	=>	754
		1304	=>	848
		1305	=>	711
		1306	=>	283
		1308	=>	89
		1310	=>	426
		1311	=>	278
		1312	=>	662
		1313	=>	889
		1314	=>	519
		1315	=>	287
		1319	=>	833
		1320	=>	447
		1321	=>	897
		1322	=>	55
		1323	=>	102
		1324	=>	708
		1328	=>	423
		1329	=>	195
		1330	=>	723
		1331	=>	116
		1332	=>	775
		1333	=>	57
		1334	=>	806
		1335	=>	633
		1336	=>	523
		1340	=>	647
		1341	=>	779
		1342	=>	16
		1345	=>	657
		1346	=>	318
		1349	=>	310
		1350	=>	744
		1351	=>	868
		1354	=>	636
		1355	=>	745
		1358	=>	115
		1359	=>	542
		1360	=>	178
		1363	=>	208
		1364	=>	649
		1367	=>	397
		1368	=>	590
		1369	=>	355
		1372	=>	888
		1373	=>	247
		1376	=>	50
		1399	=>	591
		1400	=>	467
		1401	=>	802
		1403	=>	25 and 304
		1405	=>	787
		1406	=>	207
		1408	=>	379
		1409	=>	589
		1412	=>	437
		1417	=>	266
		1418	=>	872
		1419	=>	724
		1421	=>	86 and 756
		1423	=>	94
		1424	=>	856
		1426	=>	858
		1427	=>	264
		1430	=>	701
		1435	=>	188
		1436	=>	367
		1437	=>	574
		1439	=>	381 and 392
		1441	=>	343
		1442	=>	801
		1444	=>	710
		1445	=>	527
		1448	=>	462
		1461	=>	669
		1462	=>	127
		1463	=>	262
		1465	=>	582
		1466	=>	370
		1467	=>	448
		1469	=>	786
		1470	=>	439
		1473	=>	163
		1475	=>	101
		1476	=>	637
		1480	=>	244
		1481	=>	158
		1484	=>	817
		1485	=>	398
		1486	=>	741
		1487	=>	514
		1491	=>	768
		1492	=>	712
		1493	=>	642
		1496	=>	173
		1497	=>	224
		1500	=>	465
		1501	=>	53
		1502	=>	739
		1505	=>	167
		1506	=>	876
		1509	=>	375
		1510	=>	771
		1511	=>	696
		1514	=>	78
		1515	=>	896
		1518	=>	804
		1526	=>	760
		1635	=>	19
		1636	=>	894
		1637	=>	807
		1639	=>	79
		1642	=>	773
		1644	=>	798
		1646	=>	844
		1648	=>	309
		1654	=>	854
		1655	=>	313
		1656	=>	292
		1657	=>	549
		1659	=>	550
		1661	=>	143
		1662	=>	267
		1663	=>	114
		1665	=>	324
		1666	=>	377
		1669	=>	815
		1674	=>	75
		1675	=>	339
		1676	=>	220
		1677	=>	368
		1679	=>	206
		1681	=>	534
		1682	=>	869
		1683	=>	138
		1685	=>	125
		1686	=>	672
		1689	=>	474
		1694	=>	533
		1695	=>	840
		1696	=>	196
		1697	=>	261
		1699	=>	168
		1701	=>	541
		1702	=>	20
		1703	=>	512
		1705	=>	140
		1706	=>	428
		1709	=>	691
		1714	=>	689
		1721	=>	88
		1722	=>	535
		1723	=>	52
		1725	=>	538
		1726	=>	593
		1727	=>	373
		1728	=>	551
		1729	=>	595
		1730	=>	440
		1731	=>	29
		1732	=>	624
		1733	=>	709
		1735	=>	270
		1736	=>	236
		1737	=>	867
		1739	=>	190
		1762	=>	134
		1763	=>	790
		1764	=>	6
		1765	=>	880
		1767	=>	757
		1769	=>	659
		1770	=>	330
		1772	=>	126
		1773	=>	501
		1776	=>	548
		1781	=>	93
		1782	=>	366
		1783	=>	829
		1784	=>	687
		1786	=>	553
		1788	=>	234
		1789	=>	99
		1791	=>	827
		1792	=>	60
		1795	=>	843
		1800	=>	225
		1801	=>	492
		1802	=>	586
		1803	=>	834
		1805	=>	438
		1807	=>	303
		1808	=>	148
		1810	=>	319
		1811	=>	483
		1814	=>	746
		1829	=>	455
		1830	=>	628
		1832	=>	476
		1833	=>	451
		1834	=>	490
		1835	=>	300
		1836	=>	832
		1837	=>	353
		1839	=>	579
		1840	=>	299
		1842	=>	577
		1848	=>	477
		1849	=>	147
		1850	=>	860
		1852	=>	667
		1857	=>	583
		1859	=>	62
		1865	=>	504
		1866	=>	450
		1867	=>	716
		1869	=>	777
		1870	=>	358
		1872	=>	493
		1875	=>	421 and 651
		1877	=>	91 and 189
		1879	=>	231 and 564
		1881	=>	717
		1883	=>	359
		1884	=>	150
		1885	=>	400
		1887	=>	259
		1889	=>	333
		1891	=>	899
		1892	=>	314
		1893	=>	323
		1894	=>	618
		1899	=>	859
		1901	=>	37 and 123
		1903	=>	112 and 395
		1905	=>	301 and 532
		1907	=>	893
		1909	=>	863
		1910	=>	556
		1911	=>	713
		1913	=>	646
		1915	=>	838
		1917	=>	536
		1918	=>	441
		1919	=>	470
		1920	=>	608
		1925	=>	399
		1927	=>	45 and 783
		1929	=>	286 and 664
		1931	=>	443 and 808
		1933	=>	105
		1935	=>	491
		1936	=>	382
		1937	=>	346
		1939	=>	789
		1941	=>	626
		1943	=>	391
		1944	=>	585
		1945	=>	430
		1946	=>	180
		1954	=>	715
		1957	=>	634
		1960	=>	130
		1961	=>	503
		1964	=>	517
		1966	=>	425
		1972	=>	174
		1973	=>	223
		1974	=>	580
		1976	=>	640
		1977	=>	850
		1979	=>	403
		1982	=>	131 and 861
		1984	=>	766 and 831
		1986	=>	13 and 552
		1988	=>	371
		1990	=>	119
		1991	=>	444
		1992	=>	656
		1994	=>	11
		1996	=>	475
		1997	=>	31
		2001	=>	506
		2003	=>	500 and 644
		2005	=>	63 and 882
		2007	=>	179 and 784
		2009	=>	530
		2011	=>	177
		2012	=>	285
		2013	=>	751
		2015	=>	3
		2017	=>	87
		2018	=>	129
		2022	=>	765
		2024	=>	554 and 622
		2026	=>	521 and 730
		2028	=>	816 and 835
		2030	=>	28
		2032	=>	544
		2033	=>	565
		2034	=>	884
		2036	=>	641
		2038	=>	211
		2039	=>	873
		2043	=>	18
		2048	=>	176
		2051	=>	488
		2053	=>	250
		2055	=>	877
		2057	=>	668
		2059	=>	688
		2061	=>	679
		2067	=>	419
		2068	=>	61
		2070	=>	48
		2075	=>	269
		2077	=>	41
		2083	=>	15
		2084	=>	813
		2086	=>	485
		2087	=>	738
		2089	=>	235
		2093	=>	54 and 222
		2095	=>	427 and 629
		2097	=>	759
		2099	=>	97
		2100	=>	260
		2102	=>	36
		2104	=>	327
		2106	=>	17
		2107	=>	67
		2108	=>	363
		2112	=>	812
		2114	=>	239 and 295
		2116	=>	539 and 612
		2118	=>	152
		2120	=>	472
		2121	=>	818
		2123	=>	516
		2125	=>	446
		2127	=>	70
		2128	=>	887
		2129	=>	568
		2133	=>	842
		2135	=>	135 and 563
		2137	=>	718 and 782
		2139	=>	248
		2141	=>	559
		2142	=>	728
		2144	=>	609
		2146	=>	459
		2148	=>	153
		2149	=>	776
		2150	=>	650
		2157	=>	240
		2160	=>	255
		2163	=>	226
		2164	=>	307
		2167	=>	703
		2169	=>	704
		2175	=>	697
		2176	=>	607
		2178	=>	121
		2179	=>	675
		2181	=>	282
		2185	=>	217 and 413
		2187	=>	334 and 610
		2189	=>	729
		2191	=>	479
		2192	=>	59
		2194	=>	540
		2196	=>	830
		2197	=>	560
		2200	=>	814
		2202	=>	599 and 698
		2204	=>	161 and 778
		2206	=>	393
		2208	=>	638
		2209	=>	866
		2211	=>	678
		2213	=>	110
		2214	=>	354
		2217	=>	132
		2219	=>	146 and 159
		2221	=>	9 and 308
		2223	=>	43
		2225	=>	233
		2226	=>	155
		2228	=>	402
		2230	=>	837
		2231	=>	175
		2237	=>	558
		2240	=>	191
		2242	=>	864
		2244	=>	693
		2246	=>	429
		2248	=>	356
		2250	=>	27

Class: synthetic com.volmit.iris.noise.FastNoise$1	=>	com.volmit.iris.noise.FastNoise$a
	Source: "FastNoise.java"
	FieldsOf: com.volmit.iris.noise.FastNoise$1
		static final synthetic int[] $SwitchMap$com$volmit$iris$noise$FastNoise$CellularDistanceFunction	=>	a
		static final synthetic int[] $SwitchMap$com$volmit$iris$noise$FastNoise$CellularReturnType	=>	c
		static final synthetic int[] $SwitchMap$com$volmit$iris$noise$FastNoise$FractalType	=>	b
		static final synthetic int[] $SwitchMap$com$volmit$iris$noise$FastNoise$Interp	=>	d
		static final synthetic int[] $SwitchMap$com$volmit$iris$noise$FastNoise$NoiseType	=>	e
	MethodsOf: com.volmit.iris.noise.FastNoise$1
		static void <clinit>() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.FastNoise$1
		463	=>	4
		468	=>	1
		508	=>	5
		785	=>	2
		1872	=>	3

Class: public final enum com.volmit.iris.noise.FastNoise$CellularDistanceFunction	NameNotChanged
	Source: "FastNoise.java"
	FieldsOf: com.volmit.iris.noise.FastNoise$CellularDistanceFunction
		private static final synthetic com.volmit.iris.noise.FastNoise$CellularDistanceFunction[] $VALUES	=>	a
		public static final enum com.volmit.iris.noise.FastNoise$CellularDistanceFunction Euclidean	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$CellularDistanceFunction Manhattan	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$CellularDistanceFunction Natural	NameNotChanged
	MethodsOf: com.volmit.iris.noise.FastNoise$CellularDistanceFunction
		static void <clinit>() 	SignatureNotChanged
		private void <init>(java.lang.String, int) 	SignatureNotChanged
		public static com.volmit.iris.noise.FastNoise$CellularDistanceFunction valueOf(java.lang.String) 	SignatureNotChanged
		public static com.volmit.iris.noise.FastNoise$CellularDistanceFunction[] values() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.FastNoise$CellularDistanceFunction
		63	=>	2, 3, 6 and 7
		65	=>	1
		66	=>	5
		67	=>	4

Class: public final enum com.volmit.iris.noise.FastNoise$CellularReturnType	NameNotChanged
	Source: "FastNoise.java"
	FieldsOf: com.volmit.iris.noise.FastNoise$CellularReturnType
		private static final synthetic com.volmit.iris.noise.FastNoise$CellularReturnType[] $VALUES	=>	a
		public static final enum com.volmit.iris.noise.FastNoise$CellularReturnType CellValue	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$CellularReturnType Distance	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$CellularReturnType Distance2	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$CellularReturnType Distance2Add	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$CellularReturnType Distance2Div	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$CellularReturnType Distance2Mul	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$CellularReturnType Distance2Sub	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$CellularReturnType NoiseLookup	NameNotChanged
	MethodsOf: com.volmit.iris.noise.FastNoise$CellularReturnType
		static void <clinit>() 	SignatureNotChanged
		private void <init>(java.lang.String, int) 	SignatureNotChanged
		public static com.volmit.iris.noise.FastNoise$CellularReturnType valueOf(java.lang.String) 	SignatureNotChanged
		public static com.volmit.iris.noise.FastNoise$CellularReturnType[] values() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.FastNoise$CellularReturnType
		70	=>	5, 6, 8 and 12
		72	=>	3
		73	=>	2
		74	=>	1
		75	=>	10
		76	=>	9
		77	=>	4
		78	=>	7
		79	=>	11

Class: com.volmit.iris.noise.FastNoise$Float2	=>	com.volmit.iris.noise.FastNoise$c
	Source: "FastNoise.java"
	FieldsOf: com.volmit.iris.noise.FastNoise$Float2
		public final float x	NameNotChanged
		public final float y	NameNotChanged
	MethodsOf: com.volmit.iris.noise.FastNoise$Float2
		public void <init>(float, float) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.FastNoise$Float2
		223	=>	1
		224	=>	3
		225	=>	4
		226	=>	2

Class: com.volmit.iris.noise.FastNoise$Float3	=>	com.volmit.iris.noise.FastNoise$b
	Source: "FastNoise.java"
	FieldsOf: com.volmit.iris.noise.FastNoise$Float3
		public final float x	NameNotChanged
		public final float y	NameNotChanged
		public final float z	NameNotChanged
	MethodsOf: com.volmit.iris.noise.FastNoise$Float3
		public void <init>(float, float, float) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.FastNoise$Float3
		234	=>	4
		235	=>	5
		236	=>	2
		237	=>	1
		238	=>	3

Class: public final enum com.volmit.iris.noise.FastNoise$FractalType	NameNotChanged
	Source: "FastNoise.java"
	FieldsOf: com.volmit.iris.noise.FastNoise$FractalType
		private static final synthetic com.volmit.iris.noise.FastNoise$FractalType[] $VALUES	=>	a
		public static final enum com.volmit.iris.noise.FastNoise$FractalType Billow	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$FractalType FBM	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$FractalType RigidMulti	NameNotChanged
	MethodsOf: com.volmit.iris.noise.FastNoise$FractalType
		static void <clinit>() 	SignatureNotChanged
		private void <init>(java.lang.String, int) 	SignatureNotChanged
		public static com.volmit.iris.noise.FastNoise$FractalType valueOf(java.lang.String) 	SignatureNotChanged
		public static com.volmit.iris.noise.FastNoise$FractalType[] values() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.FastNoise$FractalType
		56	=>	1, 2, 4 and 5
		58	=>	7
		59	=>	6
		60	=>	3

Class: public final enum com.volmit.iris.noise.FastNoise$Interp	NameNotChanged
	Source: "FastNoise.java"
	FieldsOf: com.volmit.iris.noise.FastNoise$Interp
		private static final synthetic com.volmit.iris.noise.FastNoise$Interp[] $VALUES	=>	a
		public static final enum com.volmit.iris.noise.FastNoise$Interp Hermite	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$Interp Linear	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$Interp Quintic	NameNotChanged
	MethodsOf: com.volmit.iris.noise.FastNoise$Interp
		static void <clinit>() 	SignatureNotChanged
		private void <init>(java.lang.String, int) 	SignatureNotChanged
		public static com.volmit.iris.noise.FastNoise$Interp valueOf(java.lang.String) 	SignatureNotChanged
		public static com.volmit.iris.noise.FastNoise$Interp[] values() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.FastNoise$Interp
		49	=>	2, 5, 6 and 7
		51	=>	4
		52	=>	3
		53	=>	1

Class: public final enum com.volmit.iris.noise.FastNoise$NoiseType	NameNotChanged
	Source: "FastNoise.java"
	FieldsOf: com.volmit.iris.noise.FastNoise$NoiseType
		private static final synthetic com.volmit.iris.noise.FastNoise$NoiseType[] $VALUES	=>	a
		public static final enum com.volmit.iris.noise.FastNoise$NoiseType Cellular	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$NoiseType Cubic	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$NoiseType CubicFractal	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$NoiseType Perlin	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$NoiseType PerlinFractal	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$NoiseType Simplex	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$NoiseType SimplexFractal	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$NoiseType Value	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$NoiseType ValueFractal	NameNotChanged
		public static final enum com.volmit.iris.noise.FastNoise$NoiseType WhiteNoise	NameNotChanged
	MethodsOf: com.volmit.iris.noise.FastNoise$NoiseType
		static void <clinit>() 	SignatureNotChanged
		private void <init>(java.lang.String, int) 	SignatureNotChanged
		public static com.volmit.iris.noise.FastNoise$NoiseType valueOf(java.lang.String) 	SignatureNotChanged
		public static com.volmit.iris.noise.FastNoise$NoiseType[] values() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.FastNoise$NoiseType
		35	=>	2, 4, 7 and 9
		37	=>	5
		38	=>	10
		39	=>	11
		40	=>	6
		41	=>	8
		42	=>	12
		43	=>	14
		44	=>	3
		45	=>	13
		46	=>	1

Class: public com.volmit.iris.noise.FlatNoise	NameNotChanged
	Source: "FlatNoise.java"
	FieldsOf: com.volmit.iris.noise.FlatNoise
	MethodsOf: com.volmit.iris.noise.FlatNoise
		public void <init>(long) 	SignatureNotChanged
		public double noise(double, double, double) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.FlatNoise
		6	=>	2
		8	=>	3
		25	=>	1

Class: public com.volmit.iris.noise.FractalBillowPerlinNoise	NameNotChanged
	Source: "FractalBillowPerlinNoise.java"
	FieldsOf: com.volmit.iris.noise.FractalBillowPerlinNoise
		private final com.volmit.iris.noise.FastNoise n	=>	a
	MethodsOf: com.volmit.iris.noise.FractalBillowPerlinNoise
		public void <init>(long) 	SignatureNotChanged
		public double f(double) 	SignatureNotChanged
		public double noise(double, double, double) 	SignatureNotChanged
		public void setOctaves(int) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.FractalBillowPerlinNoise
		9	=>	2
		10	=>	8
		11	=>	6
		12	=>	7
		13	=>	5
		16	=>	4
		31	=>	9
		36	=>	1
		37	=>	3

Class: public com.volmit.iris.noise.FractalBillowSimplexNoise	NameNotChanged
	Source: "FractalBillowSimplexNoise.java"
	FieldsOf: com.volmit.iris.noise.FractalBillowSimplexNoise
		private final com.volmit.iris.noise.FastNoise n	=>	a
	MethodsOf: com.volmit.iris.noise.FractalBillowSimplexNoise
		public void <init>(long) 	SignatureNotChanged
		public double f(double) 	SignatureNotChanged
		public double noise(double, double, double) 	SignatureNotChanged
		public void setOctaves(int) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.FractalBillowSimplexNoise
		9	=>	3
		10	=>	4
		11	=>	5
		12	=>	7
		13	=>	9
		16	=>	8
		31	=>	1
		36	=>	2
		37	=>	6

Class: public com.volmit.iris.noise.FractalCubicNoise	NameNotChanged
	Source: "FractalCubicNoise.java"
	FieldsOf: com.volmit.iris.noise.FractalCubicNoise
		private final com.volmit.iris.noise.FastNoise n	=>	a
	MethodsOf: com.volmit.iris.noise.FractalCubicNoise
		public void <init>(long) 	SignatureNotChanged
		private double f(double)	=>	a(double)
		public double noise(double, double, double) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.FractalCubicNoise
		8	=>	3
		9	=>	6
		10	=>	2
		11	=>	1
		14	=>	5
		29	=>	4

Class: public com.volmit.iris.noise.FractalFBMSimplexNoise	NameNotChanged
	Source: "FractalFBMSimplexNoise.java"
	FieldsOf: com.volmit.iris.noise.FractalFBMSimplexNoise
		private final com.volmit.iris.noise.FastNoise n	=>	a
	MethodsOf: com.volmit.iris.noise.FractalFBMSimplexNoise
		public void <init>(long) 	SignatureNotChanged
		public double f(double) 	SignatureNotChanged
		public double noise(double, double, double) 	SignatureNotChanged
		public void setOctaves(int) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.FractalFBMSimplexNoise
		9	=>	8
		10	=>	2
		11	=>	7
		12	=>	3
		13	=>	5
		16	=>	4
		31	=>	6
		36	=>	9
		37	=>	1

Class: public com.volmit.iris.noise.FractalRigidMultiSimplexNoise	NameNotChanged
	Source: "FractalRigidMultiSimplexNoise.java"
	FieldsOf: com.volmit.iris.noise.FractalRigidMultiSimplexNoise
		private final com.volmit.iris.noise.FastNoise n	=>	a
	MethodsOf: com.volmit.iris.noise.FractalRigidMultiSimplexNoise
		public void <init>(long) 	SignatureNotChanged
		public double f(double) 	SignatureNotChanged
		public double noise(double, double, double) 	SignatureNotChanged
		public void setOctaves(int) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.FractalRigidMultiSimplexNoise
		9	=>	8
		10	=>	7
		11	=>	4
		12	=>	5
		13	=>	1
		16	=>	3
		31	=>	9
		36	=>	2
		37	=>	6

Class: public com.volmit.iris.noise.GlobNoise	NameNotChanged
	Source: "GlobNoise.java"
	FieldsOf: com.volmit.iris.noise.GlobNoise
		private final com.volmit.iris.noise.FastNoise n	=>	a
	MethodsOf: com.volmit.iris.noise.GlobNoise
		public void <init>(long) 	SignatureNotChanged
		private double f(double)	=>	a(double)
		public double noise(double, double, double) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.GlobNoise
		6	=>	1
		7	=>	5
		8	=>	6
		9	=>	2
		10	=>	8
		11	=>	7
		15	=>	4
		30	=>	3

Class: public abstract com.volmit.iris.noise.NoiseFactory	NameNotChanged
	Source: "NoiseFactory.java"
	FieldsOf: com.volmit.iris.noise.NoiseFactory
	MethodsOf: com.volmit.iris.noise.NoiseFactory
		public abstract com.volmit.iris.noise.NoiseGenerator create(long) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.NoiseFactory

Class: public abstract com.volmit.iris.noise.NoiseGenerator	NameNotChanged
	Source: "NoiseGenerator.java"
	FieldsOf: com.volmit.iris.noise.NoiseGenerator
	MethodsOf: com.volmit.iris.noise.NoiseGenerator
		public abstract double noise(double, double, double) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.NoiseGenerator

Class: public final enum com.volmit.iris.noise.NoiseType	NameNotChanged
	Source: "NoiseType.java"
	FieldsOf: com.volmit.iris.noise.NoiseType
		private static final synthetic com.volmit.iris.noise.NoiseType[] $VALUES	=>	b
		public static final enum com.volmit.iris.noise.NoiseType CELLULAR	NameNotChanged
		public static final enum com.volmit.iris.noise.NoiseType CELLULAR_HEIGHT	NameNotChanged
		public static final enum com.volmit.iris.noise.NoiseType CUBIC	NameNotChanged
		public static final enum com.volmit.iris.noise.NoiseType FLAT	NameNotChanged
		public static final enum com.volmit.iris.noise.NoiseType FRACTAL_BILLOW_PERLIN	NameNotChanged
		public static final enum com.volmit.iris.noise.NoiseType FRACTAL_BILLOW_SIMPLEX	NameNotChanged
		public static final enum com.volmit.iris.noise.NoiseType FRACTAL_CUBIC	NameNotChanged
		public static final enum com.volmit.iris.noise.NoiseType FRACTAL_FBM_SIMPLEX	NameNotChanged
		public static final enum com.volmit.iris.noise.NoiseType FRACTAL_RIGID_MULTI_SIMPLEX	NameNotChanged
		public static final enum com.volmit.iris.noise.NoiseType GLOB	NameNotChanged
		public static final enum com.volmit.iris.noise.NoiseType PERLIN	NameNotChanged
		public static final enum com.volmit.iris.noise.NoiseType SIMPLEX	NameNotChanged
		public static final enum com.volmit.iris.noise.NoiseType VASCULAR	NameNotChanged
		public static final enum com.volmit.iris.noise.NoiseType WHITE	NameNotChanged
		private com.volmit.iris.noise.NoiseFactory f	=>	a
	MethodsOf: com.volmit.iris.noise.NoiseType
		static void <clinit>() 	SignatureNotChanged
		private void <init>(java.lang.String, int, com.volmit.iris.noise.NoiseFactory) 	SignatureNotChanged
		public com.volmit.iris.noise.NoiseGenerator create(long) 	SignatureNotChanged
		private static synthetic com.volmit.iris.noise.NoiseGenerator lambda$static$0(long) 	SignatureNotChanged
		private static synthetic com.volmit.iris.noise.NoiseGenerator lambda$static$1(long) 	SignatureNotChanged
		private static synthetic com.volmit.iris.noise.NoiseGenerator lambda$static$10(long) 	SignatureNotChanged
		private static synthetic com.volmit.iris.noise.NoiseGenerator lambda$static$11(long) 	SignatureNotChanged
		private static synthetic com.volmit.iris.noise.NoiseGenerator lambda$static$12(long) 	SignatureNotChanged
		private static synthetic com.volmit.iris.noise.NoiseGenerator lambda$static$13(long) 	SignatureNotChanged
		private static synthetic com.volmit.iris.noise.NoiseGenerator lambda$static$2(long) 	SignatureNotChanged
		private static synthetic com.volmit.iris.noise.NoiseGenerator lambda$static$3(long) 	SignatureNotChanged
		private static synthetic com.volmit.iris.noise.NoiseGenerator lambda$static$4(long) 	SignatureNotChanged
		private static synthetic com.volmit.iris.noise.NoiseGenerator lambda$static$5(long) 	SignatureNotChanged
		private static synthetic com.volmit.iris.noise.NoiseGenerator lambda$static$6(long) 	SignatureNotChanged
		private static synthetic com.volmit.iris.noise.NoiseGenerator lambda$static$7(long) 	SignatureNotChanged
		private static synthetic com.volmit.iris.noise.NoiseGenerator lambda$static$8(long) 	SignatureNotChanged
		private static synthetic com.volmit.iris.noise.NoiseGenerator lambda$static$9(long) 	SignatureNotChanged
		public static com.volmit.iris.noise.NoiseType valueOf(java.lang.String) 	SignatureNotChanged
		public static com.volmit.iris.noise.NoiseType[] values() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.NoiseType
		3	=>	7, 19 and 29
		4	=>	30 and 35
		5	=>	14 and 21
		6	=>	10 and 18
		7	=>	11 and 20
		8	=>	4 and 5
		9	=>	16 and 17
		10	=>	8 and 33
		11	=>	3 and 12
		12	=>	2 and 13
		13	=>	24 and 31
		14	=>	15 and 34
		15	=>	23 and 25
		16	=>	22 and 28
		17	=>	9 and 32
		21	=>	27
		22	=>	6
		23	=>	26
		26	=>	1

Class: public abstract com.volmit.iris.noise.OctaveNoise	NameNotChanged
	Source: "OctaveNoise.java"
	FieldsOf: com.volmit.iris.noise.OctaveNoise
	MethodsOf: com.volmit.iris.noise.OctaveNoise
		public abstract void setOctaves(int) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.OctaveNoise

Class: public com.volmit.iris.noise.PerlinNoise	NameNotChanged
	Source: "PerlinNoise.java"
	FieldsOf: com.volmit.iris.noise.PerlinNoise
		private final com.volmit.iris.noise.FastNoise n	=>	b
		private int octaves	=>	a
	MethodsOf: com.volmit.iris.noise.PerlinNoise
		public void <init>(long) 	SignatureNotChanged
		public double f(double) 	SignatureNotChanged
		public double noise(double, double, double) 	SignatureNotChanged
		public void setOctaves(int) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.PerlinNoise
		9	=>	9
		10	=>	16
		11	=>	8
		12	=>	17
		13	=>	3
		16	=>	14
		57	=>	4
		58	=>	13
		60	=>	2
		61	=>	19
		62	=>	1
		64	=>	6 and 11
		65	=>	12
		66	=>	18
		67	=>	5
		70	=>	15
		75	=>	7
		76	=>	10

Class: public com.volmit.iris.noise.SimplexNoise	NameNotChanged
	Source: "SimplexNoise.java"
	FieldsOf: com.volmit.iris.noise.SimplexNoise
		private final com.volmit.iris.noise.FastNoise n	=>	a
		private int octaves	=>	b
	MethodsOf: com.volmit.iris.noise.SimplexNoise
		public void <init>(long) 	SignatureNotChanged
		public double f(double) 	SignatureNotChanged
		public double noise(double, double, double) 	SignatureNotChanged
		public void setOctaves(int) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.SimplexNoise
		9	=>	9
		10	=>	17
		11	=>	19
		12	=>	2
		13	=>	5
		16	=>	1
		57	=>	4
		58	=>	13
		60	=>	7
		61	=>	11
		62	=>	18
		64	=>	3 and 12
		65	=>	15
		66	=>	10
		67	=>	6
		70	=>	14
		75	=>	16
		76	=>	8

Class: public com.volmit.iris.noise.VascularNoise	NameNotChanged
	Source: "VascularNoise.java"
	FieldsOf: com.volmit.iris.noise.VascularNoise
		private final com.volmit.iris.noise.FastNoise n	=>	a
	MethodsOf: com.volmit.iris.noise.VascularNoise
		public void <init>(long) 	SignatureNotChanged
		private double filter(double)	=>	a(double)
		public double noise(double, double, double) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.VascularNoise
		8	=>	7
		9	=>	2
		10	=>	5
		11	=>	1
		12	=>	3
		13	=>	6
		16	=>	8
		31	=>	4

Class: public com.volmit.iris.noise.WhiteNoise	NameNotChanged
	Source: "WhiteNoise.java"
	FieldsOf: com.volmit.iris.noise.WhiteNoise
		private final com.volmit.iris.noise.FastNoise n	=>	a
	MethodsOf: com.volmit.iris.noise.WhiteNoise
		public void <init>(long) 	SignatureNotChanged
		private double f(double)	=>	a(double)
		public double noise(double, double, double) 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.noise.WhiteNoise
		8	=>	3
		9	=>	4
		10	=>	1
		14	=>	5
		32	=>	2

Class: public final enum com.volmit.iris.object.DecorationPart	NameNotChanged
	Source: "DecorationPart.java"
	FieldsOf: com.volmit.iris.object.DecorationPart
		private static final synthetic com.volmit.iris.object.DecorationPart[] $VALUES	=>	a
		public static final enum com.volmit.iris.object.DecorationPart NONE	NameNotChanged
		public static final enum com.volmit.iris.object.DecorationPart SEA_SURFACE	NameNotChanged
		public static final enum com.volmit.iris.object.DecorationPart SHORE_LINE	NameNotChanged
	MethodsOf: com.volmit.iris.object.DecorationPart
		static void <clinit>() 	SignatureNotChanged
		private void <init>(java.lang.String, int) 	SignatureNotChanged
		public static com.volmit.iris.object.DecorationPart valueOf(java.lang.String) 	SignatureNotChanged
		public static com.volmit.iris.object.DecorationPart[] values() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.object.DecorationPart
		5	=>	1, 4, 6 and 7
		7	=>	3
		10	=>	2
		13	=>	5

Class: public final enum com.volmit.iris.object.Envelope	NameNotChanged
	Source: "Envelope.java"
	FieldsOf: com.volmit.iris.object.Envelope
		private static final synthetic com.volmit.iris.object.Envelope[] $VALUES	=>	a
		public static final enum com.volmit.iris.object.Envelope CELLS	NameNotChanged
		public static final enum com.volmit.iris.object.Envelope EVERYWHERE	NameNotChanged
		public static final enum com.volmit.iris.object.Envelope VEINS	NameNotChanged
	MethodsOf: com.volmit.iris.object.Envelope
		static void <clinit>() 	SignatureNotChanged
		private void <init>(java.lang.String, int) 	SignatureNotChanged
		public static com.volmit.iris.object.Envelope valueOf(java.lang.String) 	SignatureNotChanged
		public static com.volmit.iris.object.Envelope[] values() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.object.Envelope
		5	=>	3, 5, 6 and 7
		7	=>	2
		10	=>	1
		13	=>	4

Class: public final enum com.volmit.iris.object.FontStyle	NameNotChanged
	Source: "FontStyle.java"
	FieldsOf: com.volmit.iris.object.FontStyle
		private static final synthetic com.volmit.iris.object.FontStyle[] $VALUES	=>	a
		public static final enum com.volmit.iris.object.FontStyle BOLD	NameNotChanged
		public static final enum com.volmit.iris.object.FontStyle ITALIC	NameNotChanged
		public static final enum com.volmit.iris.object.FontStyle PLAIN	NameNotChanged
	MethodsOf: com.volmit.iris.object.FontStyle
		static void <clinit>() 	SignatureNotChanged
		private void <init>(java.lang.String, int) 	SignatureNotChanged
		public static com.volmit.iris.object.FontStyle valueOf(java.lang.String) 	SignatureNotChanged
		public static com.volmit.iris.object.FontStyle[] values() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.object.FontStyle
		5	=>	1, 3, 4 and 6
		7	=>	7
		10	=>	5
		13	=>	2

Class: public final enum com.volmit.iris.object.InferredType	NameNotChanged
	Source: "InferredType.java"
	FieldsOf: com.volmit.iris.object.InferredType
		private static final synthetic com.volmit.iris.object.InferredType[] $VALUES	=>	a
		public static final enum com.volmit.iris.object.InferredType CAVE	NameNotChanged
		public static final enum com.volmit.iris.object.InferredType DEFER	NameNotChanged
		public static final enum com.volmit.iris.object.InferredType LAND	NameNotChanged
		public static final enum com.volmit.iris.object.InferredType SEA	NameNotChanged
		public static final enum com.volmit.iris.object.InferredType SHORE	NameNotChanged
	MethodsOf: com.volmit.iris.object.InferredType
		static void <clinit>() 	SignatureNotChanged
		private void <init>(java.lang.String, int) 	SignatureNotChanged
		public static com.volmit.iris.object.InferredType valueOf(java.lang.String) 	SignatureNotChanged
		public static com.volmit.iris.object.InferredType[] values() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.object.InferredType
		5	=>	3, 4, 8 and 9
		7	=>	1
		10	=>	5
		13	=>	7
		16	=>	6
		19	=>	2

Class: public final enum com.volmit.iris.object.InterpolationMethod	NameNotChanged
	Source: "InterpolationMethod.java"
	FieldsOf: com.volmit.iris.object.InterpolationMethod
		private static final synthetic com.volmit.iris.object.InterpolationMethod[] $VALUES	=>	a
		public static final enum com.volmit.iris.object.InterpolationMethod BICUBIC	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod BILINEAR	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod BILINEAR_BEZIER	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod BILINEAR_PARAMETRIC_1_5	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod BILINEAR_PARAMETRIC_2	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod BILINEAR_PARAMETRIC_4	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod BILINEAR_STARCAST_12	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod BILINEAR_STARCAST_3	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod BILINEAR_STARCAST_6	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod BILINEAR_STARCAST_9	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod CATMULL_ROM_SPLINE	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod HERMITE	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod HERMITE_LOOSE	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod HERMITE_LOOSE_FULL_NEGATIVE_BIAS	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod HERMITE_LOOSE_FULL_POSITIVE_BIAS	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod HERMITE_LOOSE_HALF_NEGATIVE_BIAS	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod HERMITE_LOOSE_HALF_POSITIVE_BIAS	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod HERMITE_STARCAST_12	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod HERMITE_STARCAST_3	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod HERMITE_STARCAST_6	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod HERMITE_STARCAST_9	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod HERMITE_TENSE	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod NONE	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod STARCAST_12	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod STARCAST_3	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod STARCAST_6	NameNotChanged
		public static final enum com.volmit.iris.object.InterpolationMethod STARCAST_9	NameNotChanged
	MethodsOf: com.volmit.iris.object.InterpolationMethod
		static void <clinit>() 	SignatureNotChanged
		private void <init>(java.lang.String, int) 	SignatureNotChanged
		public static com.volmit.iris.object.InterpolationMethod valueOf(java.lang.String) 	SignatureNotChanged
		public static com.volmit.iris.object.InterpolationMethod[] values() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.object.InterpolationMethod
		5	=>	3, 7, 12 and 17
		7	=>	19
		10	=>	24
		13	=>	4
		16	=>	15
		19	=>	2
		22	=>	9
		25	=>	13
		28	=>	22
		31	=>	26
		34	=>	5
		37	=>	16
		40	=>	30
		43	=>	11
		46	=>	6
		49	=>	10
		52	=>	21
		55	=>	31
		58	=>	14
		61	=>	25
		64	=>	27
		67	=>	20
		70	=>	8
		73	=>	1
		76	=>	23
		79	=>	18
		82	=>	29
		85	=>	28

Class: public final enum com.volmit.iris.object.InventorySlotType	NameNotChanged
	Source: "InventorySlotType.java"
	FieldsOf: com.volmit.iris.object.InventorySlotType
		private static final synthetic com.volmit.iris.object.InventorySlotType[] $VALUES	=>	a
		public static final enum com.volmit.iris.object.InventorySlotType BLAST_FURNACE	NameNotChanged
		public static final enum com.volmit.iris.object.InventorySlotType FUEL	NameNotChanged
		public static final enum com.volmit.iris.object.InventorySlotType FURNACE	NameNotChanged
		public static final enum com.volmit.iris.object.InventorySlotType SMOKER	NameNotChanged
		public static final enum com.volmit.iris.object.InventorySlotType STORAGE	NameNotChanged
	MethodsOf: com.volmit.iris.object.InventorySlotType
		static void <clinit>() 	SignatureNotChanged
		private void <init>(java.lang.String, int) 	SignatureNotChanged
		public static com.volmit.iris.object.InventorySlotType valueOf(java.lang.String) 	SignatureNotChanged
		public static com.volmit.iris.object.InventorySlotType[] values() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.object.InventorySlotType
		5	=>	2, 3, 5 and 7
		7	=>	1
		10	=>	9
		13	=>	6
		16	=>	4
		19	=>	8

Class: public com.volmit.iris.object.IrisAttributeModifier	NameNotChanged
	Source: "IrisAttributeModifier.java"
	FieldsOf: com.volmit.iris.object.IrisAttributeModifier
		private org.bukkit.attribute.Attribute attribute	NameNotChanged
		private double chance	NameNotChanged
		private double maxAmount	NameNotChanged
		private double minAmount	NameNotChanged
		private java.lang.String name	NameNotChanged
		private org.bukkit.attribute.AttributeModifier$Operation operation	NameNotChanged
	MethodsOf: com.volmit.iris.object.IrisAttributeModifier
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		public void apply(com.volmit.iris.util.RNG, org.bukkit.inventory.meta.ItemMeta) 	SignatureNotChanged
		protected boolean canEqual(java.lang.Object) 	SignatureNotChanged
		public boolean equals(java.lang.Object) 	SignatureNotChanged
		public double getAmount(com.volmit.iris.util.RNG) 	SignatureNotChanged
		public org.bukkit.attribute.Attribute getAttribute() 	SignatureNotChanged
		public double getChance() 	SignatureNotChanged
		public double getMaxAmount() 	SignatureNotChanged
		public double getMinAmount() 	SignatureNotChanged
		public java.lang.String getName() 	SignatureNotChanged
		public org.bukkit.attribute.AttributeModifier$Operation getOperation() 	SignatureNotChanged
		public int hashCode() 	SignatureNotChanged
		public java.lang.String toString() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.object.IrisAttributeModifier
		18	=>	8, 13, 20 and 21
		21	=>	18
		24	=>	6
		26	=>	10
		30	=>	14
		32	=>	15
		34	=>	12
		36	=>	1
		38	=>	16
		40	=>	17
		42	=>	4
		44	=>	22
		48	=>	5
		51	=>	9
		53	=>	19
		57	=>	11
		59	=>	7
		61	=>	2
		65	=>	3

Class: public com.volmit.iris.object.IrisAxisRotationClamp	NameNotChanged
	Source: "IrisAxisRotationClamp.java"
	FieldsOf: com.volmit.iris.object.IrisAxisRotationClamp
		private boolean enabled	NameNotChanged
		private double interval	NameNotChanged
		private double max	NameNotChanged
		private double min	NameNotChanged
	MethodsOf: com.volmit.iris.object.IrisAxisRotationClamp
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		public void <init>(boolean, double, double, double) 	SignatureNotChanged
		protected boolean canEqual(java.lang.Object) 	SignatureNotChanged
		public boolean equals(java.lang.Object) 	SignatureNotChanged
		public double getInterval() 	SignatureNotChanged
		public double getMax() 	SignatureNotChanged
		public double getMin() 	SignatureNotChanged
		public double getRadians(int) 	SignatureNotChanged
		public int hashCode() 	SignatureNotChanged
		public boolean isEnabled() 	SignatureNotChanged
		public boolean isLocked() 	SignatureNotChanged
		public boolean isUnlimited() 	SignatureNotChanged
		public void setMax(double) 	SignatureNotChanged
		public void setMin(double) 	SignatureNotChanged
		public java.lang.String toString() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.object.IrisAxisRotationClamp
		14	=>	9, 12, 15, 20, 22 and 30
		17	=>	24 and 34
		19	=>	21
		21	=>	13 and 23
		27	=>	10
		29	=>	3 and 18
		35	=>	29
		37	=>	7 and 19
		43	=>	25
		46	=>	6
		48	=>	8
		51	=>	31
		52	=>	17
		53	=>	35
		54	=>	16
		55	=>	32
		56	=>	1
		60	=>	5
		65	=>	2
		70	=>	14
		72	=>	11
		74	=>	4
		77	=>	26
		80	=>	27
		82	=>	28
		85	=>	33

Class: public com.volmit.iris.object.IrisBiome	NameNotChanged
	Source: "IrisBiome.java"
	FieldsOf: com.volmit.iris.object.IrisBiome
		private transient com.volmit.iris.gen.atomics.AtomicCache biomeGenerator	=>	f
		private com.volmit.iris.util.KList biomeScatter	NameNotChanged
		private com.volmit.iris.util.KList biomeSkyScatter	NameNotChanged
		private com.volmit.iris.object.IrisGeneratorStyle biomeStyle	NameNotChanged
		private double biomeZoom	NameNotChanged
		private com.volmit.iris.util.KList blockDrops	NameNotChanged
		private transient com.volmit.iris.gen.atomics.AtomicCache cacheColor	=>	e
		private double childShrinkFactor	NameNotChanged
		private com.volmit.iris.object.IrisGeneratorStyle childStyle	NameNotChanged
		private com.volmit.iris.util.KList children	NameNotChanged
		private transient com.volmit.iris.gen.atomics.AtomicCache childrenCell	=>	d
		private java.lang.String debugColor	NameNotChanged
		private com.volmit.iris.util.KList decorators	NameNotChanged
		private com.volmit.iris.util.KList deposits	NameNotChanged
		private org.bukkit.block.Biome derivative	NameNotChanged
		private com.volmit.iris.util.KList effects	NameNotChanged
		private com.volmit.iris.util.KList generators	NameNotChanged
		private transient com.volmit.iris.object.InferredType inferredType	=>	i
		private transient com.volmit.iris.gen.atomics.AtomicCache layerHeightGenerators	=>	j
		private transient com.volmit.iris.gen.atomics.AtomicCache layerSeaHeightGenerators	=>	k
		private com.volmit.iris.util.KList layers	NameNotChanged
		private boolean lockLayers	NameNotChanged
		private int lockLayersMax	NameNotChanged
		private com.volmit.iris.object.IrisLootReference loot	NameNotChanged
		private transient com.volmit.iris.gen.atomics.AtomicCache maxHeight	=>	g
		private java.lang.String name	NameNotChanged
		private com.volmit.iris.util.KList objects	NameNotChanged
		private int rarity	NameNotChanged
		private transient com.volmit.iris.gen.atomics.AtomicCache realChildren	=>	h
		private com.volmit.iris.util.KList seaLayers	NameNotChanged
		private com.volmit.iris.object.IrisBiomePaletteLayer slab	NameNotChanged
		private com.volmit.iris.util.KList structures	NameNotChanged
		private com.volmit.iris.util.KList text	NameNotChanged
		private com.volmit.iris.object.IrisBiomePaletteLayer wall	NameNotChanged
	MethodsOf: com.volmit.iris.object.IrisBiome
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		private static java.lang.Throwable a(java.lang.Throwable) 	SignatureNotChanged
		protected boolean canEqual(java.lang.Object) 	SignatureNotChanged
		public boolean equals(java.lang.Object) 	SignatureNotChanged
		public com.volmit.iris.util.KList generateLayers(double, double, com.volmit.iris.util.RNG, int, int) 	SignatureNotChanged
		public com.volmit.iris.util.KList generateLockedLayers(double, double, com.volmit.iris.util.RNG, int, int) 	SignatureNotChanged
		public com.volmit.iris.util.KList generateSeaLayers(double, double, com.volmit.iris.util.RNG, int) 	SignatureNotChanged
		public com.volmit.iris.util.KList getAllChildren(com.volmit.iris.gen.ContextualChunkGenerator, int) 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicCache getBiomeGenerator() 	SignatureNotChanged
		public com.volmit.iris.noise.CNG getBiomeGenerator(com.volmit.iris.util.RNG) 	SignatureNotChanged
		public com.volmit.iris.util.KList getBiomeScatter() 	SignatureNotChanged
		public com.volmit.iris.util.KList getBiomeSkyScatter() 	SignatureNotChanged
		public com.volmit.iris.object.IrisGeneratorStyle getBiomeStyle() 	SignatureNotChanged
		public double getBiomeZoom() 	SignatureNotChanged
		public com.volmit.iris.util.KList getBlockDrops() 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicCache getCacheColor() 	SignatureNotChanged
		public java.awt.Color getCachedColor() 	SignatureNotChanged
		public double getChildShrinkFactor() 	SignatureNotChanged
		public com.volmit.iris.object.IrisGeneratorStyle getChildStyle() 	SignatureNotChanged
		public com.volmit.iris.util.KList getChildren() 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicCache getChildrenCell() 	SignatureNotChanged
		public com.volmit.iris.noise.CNG getChildrenGenerator(com.volmit.iris.util.RNG, int, double) 	SignatureNotChanged
		public java.lang.String getDebugColor() 	SignatureNotChanged
		public com.volmit.iris.util.KList getDecorators() 	SignatureNotChanged
		public com.volmit.iris.util.KList getDeposits() 	SignatureNotChanged
		public org.bukkit.block.Biome getDerivative() 	SignatureNotChanged
		public com.volmit.iris.util.KList getEffects() 	SignatureNotChanged
		public com.volmit.iris.util.KList getGenerators() 	SignatureNotChanged
		public org.bukkit.block.Biome getGroundBiome(com.volmit.iris.util.RNG, double, double, double) 	SignatureNotChanged
		public com.volmit.iris.object.InferredType getInferredType() 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicCache getLayerHeightGenerators() 	SignatureNotChanged
		public com.volmit.iris.util.KList getLayerHeightGenerators(com.volmit.iris.util.RNG) 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicCache getLayerSeaHeightGenerators() 	SignatureNotChanged
		public com.volmit.iris.util.KList getLayerSeaHeightGenerators(com.volmit.iris.util.RNG) 	SignatureNotChanged
		public com.volmit.iris.util.KList getLayers() 	SignatureNotChanged
		public int getLockLayersMax() 	SignatureNotChanged
		public com.volmit.iris.object.IrisLootReference getLoot() 	SignatureNotChanged
		private int getMaxHeight()	=>	a()
		public java.lang.String getName() 	SignatureNotChanged
		public com.volmit.iris.util.KList getObjects() 	SignatureNotChanged
		public int getRarity() 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicCache getRealChildren() 	SignatureNotChanged
		public com.volmit.iris.util.KList getRealChildren(com.volmit.iris.gen.ContextualChunkGenerator) 	SignatureNotChanged
		public com.volmit.iris.util.KList getSeaLayers() 	SignatureNotChanged
		public org.bukkit.block.Biome getSkyBiome(com.volmit.iris.util.RNG, double, double, double) 	SignatureNotChanged
		public com.volmit.iris.object.IrisBiomePaletteLayer getSlab() 	SignatureNotChanged
		public com.volmit.iris.util.KList getStructures() 	SignatureNotChanged
		public com.volmit.iris.util.KList getText() 	SignatureNotChanged
		public com.volmit.iris.object.IrisBiomePaletteLayer getWall() 	SignatureNotChanged
		public int hashCode() 	SignatureNotChanged
		public com.volmit.iris.object.IrisBiome infer(com.volmit.iris.object.InferredType, com.volmit.iris.object.InferredType) 	SignatureNotChanged
		public boolean isLand() 	SignatureNotChanged
		public boolean isLockLayers() 	SignatureNotChanged
		public boolean isSea() 	SignatureNotChanged
		public boolean isShore() 	SignatureNotChanged
		private synthetic java.awt.Color lambda$0() 	SignatureNotChanged
		private synthetic com.volmit.iris.noise.CNG lambda$1(com.volmit.iris.util.RNG) 	SignatureNotChanged
		private synthetic com.volmit.iris.noise.CNG lambda$2(com.volmit.iris.util.RNG, int, double) 	SignatureNotChanged
		private synthetic java.lang.Integer lambda$3() 	SignatureNotChanged
		private synthetic com.volmit.iris.util.KList lambda$4(com.volmit.iris.util.RNG) 	SignatureNotChanged
		private synthetic com.volmit.iris.util.KList lambda$5(com.volmit.iris.util.RNG) 	SignatureNotChanged
		private synthetic com.volmit.iris.util.KList lambda$6(com.volmit.iris.gen.ContextualChunkGenerator) 	SignatureNotChanged
		public void setInferredType(com.volmit.iris.object.InferredType) 	SignatureNotChanged
		public void setName(java.lang.String) 	SignatureNotChanged
		public void setRarity(int) 	SignatureNotChanged
		public java.lang.String toString() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.object.IrisBiome
		30	=>	3, 9, 10, 21, 22, 30, 40, 47, 48, 49, 50, 51, 52, 54, 56, 57, 60, 69, 79, 81, 87, 91, 101, 108, 109, 114, 115, 137, 138, 159, 161, 177, 179, 180, 184, 185 and 207
		31	=>	26, 102 and 153
		38	=>	168
		43	=>	97
		48	=>	31
		53	=>	4
		58	=>	37
		62	=>	152
		68	=>	124
		72	=>	5
		76	=>	116
		82	=>	84
		86	=>	104
		91	=>	92
		96	=>	151
		101	=>	62
		106	=>	103
		111	=>	33
		117	=>	136
		121	=>	188
		125	=>	18
		131	=>	67
		136	=>	189
		141	=>	200
		146	=>	145
		152	=>	93
		157	=>	25
		162	=>	164
		165	=>	35
		166	=>	65
		167	=>	29
		168	=>	32
		169	=>	181
		170	=>	61
		171	=>	88
		173	=>	70
		176	=>	156
		180	=>	107
		182	=>	59
		184	=>	74
		189	=>	100
		192	=>	140
		197	=>	127
		215	=>	12
		217	=>	94
		223	=>	39 and 68
		228	=>	203
		230	=>	80
		233	=>	170
		235	=>	118
		237	=>	1
		240	=>	178 and 199
		242	=>	73
		243	=>	117
		245	=>	143
		247	=>	144
		250	=>	150 and 176
		252	=>	83
		254	=>	175
		259	=>	7
		260	=>	148
		262	=>	2
		264	=>	198
		268	=>	14
		270	=>	63
		274	=>	53
		279	=>	72
		280	=>	123
		281	=>	187
		282	=>	182
		284	=>	190
		287	=>	6 and 206
		289	=>	147
		290	=>	20
		292	=>	106
		294	=>	95
		297	=>	64 and 165
		301	=>	85
		302	=>	158
		304	=>	193
		306	=>	43
		311	=>	142
		313	=>	191
		316	=>	78 and 86
		318	=>	111
		319	=>	76
		320	=>	173
		323	=>	13
		328	=>	38
		330	=>	113
		332	=>	197 and 202
		334	=>	77
		337	=>	162
		343	=>	174
		344	=>	17
		349	=>	96
		351	=>	110 and 141
		353	=>	133
		354	=>	131
		356	=>	89
		358	=>	186
		361	=>	166 and 169
		363	=>	55
		365	=>	172
		370	=>	75
		371	=>	135
		373	=>	154
		375	=>	58
		379	=>	167
		381	=>	204
		385	=>	157
		390	=>	171
		392	=>	119
		394	=>	46
		396	=>	125 and 160
		398	=>	201
		401	=>	66
		407	=>	122
		409	=>	139
		411	=>	90
		413	=>	28 and 163
		415	=>	99
		418	=>	16
		424	=>	23
		426	=>	44
		429	=>	8
		434	=>	183
		436	=>	15
		438	=>	112
		443	=>	45
		445	=>	34
		447	=>	132
		452	=>	195
		454	=>	105
		457	=>	128
		459	=>	82
		462	=>	149
		467	=>	134
		469	=>	42
		471	=>	98 and 196
		473	=>	36
		476	=>	120
		482	=>	41
		483	=>	194
		484	=>	155
		486	=>	121
		488	=>	19 and 192
		490	=>	205
		491	=>	71
		492	=>	146
		496	=>	24
		501	=>	129
		503	=>	11
		506	=>	130
		508	=>	27
		511	=>	126

Class: public com.volmit.iris.object.IrisBiomeDecorator	NameNotChanged
	Source: "IrisBiomeDecorator.java"
	FieldsOf: com.volmit.iris.object.IrisBiomeDecorator
		private transient com.volmit.iris.gen.atomics.AtomicCache blockData	=>	b
		private double chance	NameNotChanged
		private transient com.volmit.iris.gen.atomics.AtomicCache heightGenerator	=>	a
		private com.volmit.iris.object.IrisGeneratorStyle heightVariance	NameNotChanged
		private transient com.volmit.iris.gen.atomics.AtomicCache layerGenerator	=>	c
		private com.volmit.iris.util.KList palette	NameNotChanged
		private com.volmit.iris.object.DecorationPart partOf	NameNotChanged
		private int stackMax	NameNotChanged
		private int stackMin	NameNotChanged
		private com.volmit.iris.object.IrisGeneratorStyle style	NameNotChanged
		private com.volmit.iris.object.IrisGeneratorStyle variance	NameNotChanged
		private transient com.volmit.iris.gen.atomics.AtomicCache varianceGenerator	=>	d
		private double varianceZoom	NameNotChanged
		private double verticalZoom	NameNotChanged
		private double zoom	NameNotChanged
	MethodsOf: com.volmit.iris.object.IrisBiomeDecorator
		static void <clinit>() 	SignatureNotChanged
		public void <init>() 	SignatureNotChanged
		protected boolean canEqual(java.lang.Object) 	SignatureNotChanged
		public boolean equals(java.lang.Object) 	SignatureNotChanged
		public com.volmit.iris.util.KList getBlockData() 	SignatureNotChanged
		public org.bukkit.block.data.BlockData getBlockData(com.volmit.iris.object.IrisBiome, com.volmit.iris.util.RNG, double, double) 	SignatureNotChanged
		public double getChance() 	SignatureNotChanged
		public com.volmit.iris.noise.CNG getGenerator(com.volmit.iris.util.RNG) 	SignatureNotChanged
		public int getHeight(com.volmit.iris.util.RNG, double, double) 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicCache getHeightGenerator() 	SignatureNotChanged
		public com.volmit.iris.noise.CNG getHeightGenerator(com.volmit.iris.util.RNG) 	SignatureNotChanged
		public com.volmit.iris.object.IrisGeneratorStyle getHeightVariance() 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicCache getLayerGenerator() 	SignatureNotChanged
		public com.volmit.iris.util.KList getPalette() 	SignatureNotChanged
		public com.volmit.iris.object.DecorationPart getPartOf() 	SignatureNotChanged
		public int getStackMax() 	SignatureNotChanged
		public int getStackMin() 	SignatureNotChanged
		public com.volmit.iris.object.IrisGeneratorStyle getStyle() 	SignatureNotChanged
		public com.volmit.iris.object.IrisGeneratorStyle getVariance() 	SignatureNotChanged
		public com.volmit.iris.gen.atomics.AtomicCache getVarianceGenerator() 	SignatureNotChanged
		public com.volmit.iris.noise.CNG getVarianceGenerator(com.volmit.iris.util.RNG) 	SignatureNotChanged
		public double getVarianceZoom() 	SignatureNotChanged
		public double getVerticalZoom() 	SignatureNotChanged
		public double getZoom() 	SignatureNotChanged
		public int hashCode() 	SignatureNotChanged
		private synthetic com.volmit.iris.util.KList lambda$getBlockData$3() 	SignatureNotChanged
		private synthetic com.volmit.iris.noise.CNG lambda$getGenerator$1(com.volmit.iris.util.RNG) 	SignatureNotChanged
		private synthetic com.volmit.iris.noise.CNG lambda$getHeightGenerator$0(com.volmit.iris.util.RNG) 	SignatureNotChanged
		private synthetic com.volmit.iris.noise.CNG lambda$getVarianceGenerator$2(com.volmit.iris.util.RNG) 	SignatureNotChanged
		public java.lang.String toString() 	SignatureNotChanged
	LineNumbersOf: com.volmit.iris.object.IrisBiomeDecorator
		22	=>	17, 28, 30, 55 and 64
		25	=>	9
		27	=>	58 and 59
		29	=>	1
		31	=>	38 and 42
		33	=>	37
		36	=>	22 and 63
		38	=>	41
		40	=>	16
		42	=>	11
		47	=>	50
		49	=>	46
		54	=>	4
		56	=>	32
		59	=>	21
		61	=>	25
		64	=>	27
		66	=>	29
		70	=>	44
		72	=>	35
		77	=>	10
		79	=>	3
		83	=>	2 and 51
		85	=>	8 and 52
		86	=>	31 and 56
		87	=>	39 and 49
		88	=>	33
		92	=>	7
		94	=>	61
		97	=>	62
		102	=>	24
		104	=>	34
		110	=>	45 and 65
		115	=>	26 and 60
		126	=>	53
		128	=>	48
		129	=>	57
		132	=>	5
		133	=>	18
		135	=>	19
		137	=>	36
		139	=>	13
		142	=>	6
		145	=>	54
		150	=>	40
		152	=>	14
		153	=>	15
		155	=>	43
		156	=>	12
		158	=>	23
		160	=>	47
		162	=>	20

Class: public com.volmit.iris.object.IrisBiomeGeneratorLink	NameNotChanged
	Source: "IrisBiomeGeneratorLink.java"
	FieldsOf: com.volmit.iris.object.IrisBiomeGeneratorLink
		private transient com.volmit.iris.gen.atomics.AtomicCache gen	=>	a
